2012-01-03  Petr Mladek  <pmladek@suse.cz>  [f04ffea58d58df47257b403966dbbc6beab572fb]

Version 3.4.5.2, tag libreoffice-3.4.5.2 (3.4.5-rc2)


2012-01-03  Winfried Donkers  <W.Donkers@dci-electronics.nl>  [7f978af6476d73246d7cf6c29b48e88a7465f44e]

fdo#36874: Label PRINTING misplaced on paper sheet

Signed-off-by: Petr Mladek <pmladek@suse.cz>
Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Signed-off-by: Lubos Lunak <l.lunak@suse.cz>

2012-01-02  Michael Stahl  <mstahl@redhat.com>  [2e183bde347bff8f617a275beff12eb257aac719]

sw: fdo#39159 fdo#40482: temp selection print doc:

Ensure that the printing temp selection document is not destroyed
prematurely by SwXTextView::NotifySelChanged, called via
ViewOptionAdjustStop, by retaining the temp doc object shell not
at the View but in SwRenderData.

Not restoring the view options for selections does not actually work,
because having a selection surprisingly does not imply printing a
temp document: the preview also uses a selection.
(view option regression from cd690d2e72be410058376c416a40ff5d918fb0f7)

backport of 89d2733e16ae6233deea6bef3193bd45c89b854c

Signed-off-by: Caolán McNamara <caolanm@redhat.com>
Signed-off-by: Cedric Bosdonnat <cbosdonnat@suse.com>
Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-12-14  Petr Mladek  <pmladek@suse.cz>  [996b0fbf3de49551ebe8e481197e3b0e62985b1f]

Branch libreoffice-3-4-5

This is 'libreoffice-3-4-5' - the stable branch for the 3.4.5 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-12-14  Petr Mladek  <pmladek@suse.cz>  [dcb0a76b1969b7e8d3ea64f4f471ee398e8de6cd]

Version 3.4.5.1, tag libreoffice-3.4.5.1 (3.4.5-rc1)


2011-12-13  Michael Meeks  <michael.meeks@suse.com>  [7529f2499558d08d76f02a5de200ac29fdeb3ea3]

docx: Back-port Lubos' comment export work

Signed-off-by: Michael Stahl <mstahl@redhat.com>

2011-12-09  Michael Stahl  <mstahl@redhat.com>  [4eec19b1d634b66580423eb995621f87b422a46a]

fdo#40831: SwView::ExecSearch:

Replace may delete nodes, so the current cursor position must be stored
in a way so that it is corrected when nodes are removed.

Signed-off-by: Michael Meeks <michael.meeks@suse.com>

2011-12-09  Michael Stahl  <mstahl@redhat.com>  [f4fb39640571fd588299ecd603733eaf94e61605]

i#102333: SwDoc::ReplaceRangeImpl:

The fix for this (230fcf4a456636bb466f72834cd57238621d206d) was not
quite right; there are 2 different join modes, and moving the cursor
backward is required in one of them, but not the other.

This can be seen when doing replace all ^$ with several consecutive
empty lines.

Signed-off-by: Michael Meeks <michael.meeks@suse.com>

2011-12-07  Luboš Luňák  <l.lunak@suse.cz>  [4c7dc58e47796ff502bbdc5fb93c648c30fc4daf]

backport of 3524727db0f3cfecf3a47046795c527808c10c3e commit 3524727db0f3cfecf3a47046795c527808c10c3e Author: Caolán McNamara <caolanm@redhat.com> Date:   Thu Jun 23 15:14:00 2011 +0100

    Related: #i58612# don't crash anyway

2011-11-10  Noel Power  <noel.power@novell.com>  [e13ff3e8d415241a680c32e3993c5b23701ef2aa]

NO_STYLE default for borderlines mso import, fixes image size issue bnc#718971

Signed-off-by: Michael Meeks <michael.meeks@suse.com>

2011-10-26  Thorsten Behrens  <tbehrens@novell.com>  [1a6c6a66b72ca64641cb16b3c49c40aba06602f1]

Fix fdo#41995 fallout - recognize .svg in odt container

Seems the graphic load code is stupid and not using the path name /
file extension to guess file type, but only "magic byte" detection.
Giving filter framework the path now, so that .svg actually loads.

This parrots 050350f326629c6edffcdb2cf288893027f264e6, but for
Writer, which sadly sports its own Graphic implementation.

Signed-off-by: Noel Power <nopower@suse.com>

2011-10-25  Petr Mladek  <pmladek@suse.cz>  [97513a3e07fee5b85a2256457d696a1825af2011]

Version 3.4.4.1, tag libreoffice-3.4.4.1 (3.4.4-rc1)


2011-09-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [6a3faed5b459ea133c39ef5243dad8e366ca00c3]

fdo#39510: comment added

Signed-off-by: Michael Stahl <mst@openoffice.org>

2011-09-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [f8f5d96666bff5051cc88d06b10d855548a441de]

fdo#39510 lp#854626: crash on closing document with footnotes

Signed-off-by: Michael Stahl <mst@openoffice.org>

2011-09-21  Ivan Timofeev  <timofeev.i.s@gmail.com>  [a0b3fc96fe985068fc794646570a0f74568941ec]

Fix for fdo#35513: avoid crash while processing incorrect range of pages

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-09-07  Andor Ertsey  <andor.ertsey@muenchen.de>  [c3fd04cda937b9896b5abe6f32a1de459317e8a5]

Fix leak in pdf export.

This fixes i#116448 - SwViewOption was allocated but never freed
during pdf export - killed mass document exporting via OOM
eventually.

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-08-24  Takeshi Abe  <tabe@fixedpoint.jp>  [ab04c2969ab134ed5131f5777b05d8e5fe9a4d18]

fdo#40341: hide 'math baseline alignment' unless available

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-08-23  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [68b27b713285ddee7b44bb9f57e01066e28eb1b1]

cherry-picked core:cc3d0d and fixed a few things


2011-08-16  Petr Mladek  <pmladek@suse.cz>  [db129557dc8b24b3a6e2ab9bfce8748cb592b450]

Version 3.4.3.1, tag libreoffice-3.4.3.1 (3.4.3-rc1)


2011-08-10  Caolán McNamara  <caolanm@redhat.com>  [cc8624a8ebcf0b612709d24069d52a1e5b2c8042]

Resolves: fdo#39159 don't restore original view settings on temp documents


2011-08-10  Caolán McNamara  <caolanm@redhat.com>  [cd2474472cd2d2abcc0dc05d7058f5079146c9fd]

put exception message into mailmerge error dialog

Signed-off-by: Noel Power <noel.power@novell.com>

2011-08-09  Marc-Andre Laverdiere  <marc-andre@atc.tcs.com>  [7db9cbb45b49b23dd63659a89cdd59d87b67a7cd]

Fixed invalid pointer dereference (cherry picked from commit 6f32f7f8896dcb21e983adcb61ed400db7389a34)


2011-08-09  Marc-Andre Laverdiere  <marc-andre@atc.tcs.com>  [0772860756b7646391ade432e069032dd6d8d277]

Fixed invalid array bounds read in ww8scan.cxx (cherry picked from commit a1c11fa56aef80b4a9a47054029613fb06a30832)


2011-08-09  Marc-Andre Laverdiere  <marc-andre@atc.tcs.com>  [443fbeeabc95cd6f38df094bb243ee3fc03bc1f5]

Fixed valgrind error

Complained about switching on an unitialized value
(cherry picked from commit 5d7caec204e704c62d670cc90a39e8cfc78479c6)

2011-08-09  Marc-Andre Laverdiere  <marc-andre@atc.tcs.com / marcandre.laverdiere@tcs.com>  [3442f6fab00e9a9e211324e0c3818bc634585be5]

Fixes for segfault on an edge case + translations

Fixed segfault due to reading an invalid pointer returned by GetStyle
Translated some of the comments
Added some proofing against similar bugs from GetStyle that may happen
in other edge cases
Fixed compile warning
(cherry picked from commit b2f9a798a010f76e887a7f10c6f0af667fe48e81)

2011-08-09  Marc-Andre Laverdiere  <marc-andre@atc.tcs.com>  [2f151aae24ac54b5efd675f4b2f162e07e02ac10]

Fixed invalid array dereference (cherry picked from commit 560b004d9812a76783c701724043f6cee70c0928)


2011-08-04  os  <os@openoffice.org>  [81974ceb030b7209af1a55557e697c8acb339b7c]

Resolves: fdo#32899 backport fix


2011-08-03  Caolán McNamara  <caolanm@redhat.com>  [69137bc93d54d77146ae66682fc77c1a5f315518]

Related: #i38880# crash in new field code

Signed-off-by: Noel Power <noel.power@novell.com>

2011-08-01  Caolán McNamara  <caolanm@redhat.com>  [a0ee5c4518d7634c328909a1988ab2d69b2c317f]

Resolves: fdo#37693 it really is a LineBorder not a LineBorder2

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-07-27  Caolán McNamara  <caolanm@redhat.com>  [2ecdbd900bfceef0aa8419b71cfbb3622cc00d32]

Resolves: fdo#36631 don't crash on undo of ole2 insert

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-07-26  Caolán McNamara  <caolanm@redhat.com>  [ad39a0a6ab951642bc2dff472ce88f8d59e00d5c]

Resolves: #i118018# fExtChar affects only < 8 (if at all)


2011-07-18  Miklos Vajna  <vmiklos@frugalware.org>  [aac4ab2af1ea151839e8a41ee9a9ec4d74558367]

starmath: check for edit window when inline editing is enabled

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-18  Miklos Vajna  <vmiklos@frugalware.org>  [b8c8e7627e0ffd75744049228207be344ddb7118]

starmath: check for existing edit window

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-13  Jan Holesovsky  <kendy@suse.cz>  [2f520ab98b2c2fd9775dd174e57ed57e7477a8ca]

Fix counting the paragraphs, fdo#36816.

Signed-off-by: Noel Power <noel.power@novell.com>

2011-07-12  Petr Mladek  <pmladek@suse.cz>  [7ebbf957db581ffd9e95adf65d88481a3cce67d4]

Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)


2011-07-11  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [5746d502a21087350a17f4b9045f7c095cd17ba9]

n#695479: basic handling of lines in RTF import

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  marc-andre@atc.tcs.com  <marc-andre@atc.tcs.com>  [92c1de7d394bf02e8a344a81844b6534114c3343]

Fixed a segmentation fault in some edge cases (cherry picked from commit 79f14410f2db7d186c8b7ee94b09e8e362e74dfd)


2011-07-08  marc-andre@atc.tcs.com  <marc-andre@atc.tcs.com>  [54a88fdf62d8e7507e7c3822e5fdddfeeeaa335b]

Fixed core dump and invalid memory access for some edge cases (cherry picked from commit b991a2fb76e2859d7f04793ad7ad3a0596d8d630)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [408ffebd26be78170a602104d260ccb0a116b209]

Related: #i115768# use cached data values instead of pointer to sprm cache

use cached data value in case underlying sprm cache goes away

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [a7df8e169565031d8587d9bde048b2f45279c6d8]

Related: #i86988# make abo levels safer

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [ab28696e17a913c0f4be5c7daebeb1f3fc4827d8]

valgrind: init nTypeFace

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [4f7ce10128216e93ef8953fa396be6dca23eb335]

Resolves: #i105349# protect against missing insertion position

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [cf65ab392673024f34eedb27f6002b6da86504c3]

Resolves: #i95550# handle wrong text len gracefully

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [410105ca3c9ec448e162d66a072ffd2b2b42424f]

handle truncated stream

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [0e34784737d4f654aba92932680c521a9430f63f]

merge these sprm finders and do it right

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [deba57d90339fa6083a54495aa410872ffa5e15e]

Resolves: fdo#34023 hang on load of .doc

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [b00c51c9fb1a69431248e3bfa3d8e9265e69a83c]

Related: fdo#37057 use standard sprm iterator

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-08  Petr Mladek  <pmladek@suse.cz>  [c703b311c907b4c97850b5c81ae6a9d3ef47954c]

More conservative fix for aliasing problems (fdo#33781)

Inspired by i#99665. It solves the problem where the aliasing caused
problems. It modifies the current aliasing using "byte or" (operator |)
 and restores the original aliasing at the end of the "if" block.

Signed-off-by: Roland Baudin <roland65@free.fr>

2011-07-08  Roland Baudin  <roland65@free.fr>  [262261c39dc68ba7fb8d846fb3dacfa6b4fc98ba]

Additional fix for bug fdo#33781

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-07-01  Jan Holesovsky  <kendy@suse.cz>  [b904df34c21c1b24a5b6942d608c8a1cc8dc82df]

Copy fieldmark properties when copying/pasting, fdo#38374.


2011-07-01  Jan Holesovsky  <kendy@suse.cz>  [6010e8f26a962c2812a8f85886a6bf1559fdae0b]

Fix the computation of grid character pitch, fdo#37516.


2011-06-27  Luboš Luňák  <l.lunak@suse.cz>  [ce50a165755bf80921cb461395890f89e9a22e37]

avoid infinite loop when writting out docs with bookmarks (bnc#700370)

The next position is either next attribute or next bookmark, whichever
comes first.
ACK by Cedric.

2011-06-24  Caolán McNamara  <caolanm@redhat.com>  [39d4ce1b676e659e8de0e0752516d22aa5777953]

Resolves: fdo#38623 imported .doc crashes layout

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-06-22  Marc-André Laverdière  <marc-andre@atc.tcs.com>  [87d003eb1e16a84e0bb478cb4ffc20ba9c2b2182]

switch to using a vector for styles, and add many range checks (cherry picked from commit 28a56883c2887c44d8892d80bf0ee90ebdc58b48)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-06-14  Petr Mladek  <pmladek@suse.cz>  [5a6cd607ac9ad0326fc490351fce8dd2156e0014]

Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)


2011-06-09  Caolán McNamara  <caolanm@redhat.com>  [4a2d8af43d7408aa037f1afc9ec819a363c02278]

fdo#37974 make recursive call of MarkManager::deleteMark do the right thing

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-06-09  Caolán McNamara  <caolanm@redhat.com>  [0e3b3cc3c3b94ef2f470be68d83129e9ed5f6fca]

Effective STL Item 27

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-06-09  Tor Lillqvist  <tlillqvist@novell.com>  [b78c67c56500955a65c5f982a77d14fb451f9cf0]

Typo

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-06-09  Tor Lillqvist  <tlillqvist@novell.com>  [47a0a2e765aa7f364e4dd373b2779cc4f20a17c6]

Add iterator sanity check, seems to fix fdo#36820

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-06-08  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [0d3f3c3c45cadf06b7de2cc1592a59e6a44ebd60]

fdo#37799: fixed broken loop causing a crash


2011-06-08  Caolán McNamara  <caolanm@redhat.com>  [fd702d8c2809fc0d640a46db6cfca79cadc29da0]

fix loss of init on merge (cherry picked from commit 0e530a0cf6e4a06b9c59033f23bb09470db256c1)


2011-06-08  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [73a9de430716486d4bd7d535df257fb50889a12b]

fdo#37584: Make a real copy of the text where to count words

Const-casting a reference doesn't create a copy of it and then the
spaces replacement made by the WordCount was also made on the actual
text node. Use String::Copy() to actually copy the text and safely
operate on it.
(cherry picked from commit 135cf4fdbec71e8d93edc0339e8617d50766f151)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-06-08  Caolán McNamara  <caolanm@redhat.com>  [43e429a19f39274eb93122507463d719980c96a8]

restore CVE fix. unit tests rule (cherry picked from commit 7a8fe22857c48a424dd0d947de507de081e39dc7)


2011-06-08  Caolán McNamara  <caolanm@redhat.com>  [6cd59648812a164a10febe459b71bdeb35d8f3f2]

Resolves: rhbz#699909 crash in export of .doc in lcl_getFieldId (cherry picked from commit 65e841076a947bcf115526e609de78e6952332e7)


2011-06-08  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [f1575d39d539f261d40d81aca48820f8fb495ff8]

fdo#32684: Really don't handle the CJK unit by default

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-06-07  Andras Timar  <atimar@suse.com>  [5586202428a483004bf38bcd477ab62a3d0ca945]

fdo#37869 re-add missing elements to Elements dialog in Math

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-06-07  Andras Timar  <atimar@suse.com>  [c8b527732436964d85e1150ec3ae627066557dab]

fdo#38007 fix for a truncated German string

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-06-03  Jan Holesovsky  <kendy@suse.cz>  [349cdd39cb23c99ecc4a299729dbc8ab0ac89bd8]

Fix one of the crashes in wizards - fdo#36306

This fixes the following problem:

- open "File/Wizards/Letter"
- select "Formal Personal letter" radio button
- press "Finish" button

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-06-02  Caolán McNamara  <caolanm@redhat.com>  [3860483d8cb9e259ca3f68347ba0e35f7bfb1739]

Resolves: rhbz#710004 band-aid for immediate crash in IsAlignPossible (cherry picked from commit d6839fa9aaac82892b5af2bc00c9ad196c9ff4bb)


2011-06-01  jeffrey  <jeffrey@linux-ow08.site>  [d1a735e8a8d52f7a4f9f2d63f403215bdc5f0561]

Made changes to fix sentence delete in bug 34786.

Signed-off-by: Noel Power <noel.power@novell.com>

2011-05-27  Caolán McNamara  <caolanm@redhat.com>  [5bc702e5487ba931b2707770a5e25a883bd89b76]

Resolves: rhbz#707317 avoid crash in getRowSpan (cherry picked from commit 23c4f82e9084f8b15f149b074a8ad4ff6a7a4204)


2011-05-26  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [87c6a672c577bab7caa7cc87de467da11c60ef44]

fix for ww8 export of relative hyperlinks: i#115297

Actually check that the output URL is relative or absolute. Non mark-only
URLs doesn't necessarily reflect absolute URLs!

2011-05-25  Caolán McNamara  <caolanm@redhat.com>  [c3f1dc1148593224aa77b1f4bdc3db1804adb07a]

Resolves: fdo#35937 temp ole docshell on dtor deletes SwDoc on 0 refcount

copy of ole objects creates a temp docshell, whose dtor on 0 ref count deletes
the SwDoc handle. So add an acquire/release pair.
(cherry picked from commit fb5c25294efd2ef9138df61e82cd438ff07f4bf1)

2011-05-25  Caolán McNamara  <caolanm@redhat.com>  [82fbf515a88feb1fd4f5e1028498674471a38a48]

document as a fdo bug


2011-05-24  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [e11d6076cd88b219e0bace8caac791e2e780f257]

fdo#36329: Fix crash reading some documents with fields

The problem came from the unsigned integer positions... Needed to
prevent the end position to get -1/max value.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-05-21  Jean-Baptiste Faure  <jbf.faure@orange.fr>  [27875f65e2c1953fbf636af32556833c44849f53]

give more room to style listbox

Signed-off-by: Andras Timar <atimar@suse.com>

2011-05-20  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [335cc3bb837a671b3d6644bf9b4bc13a116102da]

fdo#37387, reorganized columns dialog to show text direction correctly

Signed-off-by: Andras Timar <atimar@suse.com>

2011-05-20  Luboš Luňák  <l.lunak@suse.cz>  [5000d925e3773b10e87008597cd49168f3f33f60]

compatibility option for old size of small caps (bnc#691473)

Version 3.2 had 66 as the small capitals size percentage, later
changed to 80 (see e.g. http://openoffice.org/bugzilla/show_bug.cgi?id=1526).
This however can destroy layout of old documents that rely on the old
size. So for backwards compatibility the old value is used if either
the .odt document has an option enabled or does not have the option
at all (meaning it's an older .odt document). There's unfortunately
a period when the new value was already in effect where this change
can break those documents :-/.

2011-05-18  Noel Power  <noel.power@novell.com>  [c5bc685a669b956f4d0cbd596791ce9cab84044d]

fix for fdo#36552

fix up exported column widths

Signed-off-by: Cedric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-17  Petr Mladek  <pmladek@suse.cz>  [cfa57cbec5ece73a54d3153731d5108665b086e7]

Version 3.4.0.1, tag libreoffice-3.4.0.1 (3.4.0-rc1)


2011-05-17  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [901ea08e2ef394e06d54fd4a3bd572a7dfe409fa]

fdo#37277: Fixed the ugly undo hack in SwInputWindow

bug introduced by this commit: c3d4c1f2dc11b9ba88bffb54dd518e8c7e11108b

Signed-off-by: Noel Power <noel.power@novell.com>

2011-05-16  Oliver-Rainer Wittmann  <od@openoffice.org>  [e03712a9c093663895fc6d7c999d574e948ab8dd]

sw34bf06 #i117711# - correct RTF page margin export

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-16  Roland Baudin  <roland65@free.fr>  [d5885f16f6cbed93d1dc96703a084b9aaf9af32d]

fdo#33781, use anti-aliasing in metafiles when anchored "as char"

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-13  Michael Stahl  <mst@openoffice.org>  [5f64fa0976c59fcbb7c199d9dac856f08f99e2a4]

sw34bf06: doccomp.cxx: fix some resource management problems

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-13  Michael Stahl  <mst@openoffice.org>  [f9c747ad060054494bb7b4ca6e8002615fd669d0]

sw34bf06: #i117825#: try to reduce collateral damage from #i104949# fix

only ignore text:variable-set fields that are hidden and at start of
para.

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-13  Michael Stahl  <mst@openoffice.org>  [cc33a4836285f422cbcb29b060e2ad5c1fea849f]

sw34bf06: #i117867#: SwUndoInserts::RedoImpl: do not use SwUndRng

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-13  Michael Stahl  <mst@openoffice.org>  [7c36598c27cdb5ceb4076b04bd554bda8c5b0a69]

sw34bf06: #i117947#: rtf: ignore invalid tokens following field result

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-13  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [cec2e2a1272d79b138cb190dcca68337b866cde6]

fdo#36826: draw background before borders or borders may be hidden

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-13  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [55a0c66901f701ad13ddd8fd41dbdcb443ca2171]

fix debug build

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-13  Henning Brinkmann  <hbrinkm@openoffice.org>  [a6f2e395963747729c0104e17afecf32d7e119c5]

sw34bf06: #i104384#: problem exporting section breaks in tables

Replace MSWordExportBase::bInTable by MSWordExportBase::IsInTable()

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-13  Oliver-Rainer Wittmann  <od@openoffice.org>  [47f7b6d36ea6059d2cc770f7e752cade18bce345]

sw34bf06: #i117189# - refine condition for non-resizable objects

Refine condition for non-resizable objects to apply its size back
via new parameter <bNoTxtFrmPrtAreaChanged>. Otherwise non-resizable
objects are always reloaded.

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-13  Oliver-Rainer Wittmann  <od@openoffice.org>  [ca1d46a4dff0e83245abe09cf87764147a8125d9]

sw34bf06: #i117863# SwFEShell::GetSectionWidth(): correct for-loop conditions

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-13  Oliver-Rainer Wittmann  <od@openoffice.org>  [d3fc7a8f4d0f6f8062eb046f0ccf43b6b06fe639]

fdo#36524: fix crash when deleting TOX

sw34bf06: #i117863# - use hint which allows to specify, if content is
saved or not for deletion of <SwFrm> instances triggered from <SwSectionNode>
resp. <SwSectionFmt> methods

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-12  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [07aedcbb2492e2e47167c8e059467ece5f01d383]

fdo#36524: Fixed remaining SwSectionFrm after deleting TOX

false transformed to true restored the SwSectionFrm after deleting it.

2011-05-12  Tor Lillqvist  <tlillqvist@novell.com>  [746fff15ad34616635e09125f6d0656da39a05ad]

Assign to iterator the return value of insert(), fixes fdo#36957

Note that the code path through the else branch is likely broken, too.

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-12  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [63d6ea7efa4d6215b2458e9be4237d9cb9cc7bd9]

fdo#36667: Fixed update of table formulas, missing extraction of pNewVal

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-11  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [bb7fbd06a6999a3604f720a130d81651d73e5e80]

fdo#35805 Revert "write also properties of a text node itself"

This reverts commit 17e60033f28d13b7564bfcbabcc8e03d2a6a021d.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-05-11  Noel Power  <nopower@novell.com>  [ed0f8821d6a0bb61e061747d2b0875fd1c346a5e]

Fix crash when printing comments, fdo#37045.

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-05-10  Petr Mladek  <pmladek@suse.cz>  [ffe0767829727cd835d2d990e33248a36f4f6d82]

Version 3.3.99.5, tag libreoffice-3.3.99.5 (3.4.0-beta5)


2011-05-10  Luboš Luňák  <l.lunak@suse.cz>  [93896af9984fb6a3dae981cf2ef9f335cc90f88e]

update SdrPaintView's region when it changes in writer (bnc#683550)

ViewShell::DLPrePaint2() gets a region as an argument, but uses it
only during the first call, following calls only increment the lock
counter, so if the region changes, the change doesn't take effect,
causing redraw problems. So the fix is the replace the lock counter
with a stack of used regions and update the region as appropriate.

2011-05-10  Michael Meeks  <michael.meeks@novell.com>  [66093a5719bddebf115ad2bd305ad80d4a18db4f]

revert commit 5d8a59f64d9d3931e2c9c1ba98f57cd10e0b01c1, fix fdo#36340

old commit: 'Convert std::vector to boost::ptr_vector.'
this conflated the destruction and removal from list stages which
have to be separate, so we do not re-enterancy from control
destructors.

2011-05-09  Noel Power  <noel.power@novell.com>  [6ad173622e9e109c7733261381fa5ffe7284a5b9]

revert ( unintended ) parts commit b9ff593590532eb012a0520b6dcb40f3be51f845

it seems that some unintentional experimental fixes for fdo#34908 snuck into
the commit about ( which was for another filter problem ). That fix ( in master ) then managed to find its way into the 3.4 branch :-(

2011-05-09  Arnaud Versini  <arnaud.versini@gmail.com>  [444dcc3ea5cb7a51165aa564c26390feda047346]

Resolving fdo#36931 : Load non blank chars from XML and check it's value.

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-07  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [6f6a307824fdca340ee62c659024e470f7271dcc]

Revert "Right click and clic-drag on a text over background image is weird"

This reverts commit 4e035a1932446c8805c75841ea1db08f863254e6. Reverted
as it introduced fdo#36496

2011-05-05  Luboš Luňák  <l.lunak@suse.cz>  [264038600c197d747c7a601d08a8df727a6ca2ea]

fix incorrect merge and remove a useless cast


2011-05-05  Michael Meeks  <michael.meeks@novell.com>  [128477a3cba4a8985432ed342ee2d3c654e1e119]

fix fdo#36863 - math crasher on redraw, introduced by Seek difference


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [424da87d280c6be7406d1073f92619a7fa573369]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-05-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [7b8c5bf878c29ece5f3bcfe877ad0f1141bb70f3]

Use GetBoundRect() instead of Frm() in layout.


2011-05-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [2666ac6bf1a7850ef0c10cdd202557b1b2d25b19]

Use GetBoundRect in SetFirstVisPage

SetFirstVis page was using SwPage::Frm() to compute first visible page.
This was causing glitches when the scroll area boundary was in the
middle of a shadow border.

2011-05-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [5c971e9ace1f540d3ed5e729ab0c0fe0f55cdf3a]

Added instance method SwPageFrm::GetBoundRect

Using the static method SwPageFrm::GetBordersAndShadowBoundRect involves
a lot of duplicate code on the callers side. The instance method
provides a shortcut and shoudl be used instead of Frm() in every layout
method.

2011-05-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [01fc4319e9668d0d5feeda2de71fdb5444c21c67]

Use page bounding box for layout computations.

A lot of layout methods were using duplicate code to invalidate areas.
This led to graphical glitches with 4 borders large shadow.

2011-05-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [12a958aa15dbc408932ba6d14da5a8021aeea754]

Typo in param name


2011-05-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [3a4a2bfb1de01ed9788981fffa824ba68f558e6e]

Bad shadow alignment when sidebar present.


2011-05-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [db16d55c2d52a59494d2bbb315bdcb55cabe4122]

Added Impress-like 4 borders shadow.

Writer and impress now have the same kind of 4 borders shadow. Impress
do not currently honnor shadows settings (presence and color) so code
still slightly differs but both should be easy to merge.

2011-05-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [553166ac183ccb111fa8df467dc4dd13c66a23ea]

Page invalidation uses information from layout.

Invalidation rectangle computation was duplicating code and didn't use
helper methods from SwPageFrm to get information about the page width.

2011-05-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [31eef1a21ea2297cd96ea6e53dcc8df1a121c40a]

Typo in resource definitions.

I don't know how this may have worked before…

2011-04-29  Thorsten Behrens  <tbehrens@novell.com>  [be58b0f33ba2e988bb55850683314c90926e6c8e]

dlopen-global-symbols.diff: use global namespace for dlopened sym


2011-04-27  Jody Goldberg  <jody@gnome.org>  [d57ccd2dfcff2d6115cc59e18465421b7ca79b87]

writer-default-as-optimal-page-wrap.diff: Optimal Page Wrap by default

for graphics insertion (X#59831)

2011-04-26  Petr Mladek  <pmladek@suse.cz>  [16b7d8ab9622e53cc211499288e2883cd6007f0d]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-21  Luboš Luňák  <l.lunak@suse.cz>  [323476bbcc3d1b787d5fe7602c45db68a3580ac5]

fix detection of first-page header/footer (previous commit,bnc#654230)


2011-04-20  Noel Power  <noel.power@novell.com>  [d80516ee8243739aa87b46799970bc3944cf60cb]

some docx field import/export tweaks

import/export ( USERNAME / USERINITIALS ) - supported now and alligned with binary import
import/export ( AUTHOR / DocumentProperty.Author ) - AUTHOR is now imported as DocumentInfo.Created, DocProperty.Author is imported as a custom property, DocumentInfo.Created is exported as AUTHOR
fix docx export of COMMENTS
fix docx import of CREATEDATE,
fix docx import of DocProperty.CreateTime
fix docx import of DocProperty.LastSavedTime
fix docx import of DocProperty.TotalEditingTime ( format still not right )

2011-04-19  Petr Mladek  <pmladek@suse.cz>  [5dac552a112ac097b56baa82d69bfb9ec4077516]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-19  Luboš Luňák  <l.lunak@suse.cz>  [f3ca5688cc484eb346e4d38acacb17a17073a542]

make left/right page style be followed by the other one

so that the document is automatically set to alternating left/right pages

2011-04-19  Luboš Luňák  <l.lunak@suse.cz>  [4dd6c047e4ce08832d05b8ca4c8e92a08f642e7d]

avoid first-page header/footer extending to all pages (bnc#654230)


2011-04-19  Luboš Luňák  <l.lunak@suse.cz>  [48a1b2b9650f1139b5063f9aadc008dcd0ed2646]

a more reliable way to detect w:titlePg (bnc#654230)


2011-04-19  Luboš Luňák  <l.lunak@suse.cz>  [a2bebd5dc696de301e4e35321108cd23a42d5fcb]

implement w:evenAndOddHeaders (and settings.xml too)


2011-04-14  Jan Holesovsky  <kendy@suse.cz>  [6ccd6981635845e9fd9ba2aef2a3ce3e46171f9b]

FALSE/TRUE in strings should not be converted to sal_False/sal_True.


2011-04-13  Thorsten Behrens  <tbehrens@novell.com>  [8240aa1f90379d36a27b08f9b01513e8caf00166]

Fix input list default selection on ww8 import

Fix for i#100621 - more correct pre-selection of list item for input
fields - aligns import with export at least, though still not
perfect - format docs say this is a dynamically-sized value (i.e.
we're going to be wrong for item numbers 32 and higher)

2011-04-11  Petr Mladek  <pmladek@suse.cz>  [a0528192fe77de6cc58743fa9199fe5421d2c3be]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-09  Takeshi Abe  <tabe@fixedpoint.jp>  [d38dfc36c0414e101debc970b8677db228db3bf0]

introduced a mutex guard for SmGraphicAccessible::setCaretPosition()


2011-04-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [e248db713ad4edf73a9ba5d9307bc70413536fc5]

i#112564: Fixed a misbehaviour of createContextEnumeration on SwXTextRange


2011-04-06  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [aa1ea70a8a2f7f11f93f333b719fe55a7f0f5bdb]

Change accel key for Clear Direct Formatting back to D


2011-04-05  Petr Mladek  <pmladek@suse.cz>  [474e9373e4627b41336c8a224a7dd119603babbb]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4

Conflicts:
	sw/source/core/docnode/nodes.cxx
	sw/source/filter/ww8/rtfexport.hxx

2011-04-05  Robert Nagy  <robert@openbsd.org>  [ee220555a29b92be134d55a2cac1bfca9af5a124]

set ldflags on *BSD too just like linux


2011-04-04  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [b5e9fae0f007999a0501a582d636157979ed2108]

Rename one missing Default Formatting --> Clear Direct Formatting


2011-04-01  Petr Mladek  <pmladek@suse.cz>  [e6ce97f40bd838e9988fa582fa194f965f470d09]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-04-01  Martin Kepplinger  <martinkepplinger@eml.cc>  [8a245026fdd9aa155440862bb13c31c1878c2ac0]

Cleanup of code comments

Correct and improve some issues about code comments that reviewers brought up.
Thanks for reviewing!

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [57b9ed8ef14370a1727d8c51135684698c7a4299]

WaE: struct vs class


2011-03-31  Martin Kepplinger  <martinkepplinger@eml.cc>  [4e77ef6acd78efeec6621dff8d7e1fbfeabde154]

Translate german code comments

Translate the remaining german code comments in writer/sw/source/ui/frmdlg to
english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-31  Martin Kepplinger  <martinkepplinger@eml.cc>  [35d56fa46acbd20e9a8fe88090d56e7ab12f77e4]

Translate german code comments

Translate more german code comments to english. This is contributed under the
terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple license.

2011-03-31  Martin Kepplinger  <martinkepplinger@eml.cc>  [d6949616dcbad8c278a405f1864f3af100342e91]

Translate german comments

Translate more code comments in writer/sw/source/ui/frmdlg from german to
english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-31  Martin Kepplinger  <martinkepplinger@eml.cc>  [ef2d61e1152ac414c0b395df0bb4ecf7a370345b]

Translate german code comments

This translates all german code comments in writer/sw/source/ui/fmtui to
english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [c5659cb9ce671c6264018e05bdee8b170c9a7bf7]

centralize caserotate and add to other shells


2011-03-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6995090df649bdc04febfa8147a2723bfa3d8856]

Avoiding to be too keen in realpathing


2011-03-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [efec83afee62d3e8d6d2e79e9ba6557ff922f19e]

realpathing starmath module


2011-03-30  David Tardon  <dtardon@redhat.com>  [154cd765ef0f654fc0cf1379c214fc260793a5ad]

WaE: overloaded virtual


2011-03-30  David Tardon  <dtardon@redhat.com>  [2b9726405495529d64e7ab8537ea30119f607d1e]

WaE: unused variable


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [cdaab423b4ac3a6ea373fd54bcb3bf9cefb26475]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [26abad2847c0ba70715da5e51c229a02797eac20]

drop bogus executable flag from odf files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [ea3349442f813f982c75e5677b724406f58cd0f2]

drop bogus executable flag from [ch]xx/bas/asm files


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [6e2ea1a8d589fd994932e81037d41742b2f2c2b6]

use --xxx instead of -xxx for command line options


2011-03-29  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [8af6911f096ba9e0578afe6df5f4cd34524005d9]

Fixed the writer navigation toolbar after DEV300 merge


2011-03-29  David Tardon  <dtardon@redhat.com>  [beddc10d668dded3a84fa7bbb291582b0d0b86fb]

move UNO API test to subsequentchecks


2011-03-29  David Tardon  <dtardon@redhat.com>  [15e66f2e60774c79df4f87421b13e48e44486c22]

WaE: comparison between signed and unsigned integer expr.


2011-03-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b8cd2caeaa4cd7b57f667e981d9df8b5be592144]

Fix Windows build of sw


2011-03-28  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [a2a7d81687ffd4b1c1f18cf2cfcf64e8990814f4]

Add missing com.sun.star.comp.Writer.DocxExport XML registration


2011-03-28  Miklos Vajna  <vmiklos@frugalware.org>  [c62b8fc02d9357cea7fd399b173ed5280bf4c53c]

fdo#32413: Add an apply button to style edit dialog in Writer


2011-03-28  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [559cec04ecf8293497cee2cfa4c04b1cfd7faca3]

Moved SvxBorder* into editeng namespace to avoid duplicate DOUBLE on windows


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [2db43f412114d16c3460ec431912cfd842b6cfab]

migrate starmath subsequenttests to gbuild


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [e6294bd17af8b23d8703457bec9e4063f0d84ff8]

cleanup of unoapi test


2011-03-27  Francois Tigeot  <ftigeot@wolfpond.org>  [f6cdc282e5db4c06a948bb10c179cc139466a0f1]

Temporarily disable unit tests broken on DragonFly.


2011-03-26  Norbert Thiebaud  <nthiebaud@gmail.com>  [800dda4538165cd65d472e9a62d706a4114c2e47]

convert starmath to gnumake


2011-03-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [0c729a661bbde0bae1c0a38cb20b81b25ceb3c0e]

fd#35693: disable hangin subsequenttests (complex and unoapi tests)

 - chart2/qa/unoapi
 - configmgr/qa/unoapi
 - dbaccess/qa/unoapi
 - forms/qa/complex/forms
 - linguistic/qa/unoapi
 - qadevOOo/qa/unoapi
 - sd/qa/unoapi
 - starmath/qa/unoapi
 - ucb/qa/complex/ucb
 - ucb/qa/unoapi
 - unotools/qa/complex/tempfile

2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b5f643f087037489d9db8ac757d4f821d7652a58]

Wholesale prewin.h/postwin.h removal


2011-03-25  Luboš Luňák  <l.lunak@suse.cz>  [63659b2f21888d20eab141621fdb5a9e5865db8b]

more sensible SdrObject::Clone() and SdrObject::operator=()

Virtual operator=() is IMO pointless, and especially in a class hierarchy
like SdrObject it's pretty unlikely one could reasonably assign any
SdrObject-based object to any other one. Moreover, it was actually
only used in Clone(), which was almost never reimplemented, so the
more sensible choice is to have non-virtual operator= and virtual
Clone() always being reimplemented and using that.

This commit also fixes various smaller or bigger, er, interesting
details in the various operator= implementations.

2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [6cedcc9aa831d0040a806aaf213c406493065dee]

these can go post types change


2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [99e66bd8e02bfa1d2327820b1438272ca7956a4f]

fd#35662: disable sw.SwXPrintSettings::com::sun::star::text::PrintSettings


2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [5d51e1cfcf4fbfe821f2af42618fda3970ce7a46]

fd#35661: disable sw.SwXViewSettings::com::sun::star::text::ViewSettings


2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [53eef3f745ce9ef9dc580dc5e8c75f5dd9f47fa2]

fd#35660: disable sw.DocumentSettings::com::sun::star::text::PrintSettings


2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [234a9d610ab85cb3a46ec259ec27c29658b1ff65]

fd#35657: disable complex.writer.TextPortionEnumerationTest because it fails


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [172819747567b5b0a839cda9844ca7fc95755bb1]

disable on windows for the while


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [b1c055c27664b7b7029f961425ca925b4fc777c9]

set build depencencies against the new "translations" module


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [5ce5ee5c2bf3942a1531c495baac1f79b1890bfe]

cppcheck: fix crash detected by test.

Might be better to not append a space if the text is blank, in which
case adapt the regression tests. Either way don't reference before
the start of the string

2011-03-24  Noel Power  <noel.power@novell.com>  [b9ff593590532eb012a0520b6dcb40f3be51f845]

don't use legacy filter for word vba macro & Userform import, use oox instead


2011-03-24  Luboš Luňák  <l.lunak@suse.cz>  [ca482d1120cba040cd37c91e106d63df25dfa3a0]

remove virtual from operator=

Completely pointless, no inherited class overrides it, in fact
nothing even seems to use it, and it generates a warning
with -Woverloaded-virtual.

2011-03-24  Luboš Luňák  <l.lunak@suse.cz>  [c4d8c5cc20dedf8b530659a283818d9498a24842]

don't hide overloaded virtual methods


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [1349e0cf9ca3eb8c49849380d61299f62f3cc96f]

recover titlepage dialog post merge


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [51fa2720bfd0a4bc6287cb727b7861c12d5e71d0]

windows uses BRAND_BASE_DIR instead of OOO_BASE_DIR


2011-03-23  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [4e035a1932446c8805c75841ea1db08f863254e6]

Right click and clic-drag on a text over background image is weird n#676858

When there an image is wrapped as background under some text, the right
click select the image and the click and drag doesn't do anything. This
is fixed by matching the position with the fly frames after the text.

2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [57962868b038149e85b04160eec881eaf1f31f95]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/writer

Conflicts:
	sw/source/core/inc/frame.hxx
	sw/source/core/layout/wsfrm.cxx

2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [233ddc31c26bb33e4dc4531d097ef4362a5b329a]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	sw/inc/calbck.hxx
	sw/inc/crsrsh.hxx
	sw/inc/dcontact.hxx
	sw/inc/doc.hxx
	sw/inc/docufld.hxx
	sw/inc/editsh.hxx
	sw/inc/expfld.hxx
	sw/inc/fchrfmt.hxx
	sw/inc/fmtcol.hxx
	sw/inc/fmthdft.hxx
	sw/inc/fmtpdsc.hxx
	sw/inc/format.hxx
	sw/inc/frmfmt.hxx
	sw/inc/ndhints.hxx
	sw/inc/ndtxt.hxx
	sw/inc/node.hxx
	sw/inc/numrule.hxx
	sw/inc/paratr.hxx
	sw/inc/swtable.hxx
	sw/inc/unocrsr.hxx
	sw/inc/unofield.hxx
	sw/inc/unoframe.hxx
	sw/inc/unoport.hxx
	sw/inc/unostyle.hxx
	sw/inc/usrfld.hxx
	sw/inc/viewopt.hxx
	sw/inc/viewsh.hxx
	sw/source/core/access/accframebase.cxx
	sw/source/core/access/accmap.cxx
	sw/source/core/access/accnotextframe.cxx
	sw/source/core/access/accpara.cxx
	sw/source/core/access/accpara.hxx
	sw/source/core/attr/calbck.cxx
	sw/source/core/crsr/callnk.cxx
	sw/source/core/crsr/crsrsh.cxx
	sw/source/core/doc/acmplwrd.cxx
	sw/source/core/doc/doc.cxx
	sw/source/core/doc/docdesc.cxx
	sw/source/core/doc/docdraw.cxx
	sw/source/core/doc/docfly.cxx
	sw/source/core/doc/docfmt.cxx
	sw/source/core/doc/doclay.cxx
	sw/source/core/doc/docnew.cxx
	sw/source/core/doc/docnum.cxx
	sw/source/core/doc/doctxm.cxx
	sw/source/core/doc/fmtcol.cxx
	sw/source/core/doc/htmltbl.cxx
	sw/source/core/doc/number.cxx
	sw/source/core/docnode/ndsect.cxx
	sw/source/core/docnode/ndtbl.cxx
	sw/source/core/docnode/node.cxx
	sw/source/core/docnode/node2lay.cxx
	sw/source/core/docnode/section.cxx
	sw/source/core/docnode/swbaslnk.cxx
	sw/source/core/draw/dcontact.cxx
	sw/source/core/draw/dview.cxx
	sw/source/core/edit/autofmt.cxx
	sw/source/core/edit/editsh.cxx
	sw/source/core/edit/edlingu.cxx
	sw/source/core/fields/authfld.cxx
	sw/source/core/fields/dbfld.cxx
	sw/source/core/fields/docufld.cxx
	sw/source/core/fields/expfld.cxx
	sw/source/core/fields/reffld.cxx
	sw/source/core/fields/tblcalc.cxx
	sw/source/core/frmedt/fefly1.cxx
	sw/source/core/frmedt/feshview.cxx
	sw/source/core/frmedt/tblsel.cxx
	sw/source/core/inc/flyfrm.hxx
	sw/source/core/inc/prevwpage.hxx
	sw/source/core/inc/rolbck.hxx
	sw/source/core/inc/txtfrm.hxx
	sw/source/core/layout/atrfrm.cxx
	sw/source/core/layout/findfrm.cxx
	sw/source/core/layout/flowfrm.cxx
	sw/source/core/layout/fly.cxx
	sw/source/core/layout/flycnt.cxx
	sw/source/core/layout/flylay.cxx
	sw/source/core/layout/frmtool.cxx
	sw/source/core/layout/hffrm.cxx
	sw/source/core/layout/pagechg.cxx
	sw/source/core/layout/pagedesc.cxx
	sw/source/core/layout/paintfrm.cxx
	sw/source/core/layout/sectfrm.cxx
	sw/source/core/layout/ssfrm.cxx
	sw/source/core/layout/tabfrm.cxx
	sw/source/core/layout/wsfrm.cxx
	sw/source/core/objectpositioning/tocntntanchoredobjectposition.cxx
	sw/source/core/table/swtable.cxx
	sw/source/core/text/EnhancedPDFExportHelper.cxx
	sw/source/core/text/inftxt.cxx
	sw/source/core/text/porfld.cxx
	sw/source/core/text/txtdrop.cxx
	sw/source/core/text/txtfly.cxx
	sw/source/core/text/txtfrm.cxx
	sw/source/core/text/txtio.cxx
	sw/source/core/text/txttab.cxx
	sw/source/core/tox/tox.cxx
	sw/source/core/txtnode/atrflyin.cxx
	sw/source/core/txtnode/fmtatr2.cxx
	sw/source/core/txtnode/ndtxt.cxx
	sw/source/core/undo/SwUndoPageDesc.cxx
	sw/source/core/undo/undraw.cxx
	sw/source/core/unocore/unochart.cxx
	sw/source/core/unocore/unocoll.cxx
	sw/source/core/unocore/unodraw.cxx
	sw/source/core/unocore/unofield.cxx
	sw/source/core/unocore/unoframe.cxx
	sw/source/core/unocore/unoftn.cxx
	sw/source/core/unocore/unoidx.cxx
	sw/source/core/unocore/unoobj2.cxx
	sw/source/core/unocore/unoparagraph.cxx
	sw/source/core/unocore/unoport.cxx
	sw/source/core/unocore/unoportenum.cxx
	sw/source/core/unocore/unoredline.cxx
	sw/source/core/unocore/unoredlines.cxx
	sw/source/core/unocore/unorefmk.cxx
	sw/source/core/unocore/unosect.cxx
	sw/source/core/unocore/unosett.cxx
	sw/source/core/unocore/unostyle.cxx
	sw/source/core/unocore/unotbl.cxx
	sw/source/core/unocore/unotext.cxx
	sw/source/core/view/viewimp.cxx
	sw/source/core/view/viewpg.cxx
	sw/source/core/view/viewsh.cxx
	sw/source/core/view/vnew.cxx
	sw/source/core/view/vprint.cxx
	sw/source/filter/ww8/rtfexport.cxx
	sw/source/filter/ww8/rtfexport.hxx
	sw/source/filter/ww8/wrtw8nds.cxx
	sw/source/filter/ww8/wrtww8gr.cxx
	sw/source/filter/xml/XMLRedlineImportHelper.cxx
	sw/source/ui/app/apphdl.cxx
	sw/source/ui/app/docsh.cxx
	sw/source/ui/app/docsh2.cxx
	sw/source/ui/app/swmodul1.cxx
	sw/source/ui/config/viewopt.cxx
	sw/source/ui/fldui/fldpage.cxx
	sw/source/ui/uiview/srcview.cxx
	sw/source/ui/uiview/view.cxx
	sw/source/ui/uno/unotxdoc.cxx
	sw/source/ui/vba/wordvbahelper.cxx
	sw/source/ui/wrtsh/wrtsh1.cxx

2011-03-23  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f269d0c90682e5f3680ebd05c12299663c346255]

fdo#35584, i#115557: Fixed crash when a control is anchored to a fly frame


2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [2949b6086de39984b184f3e3ce4f7006296ae79d]

enable this test post passive components


2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [24f6494806d44de165d67e135d96fe448808d77c]

fix build error


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [e3d7657dea656978b9b8f3e7f87a8388f262e0f5]

this should work in theory to use the new component registration stuff


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [d7b9ba695daa075965f5d43a965cfabb46d8ad98]

order pImpl before aGraphic because aGraphic deferences pImpl in ctor


2011-03-21  Luboš Luňák  <l.lunak@suse.cz>  [3947a4533391d5528c092ae18a2ffb38ce6bdad5]

write some lnNumType attributes only when non-default


2011-03-21  Luboš Luňák  <l.lunak@suse.cz>  [6b43a6061263efd72d22a0217a45049ce64ca52f]

implement lnNumType (bnc#593885)


2011-03-21  Dózsa Bálint  <dozsa@linux-dugf.site>  [2a7e89bbaff1cab66a853e44389e9f6fcebd9606]

FIX BUG 32559


2011-03-21  Christoph Herzog  <rhogez@googlemail.com>  [63ea9a18366dae59141cc710cf79176e04e37e9e]

Translation of German comments.


2011-03-21  Christoph Herzog  <rhogez@googlemail.com>  [55dc7c6dbc86cf81c178736ea04b52cd67e4685e]

Translate German comments.


2011-03-21  Tor Lillqvist  <tlillqvist@novell.com>  [600a33898c04372f86ea30a69f98c1d470517ef0]

Sprinkle some realpath goodness here, too

(cherry picked from commit f60ac8bb5f2a22fa2826cf08589976cb4a259d74)

2011-03-20  Thomas Arnhold  <thomas@arnhold.org>  [c56a5c19283fd677787af43d79048c5b6842f303]

WaE: silence warnings


2011-03-20  Caolán McNamara  <caolanm@redhat.com>  [113f3357743737bb18c3f8d16775970dc1582c2b]

WaE: silence warning


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [86eb316ee96cb3bb2107401f253ddf633a3c9f58]

i#12441: added ui for footnote separator color selection


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [2c4ed299d31f5975977565959e3eff2cb915f80e]

i#12441: Fixed line style in footnote format GUI and saved it to ODF


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [0c6cfff9d2e5f03470badb65340533e521ca9364]

Added column separator style in ODF


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [b8dc9994f9e3357c44dff764439104f7bab94589]

Fixed the NONE border line style API value


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [70d185a2dbac2aa3a24c2837086939ed450f68e1]

Shift all table border lines in sw to avoid hacky clipping of the borders


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f5e6fceefc847a078cba2d5e15b96118b4de989c]

ODT import filter fixed for the new borders


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [bbda1d8160666a93b0072ab6f2154f3ecd7d24f8]

Docx export filter: fixed wrong embossed/engraved values


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [dfca82dd492a76b277c2af339ba89566397ee1cb]

Fixed HTML filters to work with new borders


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c578cff319674bed6099b95a06305e0ee4c4d90d]

Fixed RTF import/export of new border lines


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [e15ecacd646dc9a7645af9048304b44587f55df5]

Merged borders of paragraphs were having angles


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [d2b8ddf30bc133caea6af8bbb9b91213f319c1f1]

Fixes for ODT filter related to new borders


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c43a3eb7d66cbeb23bd1a165fb99d72db5124101]

Fixes for WW8 filter related to new borders


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [20afec8314846c940ed45e6fa7a7ede5b13392c4]

Docx export of the new borders


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [0263c1dfbb4ab2f3cf4a951670f5d3a11c5c4336]

Few fixes for RTF export and import of borders


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3a52869e8ced446bbffd72ea4174bcac7f3a2488]

Embossed and engraved to fit ODF specs


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [29285d471b6c3b1785ec3d508aa04633270964f0]

ODF export of new border types


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [71b76ada48e7af2d5e2fb64af2dfc972135e1b82]

Getting total width directly using SvxBorderLine


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [2b629270f2ec6c084d5b0cad87945f8260fafd8b]

Switching the order of the SetLinesWidth arguments


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3e3461dbf9a6231c922b7fc809226763c9a06e55]

One LineListBox to rule them all: started improving column sep line


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [645d87ec7f886136f58991bbba08c77fb76aa9a1]

Misc sw build breakers fixes after the borders width changes


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [fda72f6bd74947572e2915aa42003cbb9e72377b]

Adjusted CSS1 import borders widths


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [1b5fd08afd677f9b499fd9c3d5737844b0a3e48c]

Fixed the ODF Writer import after borders width changes


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [ade48db15da4e22541d32ec4aed800cd6708e298]

Reworked the html filter


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f9b8a88f6d0547dadb191eaf45a44867fcac17f9]

Changed SvxBorderStyle::NONE to SvxBorderStyle::NO_STYLE


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [e3a80a966550f47302814f72f0b237514f6009bf]

Fixed the WW8 filters to use new borders widths


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [6519695ccc9dca5662cabd12e377efc2870d1c9e]

Fixed the WW1 filters to use new borders widths


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [4a797df8a57633d0890f553abc0478fd83bd8d90]

Fixed the auto formatting to use new border widths


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c79aa9383e607ae413f3850777a93da9475dbedc]

Borders: first attempt to fix the ww8 borders import with the new types


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [951d117e1c4940290744ebedfb1caef3048abb3c]

i#8275: Nicely draw borders using drawinglayer and added 3D borders


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [23f594374a4305f22e547e89e345392a3dfbd6c7]

Move OSL_ENSURE(sal_False,...) to OSL_FAIL(...)


2011-03-19  Jacek Wolszczak  <shutdownrunner@gmail.com>  [44de817533831ed568bbd87dd107bf506bc6bfb6]

REPLACE j_assert with OSL_


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [fb7b65b670ad492047b3db13bdd899df72f2109c]

Remove core/except (came in with m101)


2011-03-18  Thorsten Behrens  <tbehrens@novell.com>  [b773ab1d87d5f139d6835ba088ef96d8cf42c076]

Made dbgutil build work again

A few member var renames, and put removed error.h macros into
cxx directly (as the only client)

2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [b59804d94e107c5227532aa3511d4fad1dd15436]

Related: fdo#32553/fdo#31792 nsure correct odt mimetype and pdf export filter

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [d1234b1bcd542b4ce523b6be76e7491afdce4de8]

Resolves: fdo#32553 freeze/hang on mailmerge to attached pdf

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [f7c1fb816f8beaef014a66a98886d440a2c51e99]

Some ULONGs got in, get rid of them.


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [c2ca34b6d0099af5a6bb691c7ae3e50a253ad74a]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/writer

Conflicts:
	sw/source/ui/dbui/mmoutputpage.cxx

2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [75a78c3224b3aa4b626381b8f4993019a2ea4036]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	starmath/source/symbol.cxx
	sw/source/core/doc/docnew.cxx
	sw/source/core/doc/docnum.cxx
	sw/source/core/draw/dview.cxx
	sw/source/core/fields/docufld.cxx
	sw/source/core/layout/calcmove.cxx
	sw/source/filter/html/swhtml.cxx
	sw/source/filter/rtf/rtftbl.cxx
	sw/source/ui/config/modcfg.cxx
	sw/source/ui/dialog/docstdlg.cxx
	sw/source/ui/dialog/docstdlg.src
	sw/source/ui/fldui/flddb.cxx
	sw/source/ui/fldui/flddinf.cxx
	sw/source/ui/fldui/flddok.cxx
	sw/source/ui/fldui/fldfunc.cxx
	sw/source/ui/fldui/fldmgr.cxx
	sw/source/ui/fldui/fldpage.hxx
	sw/source/ui/fldui/fldref.cxx
	sw/source/ui/fldui/fldvar.cxx
	sw/source/ui/fldui/fldvar.hxx
	sw/source/ui/fldui/fldwrap.cxx
	sw/source/ui/fldui/xfldui.cxx
	sw/source/ui/inc/docstdlg.hxx
	sw/source/ui/shells/langhelper.cxx
	sw/source/ui/shells/txtattr.cxx
	sw/source/ui/shells/txtcrsr.cxx
	sw/source/ui/table/tabledlg.cxx

2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [97bce7aad1c3a6f3fd23a3380c79ca9c1515624c]

Related: fdo#32553/fdo#31792 ensure correct pdf export filter


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [5c4a455137ae1fc74cdf88fe6d4d315b1948b4c0]

Related: fdo#32553/fdo#31792 ensure correct mimetype

The flat xml filter also accepts .odt as an extension, so
looking up mimetype by extension could pick that up.

2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [7482695994c5f6bf9995748944e38d2792aaed92]

Resolves: fdo#32553 freeze/hang on mailmerge to attached pdf


2011-03-17  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [ae9f68d1e73a973046deee6fd602a2a4c3eba2a3]

killing off stl in gbuild


2011-03-17  Arnaud Versini  <arnaud.versini@gmail.com>  [1cb177f424942549b547c2113129d607dec3c1e5]

Add non blank characters to metafile.


2011-03-16  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [23b784c83c44f8c7492c007b6ca5a657b2ba016b]

better not use introduce global variables for the libxml include path


2011-03-16  obo  <obo@openoffice.org>  [94ea22c482ec7cf2b28168b625b8411c0bcd3c76]

masterfix DEV300: #i10000# build breaker in sw


2011-03-16  obo  <obo@openoffice.org>  [4370c5a85732f67231b19c34170456b18af1607d]

CWS-TOOLING: integrate CWS swlayoutrefactoring


2011-03-16  obo  <obo@openoffice.org>  [81e4bdc63c6ded73b1966eafe30c8b8f7ef82834]

CWS-TOOLING: integrate CWS debuglevels


2011-03-16  Takeshi Abe  <tabe@fixedpoint.jp>  [bdab38c033a986e3a342dfda503766c248101c5c]

Removed unused function GetLangName()


2011-03-16  Takeshi Abe  <tabe@fixedpoint.jp>  [7e9d9672aef9d8c6fb49171b947f02e059e4b336]

Include <osl/diagnose.h> for OSL_ENSURE


2011-03-15  Norbert Thiebaud  <nthiebaud@gmail.com>  [d68c566851cb70785c61b5b971a386b94897d704]

tempory hack to get the prober libxml include on SYSTEM_LIBXML=YES build


2011-03-15  Michael Meeks  <michael.meeks@novell.com>  [0ed4d06c3277bc80ba1b927945298713d293c9a2]

fix pretty borders post merge (missing .src compile)


2011-03-15  Thorsten Behrens  <tbehrens@novell.com>  [92811cf9f36c8bbbca9d9baaacb3bba7936aeccf]

Fix the build - methods in xmldump.cxx debug-only


2011-03-15  Michael Meeks  <michael.meeks@novell.com>  [627ea629f861a24cfcfad1e9992ef94b7bb9e69a]

fix compile with debug enabled


2011-03-15  Michael Meeks  <michael.meeks@novell.com>  [22cc95737c7ca5dda0bac77dac1323c50a9d0395]

attempt to make unit test function, before disabling it


2011-03-15  Caolán McNamara  <caolanm@redhat.com>  [f988fe560b7358eafa525be7df7997800847c2ca]

WaE: variables set but unused


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [b88ebc38d532ec1536d926d02ebe21564dcf6d0f]

Remove dates from comments


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [b18054ffcd25273a7e4c21e53ea24c915ee3bf81]

Remove dates from comments


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [309a3512023ee98f7c8d8d6ed8d82e64197e4c9d]

Remove empty comment fields


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [340420edf4a40d16e2ff8e94de7abd7cbe99ffe0]

Remove dates from comments


2011-03-14  Pantelis Koukousoulas  <pktoss@gmail.com>  [4f7ac54dcb0eabb2faabf578de8518a08029084f]

Support for greek numerals

References:
  http://www.spinellis.gr/blog/20090625/ (Greek Numerals in OpenOffice.org)

  http://user.services.openoffice.org/en/forum/viewtopic.php?f=7&t=7269
  ([Issue+Workaround] Custom Numbering in Bullets and Numbering)

  http://www.opengr.net/forum/viewtopic.php?f=13&t=51

And the references transitively mentioned in the above.

This functionality was implemented during Greek Coding Camp 2009.

NOTE: the present implementation uses the (modern) two-letter version of '6'
(sigma taf) instead of the ancient greek / katharevousa version that uses
the 'stigma' character.

OTOH, we do use the katharevousa 'qoppa' and 'sampi' because there is no
standard modern version that replaces them. If you have that many bullets
so that these symbols are needed, then you had it comin' anyway :p

Author: Pantelis Koukousoulas <pktoss@gmail.com>
License: LGPLv3 / MPL

Signed-off-by: Pantelis Koukousoulas <pktoss@gmail.com>

2011-03-14  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [996e4d2f7d92ec74740037fc82d4963b87beeb6f]

qa tests need to be in gbuild


2011-03-14  Michael Meeks  <michael.meeks@novell.com>  [5bd7c9930824d7b58adb9cd16a3d07a0f22bc2e1]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101

Conflicts:
	starmath/inc/applicat.hxx
	starmath/inc/dialog.hxx
	starmath/inc/document.hxx
	starmath/inc/edit.hxx
	starmath/inc/format.hxx
	starmath/inc/node.hxx
	starmath/inc/parse.hxx
	starmath/inc/rect.hxx
	starmath/inc/smdll.hxx
	starmath/inc/smmod.hxx
	starmath/inc/starmath.hrc
	starmath/inc/symbol.hxx
	starmath/inc/toolbox.hxx
	starmath/inc/utility.hxx
	starmath/inc/view.hxx
	starmath/prj/build.lst
	starmath/qa/cppunit/version.map
	starmath/sdi/smslots.sdi
	starmath/source/accessibility.cxx
	starmath/source/cfgitem.cxx
	starmath/source/cfgitem.hxx
	starmath/source/config.cxx
	starmath/source/dialog.cxx
	starmath/source/document.cxx
	starmath/source/edit.cxx
	starmath/source/format.cxx
	starmath/source/makefile.mk
	starmath/source/math_pch.cxx
	starmath/source/mathmlexport.cxx
	starmath/source/mathmlimport.cxx
	starmath/source/mathtype.cxx
	starmath/source/node.cxx
	starmath/source/parse.cxx
	starmath/source/rect.cxx
	starmath/source/register.cxx
	starmath/source/smdetect.cxx
	starmath/source/smdll.cxx
	starmath/source/smmod.cxx
	starmath/source/smres.src
	starmath/source/symbol.cxx
	starmath/source/toolbox.cxx
	starmath/source/unomodel.cxx
	starmath/source/utility.cxx
	starmath/source/view.cxx
	sw/JunitTest_sw_unoapi.mk
	sw/Library_swd.mk
	sw/Makefile
	sw/inc/IDocumentFieldsAccess.hxx
	sw/inc/IDocumentSettingAccess.hxx
	sw/inc/IDocumentUndoRedo.hxx
	sw/inc/IShellCursorSupplier.hxx
	sw/inc/SwUndoField.hxx
	sw/inc/acmplwrd.hxx
	sw/inc/authfld.hxx
	sw/inc/bparr.hxx
	sw/inc/calbck.hxx
	sw/inc/calc.hxx
	sw/inc/ccoll.hxx
	sw/inc/cellatr.hxx
	sw/inc/cellfml.hxx
	sw/inc/chpfld.hxx
	sw/inc/cmdid.h
	sw/inc/crsrsh.hxx
	sw/inc/crstate.hxx
	sw/inc/dbfld.hxx
	sw/inc/dbmgr.hxx
	sw/inc/dcontact.hxx
	sw/inc/ddefld.hxx
	sw/inc/doc.hxx
	sw/inc/docary.hxx
	sw/inc/docsh.hxx
	sw/inc/docstat.hxx
	sw/inc/docstyle.hxx
	sw/inc/docufld.hxx
	sw/inc/editsh.hxx
	sw/inc/errhdl.hxx
	sw/inc/expfld.hxx
	sw/inc/fchrfmt.hxx
	sw/inc/fesh.hxx
	sw/inc/fldbas.hxx
	sw/inc/flddat.hxx
	sw/inc/flddropdown.hxx
	sw/inc/flypos.hxx
	sw/inc/fmtanchr.hxx
	sw/inc/fmtautofmt.hxx
	sw/inc/fmtclds.hxx
	sw/inc/fmtcnct.hxx
	sw/inc/fmtcol.hxx
	sw/inc/fmtfsize.hxx
	sw/inc/fmtftn.hxx
	sw/inc/fmtftntx.hxx
	sw/inc/fmthdft.hxx
	sw/inc/fmtinfmt.hxx
	sw/inc/fmtline.hxx
	sw/inc/fmtornt.hxx
	sw/inc/fmtpdsc.hxx
	sw/inc/fmtruby.hxx
	sw/inc/fmtsrnd.hxx
	sw/inc/fmturl.hxx
	sw/inc/fmtwrapinfluenceonobjpos.hxx
	sw/inc/format.hxx
	sw/inc/frmatr.hxx
	sw/inc/frmfmt.hxx
	sw/inc/grfatr.hxx
	sw/inc/helpid.h
	sw/inc/hintids.hxx
	sw/inc/hints.hxx
	sw/inc/htmltbl.hxx
	sw/inc/inetfld.hxx
	sw/inc/io.hxx
	sw/inc/iodetect.hxx
	sw/inc/itabenum.hxx
	sw/inc/ndarr.hxx
	sw/inc/ndgrf.hxx
	sw/inc/ndindex.hxx
	sw/inc/ndnotxt.hxx
	sw/inc/ndole.hxx
	sw/inc/ndtxt.hxx
	sw/inc/ndtyp.hxx
	sw/inc/node.hxx
	sw/inc/numrule.hxx
	sw/inc/pagedesc.hxx
	sw/inc/pagepreviewlayout.hxx
	sw/inc/pam.hxx
	sw/inc/paratr.hxx
	sw/inc/poolfmt.awk
	sw/inc/poolfmt.hxx
	sw/inc/printdata.hxx
	sw/inc/reffld.hxx
	sw/inc/shellio.hxx
	sw/inc/shellres.hxx
	sw/inc/swabstdlg.hxx
	sw/inc/swatrset.hxx
	sw/inc/swerror.h
	sw/inc/swprtopt.hxx
	sw/inc/swtable.hxx
	sw/inc/swtypes.hxx
	sw/inc/tblafmt.hxx
	sw/inc/tgrditem.hxx
	sw/inc/tox.hxx
	sw/inc/undobj.hxx
	sw/inc/unocoll.hxx
	sw/inc/unoframe.hxx
	sw/inc/unoprnms.hxx
	sw/inc/usrfld.hxx
	sw/inc/viewopt.hxx
	sw/inc/viewsh.hxx
	sw/inc/viscrs.hxx
	sw/prj/build.lst
	sw/qa/complex/accessibility/makefile.mk
	sw/qa/core/Test-BigPtrArray.cxx
	sw/qa/core/makefile.mk
	sw/sdi/makefile.mk
	sw/source/core/access/makefile.mk
	sw/source/core/access/textmarkuphelper.cxx
	sw/source/core/attr/calbck.cxx
	sw/source/core/attr/cellatr.cxx
	sw/source/core/attr/fmtwrapinfluenceonobjpos.cxx
	sw/source/core/attr/format.cxx
	sw/source/core/attr/hints.cxx
	sw/source/core/bastyp/calc.cxx
	sw/source/core/bastyp/init.cxx
	sw/source/core/bastyp/makefile.mk
	sw/source/core/bastyp/swcache.cxx
	sw/source/core/crsr/bookmrk.cxx
	sw/source/core/crsr/callnk.cxx
	sw/source/core/crsr/crsrsh.cxx
	sw/source/core/crsr/crstrvl.cxx
	sw/source/core/crsr/findattr.cxx
	sw/source/core/crsr/findcoll.cxx
	sw/source/core/crsr/makefile.mk
	sw/source/core/crsr/pam.cxx
	sw/source/core/crsr/swcrsr.cxx
	sw/source/core/crsr/trvltbl.cxx
	sw/source/core/crsr/unocrsr.cxx
	sw/source/core/crsr/viscrs.cxx
	sw/source/core/doc/acmplwrd.cxx
	sw/source/core/doc/doc.cxx
	sw/source/core/doc/docbm.cxx
	sw/source/core/doc/doccomp.cxx
	sw/source/core/doc/docdesc.cxx
	sw/source/core/doc/docdraw.cxx
	sw/source/core/doc/docedt.cxx
	sw/source/core/doc/docfld.cxx
	sw/source/core/doc/docfly.cxx
	sw/source/core/doc/docfmt.cxx
	sw/source/core/doc/docftn.cxx
	sw/source/core/doc/docglbl.cxx
	sw/source/core/doc/docglos.cxx
	sw/source/core/doc/doclay.cxx
	sw/source/core/doc/docnew.cxx
	sw/source/core/doc/docnum.cxx
	sw/source/core/doc/docredln.cxx
	sw/source/core/doc/docruby.cxx
	sw/source/core/doc/docsort.cxx
	sw/source/core/doc/docstat.cxx
	sw/source/core/doc/doctxm.cxx
	sw/source/core/doc/fmtcol.cxx
	sw/source/core/doc/gctable.cxx
	sw/source/core/doc/htmltbl.cxx
	sw/source/core/doc/makefile.mk
	sw/source/core/doc/number.cxx
	sw/source/core/doc/poolfmt.cxx
	sw/source/core/doc/tblafmt.cxx
	sw/source/core/doc/tblcpy.cxx
	sw/source/core/doc/tblrwcl.cxx
	sw/source/core/docnode/makefile.mk
	sw/source/core/docnode/ndcopy.cxx
	sw/source/core/docnode/ndnum.cxx
	sw/source/core/docnode/ndsect.cxx
	sw/source/core/docnode/ndtbl.cxx
	sw/source/core/docnode/ndtbl1.cxx
	sw/source/core/docnode/node.cxx
	sw/source/core/docnode/node2lay.cxx
	sw/source/core/docnode/nodes.cxx
	sw/source/core/docnode/section.cxx
	sw/source/core/docnode/swbaslnk.cxx
	sw/source/core/draw/dcontact.cxx
	sw/source/core/draw/dflyobj.cxx
	sw/source/core/draw/drawdoc.cxx
	sw/source/core/draw/dview.cxx
	sw/source/core/draw/makefile.mk
	sw/source/core/edit/autofmt.cxx
	sw/source/core/edit/edattr.cxx
	sw/source/core/edit/eddel.cxx
	sw/source/core/edit/edfcol.cxx
	sw/source/core/edit/edfld.cxx
	sw/source/core/edit/edfldexp.cxx
	sw/source/core/edit/edfmt.cxx
	sw/source/core/edit/edglss.cxx
	sw/source/core/edit/editsh.cxx
	sw/source/core/edit/edlingu.cxx
	sw/source/core/edit/ednumber.cxx
	sw/source/core/edit/edsect.cxx
	sw/source/core/edit/edtab.cxx
	sw/source/core/edit/edtox.cxx
	sw/source/core/edit/edundo.cxx
	sw/source/core/edit/makefile.mk
	sw/source/core/except/dbgloop.cxx
	sw/source/core/except/errhdl.cxx
	sw/source/core/fields/authfld.cxx
	sw/source/core/fields/cellfml.cxx
	sw/source/core/fields/chpfld.cxx
	sw/source/core/fields/dbfld.cxx
	sw/source/core/fields/ddefld.cxx
	sw/source/core/fields/ddetbl.cxx
	sw/source/core/fields/docufld.cxx
	sw/source/core/fields/expfld.cxx
	sw/source/core/fields/fldbas.cxx
	sw/source/core/fields/flddat.cxx
	sw/source/core/fields/flddropdown.cxx
	sw/source/core/fields/macrofld.cxx
	sw/source/core/fields/makefile.mk
	sw/source/core/fields/reffld.cxx
	sw/source/core/fields/scrptfld.cxx
	sw/source/core/fields/tblcalc.cxx
	sw/source/core/fields/usrfld.cxx
	sw/source/core/frmedt/fecopy.cxx
	sw/source/core/frmedt/fedesc.cxx
	sw/source/core/frmedt/fefly1.cxx
	sw/source/core/frmedt/feshview.cxx
	sw/source/core/frmedt/fetab.cxx
	sw/source/core/frmedt/fews.cxx
	sw/source/core/frmedt/makefile.mk
	sw/source/core/frmedt/tblsel.cxx
	sw/source/core/graphic/grfatr.cxx
	sw/source/core/inc/SwUndoFmt.hxx
	sw/source/core/inc/SwUndoTOXChange.hxx
	sw/source/core/inc/anchoredobjectposition.hxx
	sw/source/core/inc/dbgloop.hxx
	sw/source/core/inc/drawfont.hxx
	sw/source/core/inc/flowfrm.hxx
	sw/source/core/inc/frame.hxx
	sw/source/core/inc/frmtool.hxx
	sw/source/core/inc/layact.hxx
	sw/source/core/inc/layfrm.hxx
	sw/source/core/inc/notxtfrm.hxx
	sw/source/core/inc/rolbck.hxx
	sw/source/core/inc/rootfrm.hxx
	sw/source/core/inc/scriptinfo.hxx
	sw/source/core/inc/swblocks.hxx
	sw/source/core/inc/swcache.hxx
	sw/source/core/inc/tabfrm.hxx
	sw/source/core/inc/txmsrt.hxx
	sw/source/core/inc/undoflystrattr.hxx
	sw/source/core/inc/viewimp.hxx
	sw/source/core/layout/atrfrm.cxx
	sw/source/core/layout/calcmove.cxx
	sw/source/core/layout/dbg_lay.cxx
	sw/source/core/layout/findfrm.cxx
	sw/source/core/layout/flowfrm.cxx
	sw/source/core/layout/fly.cxx
	sw/source/core/layout/flycnt.cxx
	sw/source/core/layout/flyincnt.cxx
	sw/source/core/layout/flylay.cxx
	sw/source/core/layout/frmtool.cxx
	sw/source/core/layout/ftnfrm.cxx
	sw/source/core/layout/layact.cxx
	sw/source/core/layout/laycache.cxx
	sw/source/core/layout/makefile.mk
	sw/source/core/layout/objectformatter.cxx
	sw/source/core/layout/pagechg.cxx
	sw/source/core/layout/pagedesc.cxx
	sw/source/core/layout/paintfrm.cxx
	sw/source/core/layout/sectfrm.cxx
	sw/source/core/layout/tabfrm.cxx
	sw/source/core/layout/trvlfrm.cxx
	sw/source/core/layout/unusedf.cxx
	sw/source/core/layout/wsfrm.cxx
	sw/source/core/makefile.mk
	sw/source/core/objectpositioning/anchoredobjectposition.cxx
	sw/source/core/objectpositioning/ascharanchoredobjectposition.cxx
	sw/source/core/objectpositioning/makefile.mk
	sw/source/core/objectpositioning/tocntntanchoredobjectposition.cxx
	sw/source/core/objectpositioning/tolayoutanchoredobjectposition.cxx
	sw/source/core/ole/ndole.cxx
	sw/source/core/para/makefile.mk
	sw/source/core/para/paratr.cxx
	sw/source/core/sw3io/makefile.mk
	sw/source/core/sw3io/sw3convert.cxx
	sw/source/core/swg/SwXMLTextBlocks.cxx
	sw/source/core/swg/makefile.mk
	sw/source/core/swg/swblocks.cxx
	sw/source/core/table/swnewtable.cxx
	sw/source/core/table/swtable.cxx
	sw/source/core/text/EnhancedPDFExportHelper.cxx
	sw/source/core/text/atrstck.cxx
	sw/source/core/text/frmcrsr.cxx
	sw/source/core/text/frmform.cxx
	sw/source/core/text/itrcrsr.cxx
	sw/source/core/text/itrform2.cxx
	sw/source/core/text/makefile.mk
	sw/source/core/text/porlay.cxx
	sw/source/core/text/pormulti.cxx
	sw/source/core/text/txtfld.cxx
	sw/source/core/text/txtfrm.cxx
	sw/source/core/text/txtio.cxx
	sw/source/core/tox/makefile.mk
	sw/source/core/tox/txmsrt.cxx
	sw/source/core/txtnode/fmtatr2.cxx
	sw/source/core/txtnode/fntcache.cxx
	sw/source/core/txtnode/fntcap.cxx
	sw/source/core/txtnode/makefile.mk
	sw/source/core/txtnode/ndhints.cxx
	sw/source/core/txtnode/ndtxt.cxx
	sw/source/core/txtnode/swfont.cxx
	sw/source/core/txtnode/thints.cxx
	sw/source/core/txtnode/txtatr2.cxx
	sw/source/core/txtnode/txtedt.cxx
	sw/source/core/undo/SwUndoField.cxx
	sw/source/core/undo/SwUndoPageDesc.cxx
	sw/source/core/undo/SwUndoTOXChange.cxx
	sw/source/core/undo/docundo.cxx
	sw/source/core/undo/makefile.mk
	sw/source/core/undo/rolbck.cxx
	sw/source/core/undo/unbkmk.cxx
	sw/source/core/undo/undel.cxx
	sw/source/core/undo/undobj.cxx
	sw/source/core/undo/undobj1.cxx
	sw/source/core/undo/unfmco.cxx
	sw/source/core/undo/unins.cxx
	sw/source/core/undo/unnum.cxx
	sw/source/core/undo/unoutl.cxx
	sw/source/core/undo/unredln.cxx
	sw/source/core/undo/unsect.cxx
	sw/source/core/undo/unsort.cxx
	sw/source/core/undo/unspnd.cxx
	sw/source/core/undo/untbl.cxx
	sw/source/core/unocore/makefile.mk
	sw/source/core/unocore/swunohelper.cxx
	sw/source/core/unocore/unobkm.cxx
	sw/source/core/unocore/unocoll.cxx
	sw/source/core/unocore/unocrsrhelper.cxx
	sw/source/core/unocore/unodraw.cxx
	sw/source/core/unocore/unofield.cxx
	sw/source/core/unocore/unoframe.cxx
	sw/source/core/unocore/unomap.cxx
	sw/source/core/unocore/unoprnms.cxx
	sw/source/core/unocore/unoredlines.cxx
	sw/source/core/unocore/unosett.cxx
	sw/source/core/unocore/unosrch.cxx
	sw/source/core/unocore/unostyle.cxx
	sw/source/core/unocore/unotbl.cxx
	sw/source/core/view/vdraw.cxx
	sw/source/core/view/viewimp.cxx
	sw/source/core/view/viewpg.cxx
	sw/source/core/view/viewsh.cxx
	sw/source/core/view/vnew.cxx
	sw/source/core/view/vprint.cxx
	sw/source/filter/ascii/ascatr.cxx
	sw/source/filter/ascii/makefile.mk
	sw/source/filter/ascii/wrtasc.cxx
	sw/source/filter/basflt/fltini.cxx
	sw/source/filter/basflt/iodetect.cxx
	sw/source/filter/basflt/makefile.mk
	sw/source/filter/html/SwAppletImpl.cxx
	sw/source/filter/html/css1atr.cxx
	sw/source/filter/html/htmlatr.cxx
	sw/source/filter/html/htmlbas.cxx
	sw/source/filter/html/htmlcss1.cxx
	sw/source/filter/html/htmlfly.cxx
	sw/source/filter/html/htmlftn.cxx
	sw/source/filter/html/htmlgrin.cxx
	sw/source/filter/html/htmlnum.cxx
	sw/source/filter/html/htmlplug.cxx
	sw/source/filter/html/htmltab.cxx
	sw/source/filter/html/makefile.mk
	sw/source/filter/html/parcss1.cxx
	sw/source/filter/html/svxcss1.cxx
	sw/source/filter/html/swhtml.cxx
	sw/source/filter/inc/msfilter.hxx
	sw/source/filter/inc/wrtswtbl.hxx
	sw/source/filter/rtf/makefile.mk
	sw/source/filter/rtf/rtffly.cxx
	sw/source/filter/rtf/rtfnum.cxx
	sw/source/filter/rtf/rtftbl.cxx
	sw/source/filter/rtf/swparrtf.cxx
	sw/source/filter/rtf/swparrtf.hxx
	sw/source/filter/writer/makefile.mk
	sw/source/filter/writer/writer.cxx
	sw/source/filter/writer/wrt_fn.cxx
	sw/source/filter/writer/wrtswtbl.cxx
	sw/source/filter/ww1/fltshell.cxx
	sw/source/filter/ww1/makefile.mk
	sw/source/filter/ww1/w1class.cxx
	sw/source/filter/ww1/w1class.hxx
	sw/source/filter/ww1/w1filter.cxx
	sw/source/filter/ww1/w1par.cxx
	sw/source/filter/ww1/w1sprm.cxx
	sw/source/filter/ww1/w1struct.hxx
	sw/source/filter/ww8/README-rtf.txt
	sw/source/filter/ww8/attributeoutputbase.hxx
	sw/source/filter/ww8/docxattributeoutput.cxx
	sw/source/filter/ww8/docxattributeoutput.hxx
	sw/source/filter/ww8/docxexport.cxx
	sw/source/filter/ww8/docxexport.hxx
	sw/source/filter/ww8/docxexportfilter.cxx
	sw/source/filter/ww8/dump/dump8.cxx
	sw/source/filter/ww8/dump/dump8a.cxx
	sw/source/filter/ww8/dump/msvbasic.cxx
	sw/source/filter/ww8/dump/msvbasic.hxx
	sw/source/filter/ww8/dump/ww8darr.cxx
	sw/source/filter/ww8/dump/ww8darr.hxx
	sw/source/filter/ww8/dump/ww8dout.cxx
	sw/source/filter/ww8/dump/ww8dout.hxx
	sw/source/filter/ww8/dump/ww8scan.cxx
	sw/source/filter/ww8/dump/ww8scan.hxx
	sw/source/filter/ww8/dump/ww8struc.hxx
	sw/source/filter/ww8/makefile.mk
	sw/source/filter/ww8/rtfattributeoutput.cxx
	sw/source/filter/ww8/rtfattributeoutput.hxx
	sw/source/filter/ww8/rtfexport.cxx
	sw/source/filter/ww8/rtfexport.hxx
	sw/source/filter/ww8/rtfexportfilter.cxx
	sw/source/filter/ww8/rtfexportfilter.hxx
	sw/source/filter/ww8/rtfimportfilter.cxx
	sw/source/filter/ww8/rtfimportfilter.hxx
	sw/source/filter/ww8/rtfsdrexport.cxx
	sw/source/filter/ww8/rtfsdrexport.hxx
	sw/source/filter/ww8/writerhelper.cxx
	sw/source/filter/ww8/writerwordglue.cxx
	sw/source/filter/ww8/wrtw8esh.cxx
	sw/source/filter/ww8/wrtw8nds.cxx
	sw/source/filter/ww8/wrtw8num.cxx
	sw/source/filter/ww8/wrtw8sty.cxx
	sw/source/filter/ww8/wrtww8.cxx
	sw/source/filter/ww8/wrtww8.hxx
	sw/source/filter/ww8/wrtww8gr.cxx
	sw/source/filter/ww8/ww8atr.cxx
	sw/source/filter/ww8/ww8attributeoutput.hxx
	sw/source/filter/ww8/ww8graf.cxx
	sw/source/filter/ww8/ww8graf.hxx
	sw/source/filter/ww8/ww8graf2.cxx
	sw/source/filter/ww8/ww8par.cxx
	sw/source/filter/ww8/ww8par.hxx
	sw/source/filter/ww8/ww8par2.cxx
	sw/source/filter/ww8/ww8par3.cxx
	sw/source/filter/ww8/ww8par5.cxx
	sw/source/filter/ww8/ww8par6.cxx
	sw/source/filter/ww8/ww8scan.cxx
	sw/source/filter/ww8/ww8scan.hxx
	sw/source/filter/ww8/ww8struc.hxx
	sw/source/filter/xml/makefile.mk
	sw/source/filter/xml/xmlimpit.cxx
	sw/source/filter/xml/xmltble.cxx
	sw/source/filter/xml/xmltbli.cxx
	sw/source/ui/app/appenv.cxx
	sw/source/ui/app/apphdl.cxx
	sw/source/ui/app/applab.cxx
	sw/source/ui/app/appopt.cxx
	sw/source/ui/app/docsh.cxx
	sw/source/ui/app/docsh2.cxx
	sw/source/ui/app/docshini.cxx
	sw/source/ui/app/docst.cxx
	sw/source/ui/app/docstyle.cxx
	sw/source/ui/app/makefile.mk
	sw/source/ui/app/mn.src
	sw/source/ui/app/swmodul1.cxx
	sw/source/ui/cctrl/makefile.mk
	sw/source/ui/cctrl/swlbox.cxx
	sw/source/ui/chrdlg/break.cxx
	sw/source/ui/chrdlg/ccoll.cxx
	sw/source/ui/chrdlg/chardlg.cxx
	sw/source/ui/chrdlg/drpcps.cxx
	sw/source/ui/chrdlg/makefile.mk
	sw/source/ui/chrdlg/numpara.cxx
	sw/source/ui/chrdlg/pardlg.cxx
	sw/source/ui/chrdlg/swuiccoll.cxx
	sw/source/ui/config/barcfg.cxx
	sw/source/ui/config/caption.cxx
	sw/source/ui/config/cfgitems.cxx
	sw/source/ui/config/fontcfg.cxx
	sw/source/ui/config/mailconfigpage.cxx
	sw/source/ui/config/makefile.mk
	sw/source/ui/config/modcfg.cxx
	sw/source/ui/config/optcomp.cxx
	sw/source/ui/config/optload.cxx
	sw/source/ui/config/optpage.cxx
	sw/source/ui/config/prtopt.cxx
	sw/source/ui/config/uinums.cxx
	sw/source/ui/config/usrpref.cxx
	sw/source/ui/config/viewopt.cxx
	sw/source/ui/dbui/dbinsdlg.cxx
	sw/source/ui/dbui/dbmgr.cxx
	sw/source/ui/dbui/dbtree.cxx
	sw/source/ui/dbui/makefile.mk
	sw/source/ui/dbui/mmaddressblockpage.cxx
	sw/source/ui/dbui/mmdocselectpage.cxx
	sw/source/ui/dbui/mmoutputpage.cxx
	sw/source/ui/dbui/swdbtoolsclient.cxx
	sw/source/ui/dialog/abstract.cxx
	sw/source/ui/dialog/ascfldlg.cxx
	sw/source/ui/dialog/macassgn.cxx
	sw/source/ui/dialog/makefile.mk
	sw/source/ui/dialog/regionsw.cxx
	sw/source/ui/dialog/swdlgfact.cxx
	sw/source/ui/dialog/swdlgfact.hxx
	sw/source/ui/dialog/uiregionsw.cxx
	sw/source/ui/dochdl/gloshdl.cxx
	sw/source/ui/dochdl/makefile.mk
	sw/source/ui/dochdl/swdtflvr.cxx
	sw/source/ui/docvw/PostItMgr.cxx
	sw/source/ui/docvw/SidebarWin.cxx
	sw/source/ui/docvw/edtdd.cxx
	sw/source/ui/docvw/edtwin.cxx
	sw/source/ui/docvw/edtwin2.cxx
	sw/source/ui/docvw/edtwin3.cxx
	sw/source/ui/docvw/makefile.mk
	sw/source/ui/docvw/romenu.cxx
	sw/source/ui/docvw/romenu.hxx
	sw/source/ui/docvw/srcedtw.cxx
	sw/source/ui/envelp/envfmt.cxx
	sw/source/ui/envelp/envimg.cxx
	sw/source/ui/envelp/envlop1.cxx
	sw/source/ui/envelp/envprt.cxx
	sw/source/ui/envelp/label1.cxx
	sw/source/ui/envelp/labfmt.cxx
	sw/source/ui/envelp/labprt.cxx
	sw/source/ui/envelp/mailmrge.cxx
	sw/source/ui/envelp/makefile.mk
	sw/source/ui/fldui/flddb.cxx
	sw/source/ui/fldui/flddinf.cxx
	sw/source/ui/fldui/flddok.cxx
	sw/source/ui/fldui/fldedt.cxx
	sw/source/ui/fldui/fldfunc.cxx
	sw/source/ui/fldui/fldmgr.cxx
	sw/source/ui/fldui/fldpage.cxx
	sw/source/ui/fldui/fldref.cxx
	sw/source/ui/fldui/fldtdlg.cxx
	sw/source/ui/fldui/fldvar.cxx
	sw/source/ui/fldui/fldwrap.cxx
	sw/source/ui/fldui/inpdlg.cxx
	sw/source/ui/fldui/makefile.mk
	sw/source/ui/fmtui/makefile.mk
	sw/source/ui/fmtui/tmpdlg.cxx
	sw/source/ui/frmdlg/colmgr.cxx
	sw/source/ui/frmdlg/column.cxx
	sw/source/ui/frmdlg/cption.cxx
	sw/source/ui/frmdlg/frmdlg.cxx
	sw/source/ui/frmdlg/frmmgr.cxx
	sw/source/ui/frmdlg/frmpage.cxx
	sw/source/ui/frmdlg/makefile.mk
	sw/source/ui/frmdlg/wrap.cxx
	sw/source/ui/globdoc/makefile.mk
	sw/source/ui/inc/bmpwin.hxx
	sw/source/ui/inc/colmgr.hxx
	sw/source/ui/inc/column.hxx
	sw/source/ui/inc/envimg.hxx
	sw/source/ui/inc/envlop.hxx
	sw/source/ui/inc/frmpage.hxx
	sw/source/ui/inc/inputwin.hxx
	sw/source/ui/inc/javaedit.hxx
	sw/source/ui/inc/num.hxx
	sw/source/ui/inc/optpage.hxx
	sw/source/ui/inc/regionsw.hxx
	sw/source/ui/inc/split.hxx
	sw/source/ui/inc/swlbox.hxx
	sw/source/ui/inc/swmn_tmpl.hrc
	sw/source/ui/inc/swuiidxmrk.hxx
	sw/source/ui/inc/tabsh.hxx
	sw/source/ui/inc/toxmgr.hxx
	sw/source/ui/inc/uiitems.hxx
	sw/source/ui/inc/view.hxx
	sw/source/ui/inc/workctrl.hxx
	sw/source/ui/inc/wrap.hxx
	sw/source/ui/inc/wrtsh.hxx
	sw/source/ui/index/cnttab.cxx
	sw/source/ui/index/makefile.mk
	sw/source/ui/index/toxmgr.cxx
	sw/source/ui/lingu/hhcwrp.cxx
	sw/source/ui/lingu/makefile.mk
	sw/source/ui/lingu/olmenu.cxx
	sw/source/ui/misc/bookmark.cxx
	sw/source/ui/misc/docfnote.cxx
	sw/source/ui/misc/glosbib.cxx
	sw/source/ui/misc/glosdoc.cxx
	sw/source/ui/misc/glshell.cxx
	sw/source/ui/misc/insfnote.cxx
	sw/source/ui/misc/linenum.cxx
	sw/source/ui/misc/makefile.mk
	sw/source/ui/misc/num.cxx
	sw/source/ui/misc/numberingtypelistbox.cxx
	sw/source/ui/misc/outline.cxx
	sw/source/ui/misc/pgfnote.cxx
	sw/source/ui/misc/pggrid.cxx
	sw/source/ui/misc/redlndlg.cxx
	sw/source/ui/misc/srtdlg.cxx
	sw/source/ui/misc/swmodalredlineacceptdlg.cxx
	sw/source/ui/ribbar/conarc.cxx
	sw/source/ui/ribbar/drawbase.cxx
	sw/source/ui/ribbar/inputwin.cxx
	sw/source/ui/ribbar/inputwin.src
	sw/source/ui/ribbar/makefile.mk
	sw/source/ui/ribbar/tbxanchr.cxx
	sw/source/ui/ribbar/workctrl.cxx
	sw/source/ui/ribbar/workctrl.src
	sw/source/ui/shells/annotsh.cxx
	sw/source/ui/shells/basesh.cxx
	sw/source/ui/shells/beziersh.cxx
	sw/source/ui/shells/drawdlg.cxx
	sw/source/ui/shells/drwbassh.cxx
	sw/source/ui/shells/drwtxtex.cxx
	sw/source/ui/shells/drwtxtsh.cxx
	sw/source/ui/shells/frmsh.cxx
	sw/source/ui/shells/grfsh.cxx
	sw/source/ui/shells/grfshex.cxx
	sw/source/ui/shells/makefile.mk
	sw/source/ui/shells/tabsh.cxx
	sw/source/ui/shells/textfld.cxx
	sw/source/ui/shells/textglos.cxx
	sw/source/ui/shells/textsh.cxx
	sw/source/ui/shells/textsh1.cxx
	sw/source/ui/shells/txtattr.cxx
	sw/source/ui/shells/txtcrsr.cxx
	sw/source/ui/shells/txtnum.cxx
	sw/source/ui/table/convert.cxx
	sw/source/ui/table/instable.cxx
	sw/source/ui/table/makefile.mk
	sw/source/ui/table/swtablerep.cxx
	sw/source/ui/table/tabledlg.cxx
	sw/source/ui/table/tablemgr.cxx
	sw/source/ui/table/tablepg.hxx
	sw/source/ui/table/tautofmt.cxx
	sw/source/ui/uiview/formatclipboard.cxx
	sw/source/ui/uiview/makefile.mk
	sw/source/ui/uiview/pview.cxx
	sw/source/ui/uiview/pview.src
	sw/source/ui/uiview/scroll.cxx
	sw/source/ui/uiview/srcview.cxx
	sw/source/ui/uiview/swcli.cxx
	sw/source/ui/uiview/uivwimp.cxx
	sw/source/ui/uiview/view.cxx
	sw/source/ui/uiview/view1.cxx
	sw/source/ui/uiview/view2.cxx
	sw/source/ui/uiview/viewcoll.cxx
	sw/source/ui/uiview/viewdlg2.cxx
	sw/source/ui/uiview/viewling.cxx
	sw/source/ui/uiview/viewmdi.cxx
	sw/source/ui/uiview/viewport.cxx
	sw/source/ui/uiview/viewprt.cxx
	sw/source/ui/uiview/viewsrch.cxx
	sw/source/ui/uiview/viewtab.cxx
	sw/source/ui/uno/SwXDocumentSettings.cxx
	sw/source/ui/uno/SwXPrintPreviewSettings.cxx
	sw/source/ui/uno/SwXPrintPreviewSettings.hxx
	sw/source/ui/uno/unoatxt.cxx
	sw/source/ui/uno/unomod.cxx
	sw/source/ui/uno/unotxdoc.cxx
	sw/source/ui/uno/unotxvw.cxx
	sw/source/ui/utlui/attrdesc.cxx
	sw/source/ui/utlui/content.cxx
	sw/source/ui/utlui/glbltree.cxx
	sw/source/ui/utlui/initui.cxx
	sw/source/ui/utlui/makefile.mk
	sw/source/ui/utlui/navipi.cxx
	sw/source/ui/utlui/navipi.src
	sw/source/ui/utlui/numfmtlb.cxx
	sw/source/ui/utlui/prcntfld.cxx
	sw/source/ui/utlui/uiitems.cxx
	sw/source/ui/utlui/uitool.cxx
	sw/source/ui/utlui/unotools.cxx
	sw/source/ui/utlui/viewlayoutctrl.cxx
	sw/source/ui/utlui/zoomctrl.cxx
	sw/source/ui/vba/makefile.mk
	sw/source/ui/vba/service.cxx
	sw/source/ui/web/makefile.mk
	sw/source/ui/wrtsh/makefile.mk
	sw/source/ui/wrtsh/wrtsh1.cxx
	sw/source/ui/wrtsh/wrtsh2.cxx
	sw/source/ui/wrtsh/wrtsh4.cxx
	sw/source/ui/wrtsh/wrtundo.cxx
	sw/util/hidother.src
	sw/util/makefile.mk
	sw/util/msword.map

2011-03-14  Caolán McNamara  <caolanm@redhat.com>  [5054bf5dae5fbb7e1e2641480911a0e9dbb438cd]

Resolves: fdo#35282 clear styles as well when using "for all text"


2011-03-14  Caolán McNamara  <caolanm@redhat.com>  [8df0a4e6726d0af6bbea4f63574978e0d3f5b286]

drop username in comment


2011-03-14  Caolán McNamara  <caolanm@redhat.com>  [d16b8b3a96c709a2c5bb5da1782342c7589a1901]

drop username in comment


2011-03-14  Martin Kepplinger  <martinkepplinger@eml.cc>  [835c11eea005e59b58393d56e982e3a8ccc12f97]

Translate an error message

This translates an error message from german to english.

thanks,
	martin

2011-03-14  Caolán McNamara  <caolanm@redhat.com>  [7c4571adca053a2eb6229d0519f05520af28bbf7]

Resolves: rhbz#684620 crash with NULL pTableBox


2011-03-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ed5f1733e0e2204221d2e9d11484250ff4aba316]

debuglevels: pulled and merged DEV300.m102


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [baade6c60b9bd0f708f5c8d81a333f1070a72d65]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [6b758e3af56c848227d584f50f1f7b728d3dc054]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [711d287e9ea99e3cddadd44b6238148c5daec2e7]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [1f5ca7ac65f677274085943afd6a5e256b9dc291]

Move DBG_ERROR to OSL_FAIL and correct OString usage


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [26fd6e0480c3ff88ad4c1150f3e088fc4a562b10]

Move DBG_ERROR to OSL_FAIL (multiline)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [b65c6e62954e78761cdf56511c5e3ae8a8a0dcc7]

Move DBG_ERROR to OSL_FAIL for strings GetBuffer()


2011-03-12  Takeshi Abe  <tabe@fixedpoint.jp>  [30da8f833da91321d674586f1242e0948e474a39]

fix typo


2011-03-11  Christina Rossmanith  <ChrRossmanith@web.de>  [7ab43d0799e8f1c4187c4e115b174c338eeccd62]

Translated comments


2011-03-09  Nigel Hawkins  <n.hawkins@gmx.com>  [eb9618162ca53f898673cb457c5768fda168208e]

Fix build breakage caused by commit 6165ef7...


2011-03-09  Nigel Hawkins  <n.hawkins@gmx.com>  [6165ef7c953ff7fdd9a52e3a516a0500a8ee5b0f]

Remove last traces of SvLongs


2011-03-09  Nigel Hawkins  <n.hawkins@gmx.com>  [aa9a3810fc2fda1b2ccda46e210172cc76d4f36d]

Remove use of SvLongs from txtfly.[ch]xx

Note that this commit is forced by changes in editeng.

2011-03-09  Martin Kepplinger  <martinkepplinger@eml.cc>  [108d9a7b62570af70bf5ef44cb4c77277bab4c68]

Translate german comments

This translates the remaining german code comments in writer/sw/source/ui/fldui
to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-09  Martin Kepplinger  <martinkepplinger@eml.cc>  [5129d014d258e24523e58314d538d4e3d55b2913]

Translate german comments

This translates german code comments in writer/sw/source/ui/fldui to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-09  Martin Kepplinger  <martinkepplinger@eml.cc>  [311d7cc1eded8e7d3b048f3b78da6e812658e246]

Translate german comments

This translates more german code comments in writer/sw/source/ui/fldui to
english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-09  Martin Kepplinger  <martinkepplinger@eml.cc>  [f87296bbe715696888fa1b12efdb86ad7da94040]

Translate german comments

This translates more german code comments in writer/sw/source/ui/fldui to
english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-09  Martin Kepplinger  <martinkepplinger@eml.cc>  [87f893ba1ff6073e9624784521d8927f28adb2c4]

Translate german comments

This translates german code comments in writer/sw/source/ui/fldui to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-08  Caolán McNamara  <caolanm@redhat.com>  [8bd5a565de11caaab9c3d2226f5fe0ddd28d7a56]

use same terminology as in word count


2011-03-08  Arnaud Versini  <arnaud.versini@gmail.com>  [f08d3f6a28f095a8d94b7d1bebef3bc68a6a9006]

Add non blank characters in Writter properties dialog.


2011-03-08  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [5974be757044982b8f510c5fc642e8e03ae62c74]

n#663622: Fix the positions of imported fields to avoid crashes

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-03-08  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3ea3d60bf64a0d2127c420ad9eb595b3425e77ec]

n#663622: Fix the positions of imported fields to avoid crashes


2011-03-08  Petr Mladek  <pmladek@suse.cz>  [5b8ca75bc3ef7fc23373cb7ae383ef8c75f69d1a]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-08  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [1b63b7c2cb9ea29579c5982cce2aa0ac69093c24]

Handle shadow option in frame painting.


2011-03-08  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [4e7e90f575657ba6096bc8ed11c6ee4d6f309fe8]

Renamed shadow images to *-mask.


2011-03-08  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [63a4ba9aad0fa6d621e67fd27986508cdf5c00d4]

Removed no more used shadow images.


2011-03-08  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [0cd7fd649ef974af32681f48fc86051c447bb5cb]

Using alpha mask for page shadow drawing.

Alpha masks will allow us to have configurable shadow colors.

2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [d9e49c5269404110c35dd85f964c93f4793f25a9]

CWS-TOOLING: integrate CWS os146


2011-03-07  Caolán McNamara  <caolanm@redhat.com>  [a4b72ea35f91f6e0f0c52eb35dee1cf93dc5ec21]

Resolves: fdo#34920 restore FormatBlock

Reverts the accidental removal of this in
cb3cd9644fdc556234f62fb80f6ecf60afedf3cf

2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [7df01f4f129f35609bd0a4ee5149cf55d7cae953]

CWS-TOOLING: integrate CWS os150


2011-03-07  Jean-Yves Royer  <royerjy@wanadoo.fr>  [f096d0150312f169beef6a3b3b06fa9815f224b3]

Mapped some more paragraph style to WW8


2011-03-07  Martin Kepplinger  <martinkepplinger@eml.cc>  [78d1d3622d92a06bf69cf6ab7547c83a96444d24]

Remove references to unavailable bug reports

This removes more references to bugzillas that are not available to the
community. See http://wiki.documentfoundation.org/Development/FAQ

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-07  Martin Kepplinger  <martinkepplinger@eml.cc>  [fefa9cf910d1f93466443bd066b88433865c3d44]

Remove reference to unavailable bugtrackers

This removes references to some internel bugtrackers that are (according to
http://wiki.documentfoundation.org/Development/FAQ ) not available to the
community in writer/starmath.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-07  Martin Kepplinger  <martinkepplinger@eml.cc>  [cc8a6dd8fe38d1f9ad1a628ac2c066f11bb9b9a1]

Translate german comments

This translates the remaining german code comments in writer/sw/source/ui/envelp
to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-07  Martin Kepplinger  <martinkepplinger@eml.cc>  [e66cf09f4a14c3649b5a1ccbd0c9f20660b6bf39]

Translate german comments

This translates german code comments in writer/sw/source/ui/envelp to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-03-06  Caolán McNamara  <caolanm@redhat.com>  [17cc392f19e7363aa375077fbe1f5a71dc6d3cbb]

let always include these to keep it simple


2011-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7542f8e1f168affe7114874a05df269c975e729d]

Fix Windows build (?): include comphelper/version.mk


2011-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [802cdc9318a2633f1baacf5793ba44f9a21b5d7c]

the unit tests are using the comphelp library


2011-03-05  David Nalley  <david@gnsa.us>  [526f967122f2233f348b0a2dd882a80d3d3388cc]

comment cleanup on unocore stuf


2011-03-05  David Nalley  <david@gnsa.us>  [a69d89753ea5f45d9fa4f335165b6e4e5e304cc3]

Comment cleanup writer (part1)


2011-03-05  David Nalley  <david@gnsa.us>  [989eddf0cfb98de5e9db130bb0cf10f52fe52f2a]

deleted a bogus comment and translated a german comment


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [37cbbb0d559a55bdc3842968e0b4d9e52b0c09e7]

regression test for CVE-2009-3302


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [50dab7d6469ce6fb87c44eaa56e6d3abccaa7c73]

add regression test for CVE-2009-3301


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [5e22a2725512f7c030f629aff232036e992db1ed]

make this more robust


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [e1ddda43b338168b9feb88d9fb70a14243ed6e19]

handle 0 width tables gracefully


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [1854a5341e618a03d1a6b1583a4d597a4e2cc64d]

regression test for CVE-2009-0201-1.doc


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [e83af92ed96a14bcaa095b3c882de1463fa479ef]

Regression test for CVE-2009-0200


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [be450557e0591dcbd7fe74ba5609923fceef3df3]

Regression test for CVE-2007-0245


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [aa1b83ea3077dd7b75053259a8b1eade45880c0e]

regression test for CVE-2010-3452


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [f488a0275f6d95b929aae2a8c885ed188512da00]

make this more robust


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [ab2c3ff76598d61bf52f82ff9f4337458a9b969f]

add regression test for CVE-2010-3453


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [97a4bb4a63acfa46f9e5b3991522ad7e127f331f]

and fix up test for CVE-2006-3117


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [4b0f2560287eb14c446e7333cb7e1bf9ff7a5622]

catched->caught


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [8fa0dd81198e1d9e3f4853d06de9afd51344795c]

and enable rtf test


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [007fb891afbb0dc0cf5cf620d7daff4b99d5c81c]

Add test for filters

Because the filters are in a .so and the main lib dlopens this, we
cannot test the filters from inside a test which is linked against
the internal symbols as its just a mess of conflicting symbols
seeing as the filter .so links to the main .so we we end up with
the main .so symbols included twice.

Which all means we're limited to the public sw symbols here

2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [9f4e28eb82b140bc81c1f792e07d7d9789ffc38a]

setup UCB for qa tests


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [991dec5ba9fc8143b583d26b3069814ebb37d193]

document horror of WW8Fc2Cp


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [b4a786818e3de010ab15a411ae3c58e2043b03ca]

handle erronous fExtChar safely


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [a4fb0a1b01852ecba158a5be6fa836c743c48c48]

disambiguate if/else


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [fb1e33188628cd3191ce67a7bf78d5bcfc9cad5d]

handle edge case of layouting random text


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [cbb84291f08e43e780db27c6bef1c13c4ed10aca]

safer and better sprm iterator


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [c36f85344168e82818c17a45d319310e734a38b1]

valgrind: init some values


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [4c31dc92b8bdbd85c50e7dc9183530e18f808b30]

be more robust against missing basic manager


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [f8f0a240ae1ad4d9cf9315538666fc8261ed68c5]

Move OpenMainStream into ww8 as its the only consumer and simplify

OpenMainStream is only used by ww8 now, and the stream to open
is always WordDocument, so we don't need this whole complexity
of looking up the stream name in the filter config, etc. when its
all pointless

2011-03-04  Mathias Bauer  <mba@openoffice.org>  [e4d3a5a299f55b713c6ce41b25cd7af7c0f7b1af]

CWS swlayoutrefactoring: fix missing cursor update


2011-03-04  Mathias Bauer  <mba@openoffice.org>  [3bae7993ed9771d1339097e4eb753c8cf2a9f218]

CWS swlayoutrefactoring: forgotten commit


2011-03-04  Mathias Bauer  <mba@openoffice.org>  [d3addad44ef41d23c44e1a0da6b24c82126b1d14]

CWS swlayoutrefactoring: avoid gcc3 specific workaround for passing temporary objects by reference


2011-03-04  npcdoom  <venccsralph@gmail.com>  [b6c311223ab15d09d8373f2bbcc4dde1dfa0faca]

Remove unused function.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-03  Jan Holesovsky  <kendy@suse.cz>  [18818bb8975fdff96f0129ead87b38d0ff321a9b]

findbar: Add the findbar to the menus above the Search dialog.


2011-03-03  Luboš Luňák  <l.lunak@suse.cz>  [d83df118986914fd4be0b7f1a290f5e71201a29f]

ensure fonts used by bullet chars are in fontTable.xml (fdo#34814)


2011-03-03  Luboš Luňák  <l.lunak@suse.cz>  [19ac33a3d4c9122c89a73f3d78c96c38bd7cff9c]

move all GetId(whatever type for font) to the base class


2011-03-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [f8d2677c8eaf4ec697000895be907fe20568e645]

Correct some minor graphical glitches.

SwRect::_Intersection() returns rectangles with negative
height/width when there is no intersection which cause artifacts
when drawing them... This bug has been present for a long time but
wasn't so evident since margins were only 2 opaque black pixels.

2011-03-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [e0846ced00cfa0d4b3341780cf624bf35faddc9c]

Properly handle shadow when in book mode.


2011-03-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [a1d5ab6147cc7cb8b8e85092cb76c9b763d87323]

Paint right shadow on last page.


2011-03-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [b85ab50740f00190c6df80af062b62f674bcf0d9]

Code style


2011-03-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [a1881ec67c35b96b390251349a12c2cc38eee617]

Directly compute shadow rectangles


2011-03-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [14edd8786ab51a2eeeba7d346e6e4bed29afc36f]

Draw smooth shadows around page and remove borders


2011-03-03  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [91aec198c0664c8cddc81289713fb86da9403772]

FDO#31251 - Add resources files for page shadow


2011-03-02  Rafael Dominguez  <venccsralph@gmail.com>  [348269c2f22cd79dcc6c3bc30c1aef40ee03ce17]

Remove include <tools/list.hxx>


2011-03-02  Julien Nabet  <serval2412@yahoo.fr>  [a25bb85dbff615a92f40a29125550e3e68247b90]

Remove "using namespace ::rtl"


2011-03-02  Caolán McNamara  <caolanm@redhat.com>  [52a5db57f2f4b695e2ecf0b092bcf2152eb56d9c]

Resolves: rhbz#672818 bandaid for crash in SwTxtNode::GetTxtAttrForCharAt


2011-03-02  Christina Rossmanith  <ChrRossmanith@web.de>  [1bb56e8cfe88980d3af1b1a3aecd0469a35d75f2]

Removed - /* ### ACHTUNG: Neuer Text in Resource? - lines from ./writer


2011-03-02  Noel Power  <noel.power@novell.com>  [39cf47bb37d17c1e37c2155385afa704c13684f9]

minor tweak to existing fix for ( bnc#660816 & fdo#34908

it seems the orig commit ( af4d6062b7e676ed56dc84927fb99b79aa03a7b5 ) when tweaked for libreoffice3.3 had a little mistake introduced ( which then go ported into master )

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-03-02  Luboš Luňák  <l.lunak@suse.cz>  [0e3e6ee8cd59fd9abd6b1cce286a20c24e158f2a]

covariant return type and const overload for GetExport()

I don't see why one should do this manually when the compiler
knows it.

2011-03-02  Noel Power  <noel.power@novell.com>  [42e70ee046504caf6e628f03bc79b83a706a8cfb]

fix for bnc#659631

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [49f6447d8e01ae651e09f665a61cdbeef8eb44f8]

Move DBG_ERROR to OSL_FAIL


2011-03-02  Noel Power  <noel.power@novell.com>  [636fa8da77e438fa04d331d96c4a8ebc5317560f]

minor tweak to existing fix for ( bnc#660816 & fdo#34908

it seems the orig commit ( af4d6062b7e676ed56dc84927fb99b79aa03a7b5 ) when tweaked for libreoffice3.3 had a little mistake introduced ( which then go ported into master )

2011-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [d3035c4d26c4ac3350527e3710b1b2f4ee83c0ff]

CWS-TOOLING: integrate CWS mhu21


2011-03-02  Caolán McNamara  <caolanm@redhat.com>  [f673812d6549db7c7b6fd295ddbf88fee162e8d7]

add regression test for CVE-2006-3117


2011-03-02  os  <os@openoffice.org>  [0fe7702958f89d15b7aa9955c90904a05a91d92e]

os150: #i115062# slot invalidation moved to d'tor of SwViewOptionsAdjust_Impl


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [49959923a534b930b1c3170f523179ac959d497b]

avoid implicit casting


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [ce3f35b105c1b7be960d369296729a656adb1aa0]

Resolves: rhbz#681159 bandaid for crash


2011-03-01  Luboš Luňák  <l.lunak@suse.cz>  [17e60033f28d13b7564bfcbabcc8e03d2a6a021d]

write also properties of a text node itself (part of bnc#654214)


2011-03-01  Martin Kepplinger  <martinkepplinger@eml.cc>  [38c05c8cbf588b87a935f8da02135de99c67bcc2]

Translate german comments

This translates the rest of the german comments in writer/sw/source/ui/docvw
to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-01  Martin Kepplinger  <martinkepplinger@eml.cc>  [b4c042503da24d3b111b4848a1bc8c8f6a306467]

Translate german comments in edtwin.cxx

This translates the german code comments in edtwin.cxx to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-01  Martin Kepplinger  <martinkepplinger@eml.cc>  [455c18d5d0b5105cc9d574cb3098186f23c8d1fa]

Translate german comments

This translates the german code comments of edtwin2.cxx and edtwin3.cxx to
english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-01  Martin Kepplinger  <martinkepplinger@eml.cc>  [99b6a239786c129e2cd3feaaa12ecd685bed7337]

Translate german comments

This translates the german code comments of docvw.hrc, docvw.src and edtdd.cxx
to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-01  Luboš Luňák  <l.lunak@suse.cz>  [c1a7cbb043fa8fce5e918b23b547c556077f380b]

fix last commit


2011-03-01  npcdoom  <venccsralph@gmail.com>  [b78da5977b262b858d51a6a2ef99bf249b863913]

Remove deprecated List for std::vector<String>.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-01  Luboš Luňák  <l.lunak@suse.cz>  [d923fd6c53b4792bce5c722c19b8450dd69295c2]

write also w:characterSet


2011-03-01  Luboš Luňák  <l.lunak@suse.cz>  [32e0194675a93dcd2fee7d3431541def53162b77]

const version of GetExport()


2011-03-01  Antoine Proulx  <proulx.antoine@gmail.com>  [9a2305e3723a69ee1e4d4250df65770a05aa2655]

Remove bogus comments


2011-03-01  Noel Power  <noel.power@novell.com>  [d18d58c7bf533ebf4c7f8dd337303e14d98e3dc7]

partial revert of 803409125f4ed896b391acb99266d50691c6fd4a

remove currently unnecessary ( but possibly future ) odf attributes for form field controls to prevent those attributes from being written to odf

Please enter the commit message for your changes. Lines starting

2011-03-01  Jan Holesovsky  <kendy@suse.cz>  [4e8b19aae55b8747bbe2d51501ff65a72e7b5b8c]

Kill useless comment for good.


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [0afda773c409872e667fccc0cc63f1e68dd27507]

CWS-TOOLING: integrate CWS impress195


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [41125fd5567efe4148d6d9b6f25c9e8dea1f21e4]

CWS-TOOLING: integrate CWS sw34bf03


2011-02-28  Luboš Luňák  <l.lunak@suse.cz>  [95a120fc790d43efb74b91fd1d902d984bc5fe1f]

remove a presumably stray + from a diff


2011-02-28  Christina Rossmanith  <ChrRossmanith@web.de>  [cc6cbf8490bad18ca740e7b301b7a0cc12eaac7b]

Removed bogus bugids


2011-02-28  Martin Kepplinger  <martinkepplinger@eml.cc>  [67cb2082fd0b605e64d4044885803b11602b4f79]

Comment translation of writer/sw/source/ui/dochdl


2011-02-28  Christina Rossmanith  <ChrRossmanith@web.de>  [b1137021e9a3c70c8c860dbbe22bb2db51b43309]

renamed MACASSGN_TEXTBAUST -> MACASSGN_AUTOTEXT


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [997c26891f9256bd947c3b2dbddfe2a768f0a0a3]

Move bogus OSL_ASSERT(msg) to OSL_FAIL(msg)


2011-02-25  Christina Rossmanith  <ChrRossmanith@web.de>  [cacc6caf9ddeb1c1aa470496874935298d83462c]

removed bogus bugids


2011-02-25  Martin Kepplinger  <martinkepplinger@eml.cc>  [6b045a3f6beaeb880d1b24f14e88e193b4d2cf19]

Comment-translation of writer/sw/source/ui/dbui


2011-02-25  Christina Rossmanith  <ChrRossmanith@web.de>  [739e70eab41bdb13a10b2ef814ce8e68e61a2842]

removed another bogus bugid


2011-02-25  Christina Rossmanith  <ChrRossmanith@web.de>  [390fe7a9574a2d426ade22a2b52c06bb78450d80]

fixed comment translation


2011-02-25  Christina Rossmanith  <ChrRossmanith@web.de>  [1929c426c2a55a33fda1791c35a9de710316e613]

removed JP <date> and bogus bugids


2011-02-25  Martin Kepplinger  <martinkepplinger@eml.cc>  [e3db364db814ac44dc42cf184070c3891c233150]

Comment translation of writer/sw/source/ui/dialog


2011-02-25  Christina Rossmanith  <ChrRossmanith@web.de>  [bc6dcca32b8b26c9f1313ab5a075ee6f3ab3e2c0]

removed BMP_FEHLT


2011-02-25  Luboš Luňák  <l.lunak@suse.cz>  [d8d94df46690d162750c9c626daf09b4a82dc0ff]

do not begin w:fldChar twice (bnc#499106, fdo#34293)


2011-02-25  Thomas Arnhold  <thomas@arnhold.org>  [cb124e782b5d11d97560dc0de721a3c4482aea5a]

Revert Remove Tools -> Media Player from Writer

Bring background calls back, so anyone who needs this could add
add a working Media Player with Customize -> Menus. Bring back
Media Player back for web per default.

2011-02-25  Mathias Bauer  <mba@openoffice.org>  [ec961177d9dbbd54959619228f2d87e08d8f3bc5]

CWS swlayoutrefactoring: resync to m101


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [a007aadd9bf5e4cec856f5bd94703a04aa1e01e7]

remove empty TESTSHL2LIB


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [84e218cefb2aaf9af6b56b79f1ec0d4279e54f75]

remove dead export.exp


2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [3333c207bfd0af92cdab7d33da6a117e956b7d9a]

Translate german comments in viewopt.cxx

This translates the german code comments in viewopt.cxx to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [ff26cd71e02a03e59814369699fcef077f1a1611]

Translate german comments in uinums.cxx

This translates the german code comments in uinums.cxx to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [e07912233e2350fd51372c0494279a5890d15666]

Translate german comment in prtopt.cxx

This translates the german code comment in prtopt.cxx to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [ae8b0260588aab041490f0db22b89fa11ded73d4]

Translate german comments in optpage.cxx

This translates the german code comments in optpage.cxx to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [2798fca9046b5ed65d9768b60ba1c0d7898902bc]

Translate german comments in optload.cxx

This translates the german code comments in optload.cxx to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [08c717a240e1ba3f0c87e0a36bdc14c432510d68]

Translate german comments

This translates the german code comments in optdlg.src to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [20ea8297aec902ea26a913ac8a95aa110070bca8]

Translate german comments

This translates the german code-comments in optdlg.hrc to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [f614aa83ad296291338c3a61dd74565fc433f332]

Translate german comment

This translates the german code comment in mailconfigpage.cxx to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [adddc40e653845a69b39146e756ce66be4b67a61]

Translate german comment

This translates the german code comment in dbconfig.cxx to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [b5e2e928dd0721bfc404a912fa421d177979458b]

Translate german comments in config.hrc

This translates the german code comments in config.hrc to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [ba08d26e95af51cdb75ec15d186191456828a62b]

Translate german comments in cfgitems.cxx

This translates the german code-comments in cfgitems.cxx to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Martin Kepplinger  <martinkepplinger@eml.cc>  [8cf91efefecfdeab1eccbce05fddb640bc1b6c69]

Translate german comment in caption.cxx

This translates the german code-comment in caption.cxx to english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-24  Nigel Hawkins  <n.hawkins@gmx.com>  [686d672f3adbf174bf4bd2cf32add1d69107a11b]

Refactor itrform2.[ch]xx a bit for better insulation.


2011-02-24  Nigel Hawkins  <n.hawkins@gmx.com>  [30812089f1c5c6756c12a52a6a8f410673798362]

Remove use of SvLongs in itrform2.[ch]xx


2011-02-24  Nigel Hawkins  <n.hawkins@gmx.com>  [d143b3dc964ec4f6f5935c810544946575c0d8f9]

Remove use of SvLongs in dbg_lay.cxx


2011-02-24  Nigel Hawkins  <n.hawkins@gmx.com>  [186d0fc5decc499fe19fdba8fe32a0df036a77e9]

Remove use of SvLongs in envfmt.cxx


2011-02-24  Nigel Hawkins  <n.hawkins@gmx.com>  [2b133d86b95ec5b348cf735c5ddcf5816ee0032f]

Remove use of SvLongs in authfld.[ch]xx


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [123c08bc37ccb7b8ac46e1c5ba1182e4d5fb1d29]

Related: fdo#33549 remove bogus CorrectResIdForCharset

This looks totally bogus, and even if it isn't then in
SwWW8ImplReader::SetNewFontAttr the *original* nWhich
needs to be the one used for the push onto the encoding
stack, otherwise its all busted afterwards on the pop.

I suspect this is an attempt to fix some other problem
earlier, maybe idcthint related or maybe default font
related. Impossible to know as there was no comments
or bugids mentioned originally to see what the problem
being fixed was.

2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [e79713d909f1b898e99492fbde295168f189e966]

don't search past end of string


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [2b7142fcdea35d0d4eb45d5aa2e09b37d5d8951a]

Resolves: fdo#34319 on import take into account idcthint

i.e. force on the font that word would use. We really need a idcthint
implementation of our own to be able to do this completely correct.

2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [6a5dcedf3766e32ad798bc66ade617abbe91210b]

this should be a half-open range


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [f4f22dc6d8d50f8373f360bd06c3b9508bd4b07d]

For character properties check the exact position in the SwTxtNode


2011-02-24  os  <os@openoffice.org>  [80e86d32bee90da2944fc897f69cf7e94212e161]

os150: m101 merged


2011-02-24  Christina Rossmanith  <ChrRossmanith@web.de>  [124e0eaaf9b0ba5ea4822789833e38c548b8bf0a]

Translated DBG_ASSERT messages


2011-02-24  Noel Power  <noel.power@novell.com>  [64dfad8e06436178e4d5ef2ebba840ecb6ba230d]

more form field cleanup

sw/inc/unocoll.hxx: removed support for the ODF_FORM_CHECKBOX & ODF_FORM_LISTBOX
services, they aren't needed at all
sw/source/core/unocore/unocoll.cxx; as above
sw/source/core/unocore/unobkm.cxx: minor tweaking to use const_cast

2011-02-24  os  <os@openoffice.org>  [79ad9c661e5636a48fb591b947474bd6e06c7e78]

os150: #i85296# Insert/Object/Sound+Video removed


2011-02-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8a525a9abb0e5eb1bec8e47fb47494f5e1b8cf48]

debuglevels: #i116860# add annotation.src, prevents assertions 'bout missing resources


2011-02-24  os  <os@openoffice.org>  [677035a06d0c3e5216687fccf7831340ba644257]

os150: #i114366# table export fix (patch from vmiklos)


2011-02-23  Martin Kepplinger  <martinkepplinger@eml.cc>  [b685b5ac49365450d97f9ff38aa3d0fc74d59e5a]

translates all code-comments of writer/sw/source/ui/chrdlg


2011-02-23  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [ec7ee893ce91dfc50909ceec0ca7d4d5f08acb61]

Update from master repository (DEV300_m100).


2011-02-23  Noel Power  <noel.power@novell.com>  [5c826f177a87f9e29cf91c286703d848265dfb2a]

remove SwXODFCheckboxField and fix a stray edit


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d014a1605a36f38217db684a1839c3e0778ac2e2]

debuglevels: pulled and merged latest changes from DEV300_next


2011-02-23  Noel Power  <noel.power@novell.com>  [547a9153e35b433e9f1e77ce272a2db11597b534]

oops forgot to support the getProperty...


2011-02-23  Caolán McNamara  <caolanm@redhat.com>  [4e9fcdafe0bf3287529c253e3725748a5207e19c]

Related: fdo#34319 document requirements for MSWord FTC/LID emulation


2011-02-23  Caolán McNamara  <caolanm@redhat.com>  [5d766a22248f7f95101e19822459f2877dc91d60]

this can be const


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [dfb0ed19d3e88f35c1835434c94db1f8c88f9b5f]

debuglevels: merged to-be-m101


2011-02-23  Jan Holesovsky  <kendy@suse.cz>  [8f39e7ac1de3201638ac97ad908f038ddb9ac4a4]

Fix debug build of sw.


2011-02-23  Jan Holesovsky  <kendy@suse.cz>  [8ef3e10bfca3b8bd728b8ca836dc9406c3cb85c4]

Make FindControl() function static.


2011-02-22  Thomas Arnhold  <thomas@arnhold.org>  [218173c2bce790170ba099888f5ec2f08b1b5bc4]

Remove Tools -> Media Player from Writer


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [9510db0d3678e8eff2d8607ff2f07daff45011c2]

masterfix DEV300: #i10000# usage of L10N build_type


2011-02-22  Thomas Arnhold  <thomas@arnhold.org>  [bb54576c75aa2661476aea0e0f5e265d4890a3c3]

Remove txtcfg.hxx

Their defined macros get only used once:

SLOPPY_TWIPS, CONST and CONSTCHAR. Moved this into the respective files.

2011-02-22  Thomas Arnhold  <thomas@arnhold.org>  [cdd72241b124980453dc531a243ed7cee512ff5d]

Remove DBG_LOOP usage


2011-02-22  Thomas Arnhold  <thomas@arnhold.org>  [8411348b1ce79a855129995d9160da76267dcff8]

Remove DBG_LOOP macro


2011-02-22  os  <os@openoffice.org>  [8af8fde6b46850acf76fa8ee580fbbf22df3c993]

os150: #i50869# token control size increased


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [8a46649aa35d690dd2f182b41058d12b6b56bb0a]

masterfix DEV300: #i10000# added missing const


2011-02-22  os  <os@openoffice.org>  [d23e596cc65f598ca1a7baf3d97df021b3cf82d8]

os150: #i115062# invalidate slot FN_VIEW_META_CHARS after printing


2011-02-22  Christina Rossmanith  <ChrRossmanith@web.de>  [b4f478fce57b47f5d035ed07488cf969b120537b]

Translated comments German -> English


2011-02-22  Christina Rossmanith  <ChrRossmanith@web.de>  [1c3fd02c580eb09eaa00d191a1dd2fe6dcc4e73d]

Removed bug reporter and date


2011-02-22  Martin Kepplinger  <martinkepplinger@eml.cc>  [79bd64012f8ad0ea3a6c4f584fd69c433cd2254d]

Translated comments from German to English


2011-02-22  Nigel Hawkins  <n.hawkins@gmx.com>  [c6ee79559c7abea4c628430efc37437693bc6049]

Remove last traces of SvBools from sw


2011-02-22  Nigel Hawkins  <n.hawkins@gmx.com>  [0283b93214055dac91aa2c751b6d4ffe6e30b493]

Remove use of SvBools in wrtww8.cxx


2011-02-22  os  <os@openoffice.org>  [b1332169444bafdba9a0a3ba014080eecea05d47]

#i101353# stop column width balancing in small tables


2011-02-22  Kohei Yoshida  <kyoshida@novell.com>  [096fe283091f33234651eccbbe203ca8cc197035]

Add fileaccess to its dependency list.


2011-02-22  David Tardon  <dtardon@redhat.com>  [925080cf0d23dd25f7bec0875d92f6b66e231da0]

add SolarMutexGuard


2011-02-22  David Tardon  <dtardon@redhat.com>  [b5a3e3de0edb4f3bad4863ade7bc7630fc78dd23]

fix assertion


2011-02-22  David Tardon  <dtardon@redhat.com>  [af9b33ca9184d6036d198ba4cb6149df166b716b]

WaE: unused variable


2011-02-21  Martin Kepplinger  <martinkepplinger@eml.cc>  [bf0ebc5d09dcc1787bb5c64816d59259c2ea19e6]

Comment fix


2011-02-21  Martin Kepplinger  <martinkepplinger@eml.cc>  [c5fdfa6f475fc084250edd467f30d6f43111eb94]

Translate german comments of writer/sw/source/ui/cctrl

This translates the few german code comments in the cctrl directory to
english.

This is contributed under the terms of the MPL 1.1 / GPLv3+ / LGPLv3+ triple
license.

2011-02-21  Christoph Herzog  <rhogez@googlemail.com>  [3a3375399eda6fc72fcef85d2dbbdf5049f65eab]

Translation of German commentsTranslation of German comments.


2011-02-21  Caolán McNamara  <caolanm@redhat.com>  [b029c74c86d7301635571fc640412484791f7d75]

drop warnings


2011-02-21  Ivo Hinkelmann  <ihi@openoffice.org>  [30c05a7d04d90cea69ecd507f43090228bc7e732]

masterfix DEV300: #i10000# WAE fixes


2011-02-21  Thomas Arnhold  <thomas@arnhold.org>  [da20cbcafda1e79c11daafdd2726aa5a6e384b0f]

Remove CSET support

Obsolete IBM CSet C-Compiler

2011-02-21  Thomas Arnhold  <thomas@arnhold.org>  [30fb446b8df275288019676f1c45f27b7c4b09b8]

And remove unused error.h


2011-02-21  Thomas Arnhold  <thomas@arnhold.org>  [6aa93c291d18c7db6dbee73adc6c4aa1bdc88eda]

Remove all traces off ASSERT_ID


2011-02-21  Thomas Arnhold  <thomas@arnhold.org>  [69f193e5c59bfd23e9db1234688f688b06d3fa1b]

Move ASSERT_ID to OSL_ASSERT


2011-02-21  Noel Power  <noel.power@novell.com>  [2747138cb602c42b7839426e0193b31be3b330ed]

make docx import cater for enhanced fields

introduced some new services for enhanced fields ( checkbox & dropdown ) that wrap existing implementations.

2011-02-21  Ivo Hinkelmann  <ihi@openoffice.org>  [0d5cb0235b728a37e57b8a5caacae633dbe664d6]

masterfix DEV300: #i10000# buildtype removed


2011-02-21  Nigel Hawkins  <n.hawkins@gmx.com>  [79a3c41c756f20aa6d9c603bb994c49f70fd052a]

Remove use of SvBools in undobj.hxx and undtbl.cxx


2011-02-21  Nigel Hawkins  <n.hawkins@gmx.com>  [e5fc918e62f4cbf65dcf8e34d802141a1692157b]

Remove use of SvBools in layact.cxx


2011-02-21  Christina Rossmanith  <ChrRossmanith@web.de>  [a72e8e760d201b2266b8c751a236aa6ab331f3eb]

Removed bogus bugids


2011-02-21  Martin Kepplinger  <martinkepplinger@eml.cc>  [536b6682fead97a5a9d30709b4a458f2d2971812]

Translated comments from German to English


2011-02-21  Martin Kepplinger  <martinkepplinger@eml.cc>  [20251c2b789fd01c5ffa7ae95c6d1ebc2216e0dd]

Translated comments from German to English


2011-02-21  Martin Kepplinger  <martinkepplinger@eml.cc>  [4ec2a4709c2f639e57137804d18ae18731826f56]

Translated comments from German to English


2011-02-21  Christina Rossmanith  <ChrRossmanith@web.de>  [7e35b6dcc0e9178558cf8fd49ee373bbb2899e8e]

cleaned some comments


2011-02-21  Martin Kepplinger  <martinkepplinger@eml.cc>  [6e2ee679eb1995f4db60d11d6bb883e999cef764]

Translated comments from German to English


2011-02-20  Joseph Powers  <jpowers27@cox.net>  [5d8a59f64d9d3931e2c9c1ba98f57cd10e0b01c1]

Convert std::vector to boost::ptr_vector.


2011-02-21  Christoph Herzog  <rhogez@googlemail.com>  [991b64c51aec074361b19b21221f9176cab12739]

Translation of German comments.


2011-02-20  Julien Nabet  <serval2412@yahoo.fr>  [95bcdc250ddeb03af9a7bf6d2e57bdd822683ac5]

Some cppcheck cleaning


2011-02-20  Julien Nabet  <serval2412@yahoo.fr>  [73456d5fe06db9db6ac7fd801ede529418abe1c4]

Some cppcheck cleaning


2011-02-20  Julien Nabet  <serval2412@yahoo.fr>  [c9ea543a6ffbabf9827aa10974703c1fe6434325]

Some cppcheck cleaning


2011-02-19  Christoph Herzog  <rhogez@googlemail.com>  [7bf235efb079b88ae415c4d728b8b16061b1eb49]

Translation of German comments.


2011-02-19  Julien Nabet  <serval2412@yahoo.fr>  [cb08cd38079406a97d44e73d00cd95d56aa177b9]

Some Cppcheck cleaning


2011-02-19  Julien Nabet  <serval2412@yahoo.fr>  [36dc07a911622aa202a07d49b8f07c6654499a58]

Tiny cppcheck cleaning


2011-02-19  Julien Nabet  <serval2412@yahoo.fr>  [835bfb63e4b2d5c38f4cb1236da93bfbc689d179]

Null pointer dereference corrected


2011-02-19  David Tardon  <dtardon@redhat.com>  [594ed0be8ad49c3e062714d6e1ee387f4d005d7c]

fix assertion


2011-02-19  Christoph Herzog  <rhogez@googlemail.com>  [fc37bcd78650214c5bc9670fddc4efe20c1ca93a]

Translation of German comments.


2011-02-19  Julien Nabet  <serval2412@yahoo.fr>  [e134799aefe62893f7992e69ea1fda0ab7ea58ed]

Some cppcheck cleaning


2011-02-18  Joseph Powers  <jpowers27@cox.net>  [fa5b637aea0cdeb5835f2651261e80c4ff2b9bc4]

Remove some #include "tools/list.hxx"


2011-02-18  Joseph Powers  <jpowers27@cox.net>  [9397d65160be000fcbc9bdd5e017c4f468ae2548]

Remove some #include <tools/list.hxx>


2011-02-18  Mathias Bauer  <mba@openoffice.org>  [9773f465f308285f4e03bacbea110a4cb7bf1f5a]

CWS swlayoutrefactoring: construction of RootFrm must be done in two steps; the layout must not be created in the ctor as creating the draw view will need a pLayout set at the ViewShell; worked in old versions because of a side effect that has set pLayout at SwDoc though the SwRootFrm still was not constructed


2011-02-18  Nigel Hawkins  <n.hawkins@gmx.com>  [86a965614eb70111dfd106855b1b16eaa8be7802]

Remove use of SvBools in SwRTFParser


2011-02-18  Martin Kepplinger  <martinkepplinger@eml.cc>  [757ccff4c4790e5c27ce7f778df426a6172d3430]

Translate german comments

Translated the german comments to english an fixed minor coding
style issues in apphdl.cxx and applab.cxx

2011-02-18  Martin Kepplinger  <martinkepplinger@eml.cc>  [4d16956b56badca69865d5b64def5d31c98f3322]

Translate german comments

Translated german comments in /writer/sw/source/ui/app/appenv.cxx to english.

This is my first patch to libreoffice.

2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [63267e756c7db34afab55568c2af4c5b85d57cae]

0x486e is sprmCRgLid1_80 not sprmCRgLid1


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [a632f2a929439a02586540932eee97a90e164a75]

0x486d is sprmCRgLid0_80 not sprmCRgLid0


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [8f811f778d94aee19ceb294b3bc3561ce0c8f1e5]

no gui warnings please


2011-02-18  Release Engineering  <releng@openoffice.org>  [c2448f8aaa60bd870ac8492e05e5ff197f42a3f8]

merged DEV300


2011-02-18  Tor Lillqvist  <tlillqvist@novell.com>  [b15bade6752b683297e83ab68b03502dd969a170]

Register more UNO libraries for unit test

If stuff in the basic module is compiled with debug=t, it asserts if
these are not found. How it can have worked without these libraries I
don't know.

2011-02-18  os  <os@openoffice.org>  [23002ad6944daa8273b4957b6eb40d60439efa25]

os150: #i116585# ::select() fixed


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [0622845a56a3fa7cf4a586da8194e9fe332fae0f]

tidy test


2011-02-18  os  <os@openoffice.org>  [e4bfe9125f2d3f4bd3d44f59b2b991d2e1269424]

os150: SvxFontItem member access changed to Set<member>-methods


2011-02-18  os  <os@openoffice.org>  [8e9bd947865ad7d043e230ebaae5e3aff1d11649]

os150: #i91166# RTF should exports characters as Unicode


2011-02-18  Tobias Kranz  <tkranz@zedat.fu-berlin.de>  [52ab349c492477209eb867b7cda6e3b5041c0e49]

Translated several German comments in Math.


2011-02-17  Rafael Dominguez  <venccsralph@gmail.com>  [da916c2962cdbaec95477f83f2729951bc0f5e5c]

DECLARE_LIST(TOXControlList,Control*) to std::vector<Control*> in sw.


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [6edd18081bb4914ed048b731ea14a4f7f7876a8d]

CWS-TOOLING: integrate CWS gridsort


2011-02-17  Tobias Kranz  <tkranz@zedat.fu-berlin.de>  [fa0f168a034cecb63135d59cc77fdc94316f39fb]

German comments translated (writer-startmath-inc)


2011-02-17  Luboš Luňák  <l.lunak@suse.cz>  [d151f113ff4d685ce3e323b4a3b5651d01813efc]

write footnoteRef/endnoteRef tags as required


2011-02-17  Thomas Arnhold  <thomas@arnhold.org>  [c3c3afec87f4ea4a0774144845c6ac4d57caa557]

Remove TCPP

Seems to be an old compiler

2011-02-17  Kevin Hunter  <hunteke@earlham.edu>  [18eae28255e794b488cbcb256ee934ac58294052]

cppcheck: Remove unused variables


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [38585c4049b30462feb6eaa09fe2a1f4ecca2f5b]

Remove BLC support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"BLC - borland compiler (OS2, win16) - obsolete"

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [85b108bec2f7c673545ef766b263dac239235de0]

Remove WTC support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"WTC - watcom compiler (OS2, WNT?) - obsolete"

2011-02-16  Noel Power  <noel.power@novell.com>  [d04b53966b89c8b81fb0d8371eda0173a0fa61b8]

add copyright headers


2011-02-16  Nigel Hawkins  <n.hawkins@gmx.com>  [02aab4b20b301fc2f527ddccbee7d86637982d2c]

Remove some SvArray use in SwXMLTableContext


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [90fd4c037506095d5ef85e7598b84774a0182b9f]

CWS-TOOLING: integrate CWS accfixes


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [8285001c471e2be58e6078596f553b13442abb9a]

CWS-TOOLING: integrate CWS mongolianlayout


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [edbcd733b46f6c46f5bddbd159112a0e39158372]

CWS-TOOLING: integrate CWS ab80


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [1b56d4e9de07fcd31fc8e0d193a4124f15cda161]

Use doxygen/javadoc style format for class documentation.


2011-02-16  Luke Dixon  <6b8b4567@gmail.com>  [f91683cd4171531c2a27aa8904588eacb97f9673]

Make Undo & Redo work with the visual formula editor

and update todo list.

2011-02-15  Christoph Herzog  <rhogez@googlemail.com>  [8136f43382accc8dc7f50d01eee34a3f36ca145c]

Translate some German comments.


2011-02-15  Mathias Bauer  <mba@openoffice.org>  [42d6889f4e39d4c1c6e11a2efc5db3c7329a7b79]

CWS mongolianlayout: resync to m100


2011-02-15  Andreas Bregas  <ab@openoffice.org>  [210bff62d39506a31a4432e0b16b982f84bd91e7]

ab80: resync to m100


2011-02-15  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [adb81b8358da19f6ffaa65210a5765398060ddee]

accfixes: merged to m100


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [6c80b5065920b0cdf94f40831688e63a02491e28]

CWS-TOOLING: integrate CWS vcl118


2011-02-15  os  <os@openoffice.org>  [49cee70700df0b4cddfe3632b34749a0093be336]

m100 merged


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [9ec9ee34244df8c58fbc2aa73110b9990a7f943a]

chart52: merge with DEV300_m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [192d5b9c3fb6dbd7892d978df0aaa9d769a795a0]

debuglevels: pulled and merged DEV300.m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ce1332bd060fff8811c97840493917833250b40a]

gridsort: pulled and merged DEV300_m100


2011-02-14  Mathias Bauer  <mba@openoffice.org>  [ca16933a91d57d9e1a9e6076390a0764b076f4ee]

CWS swlayoutrefactoring: gcc3 needs some help


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [6fbf6bde8176b6b38082c1be7903c958aec972a8]

add in missing copyright line


2011-02-14  Mathias Bauer  <mba@openoffice.org>  [d0e7ce333932c135e329e9864cf7867b7c518214]

CWS swlayoutrefactoring: last portion of m100 merged


2011-02-14  Michael Stahl  <mst@openoffice.org>  [ca56158555b6e1e49ccd4a225eee186738c8599e]

sw34bf03: #i116192#: sw: enable complex tests again


2011-02-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [779fe42d6f4146d77f2f381722e064b502657dc7]

rebase to DEV300_m100


2011-02-14  Thorsten Behrens  <tbehrens@novell.com>  [9e3a4754ae05c764c178b410689968a18c1c1df6]

Elided internal Sun bugtracker IDs.


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [4cfeb459a1879a1b2a4c3d323f6678d068143010]

Remove CHK (fix build)


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [3c5f914699ef4583f91ff5198b7dd240e5cc696c]

Remove unused NEW_WW97_EXPORT


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [04f1ede561bcab5a4d1bad3cea812c703e1ecc13]

Remove unused SHOW_IDLE_REGION


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [2949d0707df83a39f07dccd4338ae13a12c7c5fd]

Remove OLD


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [504703737fcf9a969bf4eba6aeb37fc9f4c3167b]

Remove unused DUMPSYMBOLS


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [0e43cc7fd293316195b0155bdeb6e11df983d28d]

Remove unused NO_OLE_SIZE_OPTIMIZE


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [c4135e0b43e4bab57da79aba0018ef90b6823917]

Remove unused JAVA_BASIC_IDE


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [5a187a9665dab614b2edf829e3be0be88f218e23]

Remove unused CHK


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [cb45aaafe04e2ef026d839a96e71b1f5533ae441]

Remove unused DEL_TABLE_REDLINES

Old comment: #i17764# delete table redlines when modifying the table structure?

2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [a9154189f473a0e0cc265b2ad781a34499f64d86]

Remove unused SHOW_BOOKMARKS and SHOW_REDLINES


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [937ae8632eea71f7f53d5e8c2219a8468af1f29d]

Remove unused JP_REDLINE


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [afb5238e022bc0cccbc55a5a5bf0211bc95582de]

Remove unused CHECK_CELL_READONLY


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [52528f8b9456ab1a789a001aa75ab944272b11e4]

Remove TL_NOT_USED


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [fe20d482890087d243962769cc9e08156e8a7e0f]

Remove unused FULL_FIRST_LETTER


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [2694492cdde19a692bfd1df4c000f1bcf0f6f4ba]

Remove unused EXACT_VALUES


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [4a8834b35a30b4d744512d5ba60ce50007211b4f]

Remove unused PERCENTAGE_POSSIBLE


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [fca603b3e5c6b64558e46576e4efaa9971f97343]

Remove unused SM_RECT_DEBUG


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [0001b1ebd8b5bdfe8438991791b698ac265650f1]

Remove NEVER


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [ff0f99eb798213ddef9660f9a6b6dd885d8b6969]

Remove unused LINGU_STATISTIK


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [148b86a6f36f3ba26523dd61ab2894df47cc859c]

Remove whitespaces from includes


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [f02b7c422c671b8cd52465e0a9d911bbfe528913]

Remove unused DEBUGDUMP


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [81931b8f089447dbd4aad9096934b3f487b4cb51]

Remove unused TEST_RESIZE


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [b3509296ec7139527c32dc3f187285a7b28c4989]

Remove REL_HACK


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [57c1b24ac142dc9e301453eed7eecc1982a3d47a]

Remove unused FORMAT_TABELLE


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [87fb295f90cdf6caae3c4b8b80614dda2771c3fd]

Remove unused ENABLE_DEBUG_OUTPUT


2011-02-13  Caolán McNamara  <caolanm@redhat.com>  [cae5fbf4b8921ad30ef8df745ce660caa852bcf7]

cppcheck: init member variable


2011-02-13  Antoine Proulx  <proulx.antoine@gmail.com>  [6fcf506cda20f09dc9df199b73d882faedb7e006]

Remove bogus comments


2011-02-12  Antoine Proulx  <proulx.antoine@gmail.com>  [dd7858b9b0642b913cded06afe4855c80f0db126]

Remove bogus comments


2011-02-12  Joseph Powers  <jpowers27@cox.net>  [04de880273a27d31b9d944fa1b8f87f5a9dff100]

Remove #include "bootstrp/sstring.hxx"

This file is no longer needed outside of tools.

2011-02-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa9affa273d6eead3261f7b8064335d0f918fe11]

Visual Studio is picky about constness of iterators


2011-02-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f55a35bf047258b059d387c543cb00115412c4bf]

Don't confuse compiler with a mix of iterator and const_iterator


2011-02-11  Miklos Vajna  <vmiklos@frugalware.org>  [45326ac3017229f7d04f66515502a0da5f9301c5]

RtfExport::HackIsWW8OrHigher(): return true (closes fdo#33478)

This makes the exporter use unicode unconditionally when exporting
accents. This is needed because in case we don't do unicode, we need
special fonts (see SwWW8AttrIter::OutAttr()), while in RTF we need to
output the font table before exporting the docuent.

Agreed-by: Caolán McNamara <caolanm@redhat.com>
Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-02-11  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [bacb3f4f77949cd047eb3a6506074e3574182b34]

sw: fixed a crasher, fdo#32575


2011-02-11  Luboš Luňák  <l.lunak@suse.cz>  [978cb6303a5c5c808952ec8cab6dbef4b0bab16d]

save wp:anchor position using wp:posOffset (bnc#513579)

wp:simplePos handling seems to be broken in msof.

2011-02-11  Luboš Luňák  <l.lunak@suse.cz>  [f75438a622dcd9a811616af6b56f27cf3f7f9a56]

save position properly for wp:anchor (bnc#513579)


2011-02-11  Nikita Ofitserov  <himikof@gmail.com>  [bfd207762755511278520c73d7a931552db2518b]

Fixed bug 31824


2011-02-11  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [fe30ec866eee53a3f2b438a6cfb2a29d0501328c]

Fixed start position of undo when copy-pasting tables, fdo#32089


2011-02-11  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [a68fad150e3765ed2008e1447555bcd9e7e3a0d3]

sw: fixed missing include for using dbg_out functions


2011-02-11  Michael Stahl  <mst@openoffice.org>  [912302bd0e8ea5003f282d81505c60daf5ae8992]

sw34bf03: merge to-be-m100 DEV300_next


2011-02-11  Andreas Bregas  <ab@openoffice.org>  [3cd9275d508e95d372025d2cc5d7c3d1f7d27b52]

ab80: Adding changes of cws mib21, ab77, ab77run2, dr77i to dev300

ab77: #163789# Handle class module factories document specific
ab77: #163732# Defer removal of documents until XCloseListener::notifyClosing
ab77: #163808# make VBA symbols Application.ScreenUpdating and Application.Interactive work globally on all documents
ab77: wae
ab77: #163840# read UTF-8 BOM
ab77: #163732# VBA UserForm_Terminate triggered too late while closing document
ab77: minor correction
ab77: assertion: do not call ::rtl::OUString::copy() with negative index
ab77run2: #163869# do not call Class_Terminate VBA macros when document disposes
dr77i: #163941# do not update drawing layer when pasting from clipboard after cut
mib21: #163944# ignore trailing whitespace in Basic source lines
mib21: #163948# allow to manually pack MSVC DLLs into extensions
mib21: #163948# multiprocess build fix
Authors:
Andreas Bregas <ab@openoffice.org>
Daniel Rentz [dr] <daniel.rentz@oracle.com>
Eike Rathke [er] <eike.rathke@oracle.com>
2011-02-11  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [97ca0d87bbd0c60e4173e5fe1ee4c03ddceb8758]

Fixed build breaker in sw


2011-02-10  Noel Power  <noel.power@novell.com>  [02513d2ca4ea525eeb33c2eecd60cf38ebe53585]

fix trailing ws


2011-02-10  Noel Power  <noel.power@novell.com>  [803409125f4ed896b391acb99266d50691c6fd4a]

some form field import/export improvements


2011-02-10  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [d98a2abfc58bb380e3552e8501433854d5bc77e6]

fdo#34064: adapt length of FFData


2011-02-10  Julien Nabet  <serval2412@yahoo.fr>  [185e6ff3c0ab0dcd168116a725d1247179f6d057]

Some cppcheck cleaning


2011-02-10  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [2fa791c5295f16bbc25ab33a58b9dbb1652108f7]

CWS-TOOLING: integrate CWS hr75


2011-02-10  Luke Dixon  <6b8b4567@gmail.com>  [60c297cc61df9ef025312f75ba214b4a8499e959]

Fix for bugs 32759 and 32755 on freedesktop bugzilla

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [773d856c8ef2bf65aec25289cb0186d81d76f5f1]

Resolves: fdo#33750 #i94623# use optimal border width when zooming to optimal


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [2bd020b3311559f3634458e5abd5180a5193c89d]

\!Count() was converted to \!empty() instead of empty()


2011-02-10  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [2b0a2bdcce05fb0460bba51e4316093ea58e0805]

Forgot to remove some now unnecessary include for debug


2011-02-10  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [116ce4970730fcea9a701d2fee0454fe11b8e2b7]

fdo#34064: Fixed the dropdown list box form fields


2011-02-10  Nigel Hawkins  <n.hawkins-KK0ffGbhmjU@public.gmane.org>  [21aff2e97c66dc4260053cf43000150f5d7c5ce2]

Remove last traces of SvBytes and SvShorts in sw


2011-02-10  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [a4f979dfa8a2272a03f6eb6067201aed0b28b936]

Remove includes related to Hyperlink Bar from writer

Removed includes for hyperlink header files from writer.

2011-02-10  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [706f8f611a582b431bcae741a08dfb619b52ae0e]

Remove obsolete Hyperlink Bar from writer

Removed hyperlink bar references form writer.
Menu entry appears greyed out until it gets removed from core modules.

2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [20d5d9883ae8d905b52dab71669ba0e6b92b5a48]

Trying to remove the stlport mention from the code


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [10f4025cebb448aaca5790451a9924751610c411]

Removing the ext_std masterpiece


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [9c696287c2021901994e9934991da94e57d5ed97]

Remove static if-tests


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [bb7b4efa1e833ddd7940196fa688a2bbeea99886]

Remove unused 'if (bDoSaveForVisualControl)' as its always false


2011-02-09  Mathias Bauer  <mba@openoffice.org>  [19dae9ecb3e56a31c1910ceb9897af599c377573]

CWS swlayoutrefactoring: fixes for compilation on unxlngxi after resync


2011-02-09  Mathias Bauer  <mba@openoffice.org>  [48dcf9298221f5d741896dd7674bbebeb1c6a9da]

CWS swlayoutrefactoring: fix merge conflicts


2011-02-09  Mathias Bauer  <mba@openoffice.org>  [3e9a7ad4c59837fb9ae0b943c7ab81a66c86dd08]

CWS swlayoutrefactoring: resync to m100


2011-02-09  Nigel Hawkins  <n.hawkins@gmx.com>  [2cf14e04af1d40a7f7655217f94a0526db5f9b0c]

Remove compression svArray usage from SwScriptInfo


2011-02-09  Nigel Hawkins  <n.hawkins@gmx.com>  [ba04dbe5d6077ac2beb27dbabfd6b600d29da403]

Remove direction svArray usage in SwScriptInfo


2011-02-09  Nigel Hawkins  <n.hawkins@gmx.com>  [40899c887df9eee72116807fbc652d24ab8ced6f]

Remove some svArray usage in SwScriptInfo


2011-02-09  Nigel Hawkins  <n.hawkins@gmx.com>  [43d6c01ba9eb01be8fcdd6ff6537a96bbaafde7d]

Remove svArrays from SwLayCacheIoImpl


2011-02-08  Nigel Hawkins  <n.hawkins@gmx.com>  [a8789d33cfc757630b68b2cf46a68626f5a7fb8a]

Replace std::pair with more descriptive names in SwUndoDelNum


2011-02-08  Andrey Turkin  <andrey.turkin@gmail.com>  [a165669a06c0195691865f20ca57457a53ba1a71]

Get rid of SvBytes/SvSvULongs in SwUndoDelNum.


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [712c3a2d66ea8681b6ba058fe4e9df8cebb891d1]

prewin.h already includes <windows.h>


2011-02-08  Guillaume Poussel  <gpoussel@gmail.com>  [9fb9a335370a08739fb557bdcb2787f13ed574dc]

Remove bogus comments in writer.


2011-02-08  Guillaume Poussel  <gpoussel@gmail.com>  [d0aeca9b335e791e5f95dc93ab8579a6f00e222e]

Clean-up bogus comments in writer.


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [9e100845962e886515e21720ec97a12bf094f165]

WaE: remove set but unused variables


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [b375d234e859b81556d75a694fd189e9c18d8859]

Adapt to move of prewin.h and postwin.h


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [210a87a0a8f5423c120d8ac039aeb86e50716d10]

variable set but unused


2011-02-08  Mathias Bauer  <mba@openoffice.org>  [82465a4c98927c4df1360c5f29c51c9d4e6a09a7]

CWS gnumake3: pull in cws removetooltypes01


2011-02-08  Carsten Driesner  <cd@openoffice.org>  [c2c1e359cd09378f0a34a9df87b41353ca6c860d]

removetooltypes01: Fix build problems after rebase to DEV300m99 in basctl, cui, reportdesign, sw


2011-02-08  Christoph Herzog  <rhogez@googlemail.com>  [65ac97e460145d0da2e12c79a3c2ec5477dace0c]

Corrected typo in names of four swriter classes

Classes

AbstarctSwLabDlg
AbstarctSwLabDlg_Impl
AbstarctSwSelGlossaryDlg
AbstarctSwSelGlossaryDlg_Impl

were changed to:

AbstractSwLabDlg
AbstractSwLabDlg_Impl
AbstrarctSwSelGlossaryDlg
AbstractSwSelGlossaryDlg_Impl

2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [0489c562f531dc5f776ffaeed231a2e7d564e8d1]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	sw/source/core/crsr/bookmrk.cxx
	sw/source/core/doc/doc.cxx
	sw/source/filter/ww8/ww8par2.cxx
	sw/source/filter/ww8/ww8par6.cxx
	sw/source/ui/dbui/mmoutputpage.cxx

2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [294292deb31430bc123949515bddaad7a33bceab]

Remove unused using namespace


2011-02-07  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [536eb11b0a41ebc3ba6001be881c2870a23e7710]

hr75: #i116747#: remove obsolete copyright notices


2011-02-07  Mikhail Voytenko  <mav@openoffice.org>  [0b7cb13da1adff6fff64a0ceda25f72caf2972f8]

removetooltypes01: #i112600# adjust rebase in chart2, starmath, sc, sd


2011-02-07  Noel Power  <noel.power@novell.com>  [8ab96261731432608bbcf733775a4fc84afa75e5]

fix for bnc#655763

cherry picked from 7c85cd305fcfaa4d714d5d83a7a1f22000a57a8f
reviewed in bug https://bugzilla.novell.com/show_bug.cgi?id=655763#c6

Signed-off-by: Cedric Bosdonnat <cbosdonnat@novell.com>

2011-02-07  Mikhail Voytenko  <mav@openoffice.org>  [1ca6c8c4160c950d6c36722e7b22ea3790464cc9]

removetooltypes01: #i112600# adjust rebase in sw


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [f85d047f0d5875081b708bf7f30fd2bce8526190]

Remove unused header


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [43ad52192264656830f64471ba980b5b63735736]

removetooltypes01: Rebase to DEV300m99


2011-02-07  Noel Power  <noel.power@novell.com>  [7c85cd305fcfaa4d714d5d83a7a1f22000a57a8f]

fix for bnc#655763


2011-02-07  Caolán McNamara  <caolanm@redhat.com>  [5632452090c2cf97e1700abb41684ceab4d04839]

Resolves: #i25247#, #i25561#, #i48064#, #i92341# CTL/Other Default Font

Signed-off-by: Cédric Bosdonnat <cedricbosdo@openoffice.org>

2011-02-07  Antoine Proulx  <proulx.antoine@gmail.com>  [f37e6d71d012e1afa486419550dff14d309d1994]

Remove bogus comments


2011-02-07  Christoph Herzog  <rhogez@googlemail.com>  [5943f0bd5fff451bd9210f16bb173029ba946854]

Translation of German comments.


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [67bbb4364b071142dcd31b7ab54fb0a410f710b2]

Remove some dead code


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [745866274e930605d0e495fac78632f029b89139]

Remove unnecessary variable


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [f5ea185dccdf92f3ce07feb464cae298d9da221b]

Fix build and remove one more nested macro


2011-02-06  Guillaume Poussel  <gpoussel@gmail.com>  [5e58c75a0e4eb7ec38eca521f61d9f642e59cfe6]

Removing bogus comments.


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [e55a7a7ed12e4966de6b93fb9d6254bd35c5b880]

Remove nested OSL_DEBUG_LEVEL


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [4b19f855c75769ca655299eb7c0c9a48615164d5]

Remove DEBUG_TBLDLG


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [e5d91346e0b61e49115a61e1495d33b410c7e7ca]

Remove DEBUG_TL


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [b28d3fae331e66f5c1454a89355b5d1956ee69d8]

Remove DEBUG_FTN


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [cb3cd9644fdc556234f62fb80f6ecf60afedf3cf]

Remove dead code


2011-02-06  Joseph Powers  <jpowers27@cox.net>  [14b70adc6b8da9accf5a873f6dffab9c5dea15fb]

Add missing #include <vector>


2011-02-06  Joseph Powers  <jpowers27@cox.net>  [227b80295102055e5ac3a0b3f2755ab17828d2e1]

Convert slist to list


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [376d273f3656ca265f903882a06f458984253cfe]

std::hash -> boost::hash


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f3aef4dca34c5085a73a65b3ab92be10878bfb75]

sw unit tests need libunoxml


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [89fbc178575ac65d2a036633de22f6ad7e2c22f6]

also the std::hash_set


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [56ee10ba87a15adf2911e1ef1de1cdd0efc1ffe9]

port repository writer to boost unordered containers


2011-02-05  Mathias Bauer  <mba@openoffice.org>  [4873bfc7c6b8b95242c570215eedbfd58a0a91b8]

CWS gnumake3: reverted error from cws gnumake2


2011-02-04  Noel Power  <noel.power@novell.com>  [da0006a1b5d7be8411d6fbb0190c1c4d44809458]

fix for bnc#659631


2011-02-04  Noel Power  <noel.power@novell.com>  [7140bf7ed014a2d06ca27cc3bd6e3c7f4d5ccd9b]

revert c57c4b64a18041534359b2cb98389a34e7222b92

ok, changing the patch a little, for ease of review I think better to just bin
the previous version

2011-02-03  Noel Power  <noel.power@novell.com>  [917cdf3663d6d3cc99139ea9cb162f37b9f120db]

fix for bnc#659631 simulate odd/even section breaks


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [7ea236372d8e0221c4f84ed36e26e106063eb2bb]

CWS gnumake3: some problems found in rebuild after resync


2011-02-03  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c57c4b64a18041534359b2cb98389a34e7222b92]

fdo#33561: properly cast the byte in signed short


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [4fc770a047bd2c619bca0b0ac3f1ac7c22093c39]

CWS gnumake3: resync to m99


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [4ad751946b5e8376a3af83de36392f3e13ee57fa]

gcc 4.6.0 various warnings


2011-02-03  Joseph Powers  <jpowers27@cox.net>  [ccb4cbd110a123eadfa82c0b2a6309c2eb5dc622]

Removed a #include that wasn't needed.


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [70e73648d3cd8d325da3131d11b4862a7864b9a4]

chart52: merge with DEV300_m99


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [1e7d77ce68974ec6524f771bfc0507773c5febd9]

CWS gnumake3: clean up mingw stuff after adding STDLIBS


2011-02-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [376a64520dfab9ed1818a932a89bd57bf585c15a]

pulled and merged DEV300.m99


2011-02-03  shirahara  <luixxiul@gmail.com>  [d9adf1dfebc18f438a3acbf4601901e01e500b87]

Remove comments (writer)


2011-02-02  Christoph Herzog  <rhogez@googlemail.com>  [d51880ef7bfac56828fc7acfeb64e412fc4d84fc]

Translation of German comments.


2011-02-02  Petr Mladek  <pmladek@suse.cz>  [b36353099d6c2518fcbe0c86e1254249b7114650]

RTF export crasher (bnc#656503)

Signed off by Cedric

2011-02-02  Mathias Bauer  <mba@openoffice.org>  [8b0da1dec36fca2e53298ba66e8df13129391124]

CWS gnumake3: rename gb_StdLibs -> gb_STDLIBS; remove explicit linking of individual standard libs from makefiles; fix export problem in framework


2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [cce783997724920d993537bf3be5d7a4ce827a1f]

Related: rhbz#673952 uninitialized variable


2011-02-02  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [b61d4e3e3d519672f908f87ad1987b02cf14c40e]

Fixed an infinite loop while exporting some files in doc/docx/rtf


2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [03d1a6554b09f2608b4cf4f66ab4a4b77329c101]

WaE: throw out some warnings


2011-02-02  os  <os@openoffice.org>  [b3b18b10a748601d1dd2573fb5005c02a2470f22]

os146: gnumake3 merged


2011-02-01  Julien Nabet  <serval2412@yahoo.fr>  [56156e02fac715ac7d95e773b5587b9077525084]

Cppcheck Reduce scope of variables


2011-02-01  Julien Nabet  <serval2412@yahoo.fr>  [c05198380fbf45208274655124224ce4a23a3731]

2 functions could be declared as const


2011-02-01  Michael Stahl  <mst@openoffice.org>  [7ad51d49952f9222deb7cf5410c257900bdfccc8]

gnumake3: remove dmake files for tests in converted modules


2011-02-01  Mathias Bauer  <mba@openoffice.org>  [707043485aa198875ec7e47723bbb171c9e2c822]

CWS gnumake3: use standard linked libs on Windows


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [26b81076e14878e6d9a6835a9f992f31f13a2890]

Clean up makefiles


2011-02-01  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [552cdb5b8b406238486b9415262a551cb29ca817]

fdo#32684: Don't force Char / Lines units on rulers


2011-02-01  os  <os@openoffice.org>  [d925011742db81d4b68e26f464b17174e299c461]

m98 merged


2011-02-01  Pascal Ullrich  <tentlexs@web.de>  [6c4d785cc570862213e279fcf21a22a35d194f37]

Translated some german comments.


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [d5f0bd1d3f1b7d63bac75604ba527c919a189a9c]

CWS-TOOLING: integrate CWS dba34b


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [d606ef5c66d229e4686b1d95279925e04447eeb1]

WaE: various new gcc 4.6.0 warnings


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [752e58015139153d538a4793df700080b676c022]

WaE: various new gcc 4.6.0 warnings


2011-01-31  Christoph Herzog  <rhogez@googlemail.com>  [cc26de983b6875f0e8ff17699215344c69030936]

Translation of German comments.


2011-01-31  Mathias Bauer  <mba@openoffice.org>  [b41a4b1158d6270aad3a2b85a94c1e5b336f86e6]

CWS gnumake3: fix accidental delete of vbaobj lib in module makefile of sw


2011-01-31  Mathias Bauer  <mba@openoffice.org>  [7315912ac9691ce03e210085eae9c8299eefe639]

CWS gnumake3: workaround for cygwin coredump; don't create deliverlog in parallel


2011-01-31  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [0600746b5f61a0c572d04ef7d42ac504ba14fe49]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2011-01-31  Antoine Proulx  <proulx.antoine@gmail.com>  [6665bc95da6fee204c6b910ea4d96aff89ed89a6]

Removed dead code


2011-01-31  shirahara  <luixxiul@gmail.com>  [9b2007e17002b0e1f251cf41f898fbd08a0b3501]

easyhacks: remove bogus comments


2011-01-31  shirahara  <luixxiul@gmail.com>  [776170221a36b416e0f7bb872dcf56f1dec95edb]

Remove comments; sw/source/filter


2011-01-31  shirahara  <luixxiul@gmail.com>  [c6d732789498e197c7d98a72144206d79765799d]

Remove comments; sw/source/core/access


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [2d185dbe1847ff07ec56189f04f475e656dd9988]

WaE: /* inside //


2011-01-31  Takeshi Abe  <tabe@fixedpoint.jp>  [95446f613105a9cf8d3482942b904d05bb7deb8e]

removed useless codes


2011-01-31  Takeshi Abe  <tabe@fixedpoint.jp>  [5244be12d881bd7138b9e763fa8159e36657bb6c]

reduced scopes


2011-01-31  Takeshi Abe  <tabe@fixedpoint.jp>  [f5f68c1eff197ae647fd146a3371fce28beb050e]

removed unused comments and fix a typo


2011-01-31  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [0e972b8e9cb34d084b6bb925c281cd8ff9390198]

WaE / remove unused code

commit cc4735fd9e5d0d466a59279de4bb6ab739050a1b (merge of os28) removed
the part that actually made use of it, thus dead code now.

2011-01-30  Caolán McNamara  <caolanm@redhat.com>  [660de685037cce4ff86f7008169c1ca954342a23]

WaE: various new gcc 4.6.0 warnings


2011-01-30  Andy Holder  <andy.m.holder@gmail.com>  [d53588650c10edc3601edc1487bc95ca252d6a11]

cppcheck: remove unused variable


2011-01-30  Caolán McNamara  <caolanm@redhat.com>  [0b7c27d1176c5ea9036a40291474e97bede9bc4d]

Resolves: rhbz#673819 crash in changing header/footer object position


2011-01-30  Jonas Finnemann Jensen  <jopsen@gmail.com>  [93f8e59094fbca480030d719c9de8be783205427]

Enable line deletion in starmath

* Implemented SmCursor::DeletePrev, for deletion of lines
* Fixed nasty bug in SmCursor::InsertRow
* Code cleanup in cursor.cxx

2011-01-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b3e05966a926570b2b4e27d8abadc275ef51b631]

Fix Windows build of sw

On Windows, the path separator is ";" and the echo command is interpreted wrongly if not quoted

2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [612d073259f93347b07e2c150226321dd85c37cf]

WaE: various new gcc 4.6.0 warnings


2011-01-29  Luke Dixon  <6b8b4567@gmail.com>  [e3d58111a0a8feec2e0572c6ddf725e9359fde83]

Add some brackets back to SmNodeToTextVisitor

For SmOperNodes, I shouldn't have removed these brackets.
Add brackets around SmBinVerNodes and SmBinDiagonalNodes, removing the ones
from SmBinHorNodes and SmUnHorNodes made these ones necessary.
Add brackets when an SmExpressionNode has an SmBinHorNode child.

2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [b80828bfa0045a230b32d1b5805cbe7a18c87e13]

cppcheck: remove unused variable bHidden.


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [f4a50eb6fbcfdbc2c67322e4e9ab6dd94fdf2f8c]

Remove DBGTXT.


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [30ef44cfa314df4845a57d8a87ff3d4d83fd4486]

Remove double line spacing, unused code and some unnecessary brackets.


2011-01-28  Caolán McNamara  <caolanm@redhat.com>  [f8118cf3888a2e95c35cc00705b458ada4ffe2d8]

Resolves: fdo#33509, #i62414# out-by-one breaks CTL spell-checking popup

ABCD
0123
    ^

Currently calls GetCharRect for position "0" and position "4". It should be
"3". We were placing the cursor *after* the final character. We really need to
place it *before* the final character and get the bounding box of the last char
to union it with the first char's bounding box. It works out ok for western
text, but you get a far different value for CTL text.

2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [e74ac8257f4a4e096f4bc2bbf2a3b7b4cd411c8c]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [05d15b0c5aa55abf2655998d8dc237909a959e68]

Replace empty equalsAscii() with getLength().


2011-01-28  os  <os@openoffice.org>  [f53a5f8a3278b38b61579216c6fc767ed15aead8]

i#116420, fdo#33477: Implemented VertOrient on Writer table cell ranges


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [b2333c42c3d97ab000c13f642e82f4c384d09783]

CWS-TOOLING: integrate CWS tabcontrol


2011-01-28  shirahara  <luixxiul@gmail.com>  [e43774ad78a957f213d317ac2b158c41bd12f738]

removed bogus comments


2011-01-28  shirahara  <luixxiul@gmail.com>  [4082aec85e1bdcc0ef12453765bc14c8f883ef7a]

removed bogus comments


2011-01-28  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [a9bf6d7938d052291b9ab5b54814ed0002dc3aba]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/tabcontrol


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [74f77092a186565b043a6377f7807d4ef7646fc8]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [60e534c6b82d5723a626d064ade3e869028faea6]

undoapi: pulled and merged DEV300.m98


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [de1b737be230a59901af3eec5b1671612a3cb72d]

Update from sibling repository.


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [f1849c33d7615679c0cab4443756581a33b3bbb3]

Update from master repository (DEV300_m98).


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [627862be2c077acf99c6bfa831e468c6676f62df]

WaE: gcc 4.6.0 various warnings


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [9234fd2ca59aea19602e416b911aa7c712636340]

WaE: gcc 4.6.0 various warnings


2011-01-27  Miklos Vajna  <vmiklos@frugalware.org>  [a61c4d548af446ffe94b85d59be08f18a4a5d37f]

ww8: silence debug output with dbglevel=1

dbglevel=2 is meant to produce debug output, 1 is just about getting
debug symbols, but the same output.

2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [d98b1755b686061fc4e45e57d40142f4f6f96f98]

CWS-TOOLING: integrate CWS tl84


2011-01-27  Christoph Herzog  <rhogez@googlemail.com>  [f08be066e505966ebdbacfd91d77b9f73dfc5ad5]

Translation of comments (minor, 6 files) in sw/inc


2011-01-27  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [e88e57d4bceac2659bade26d2ce6c252b800d795]

"Default Formatting" -> "Clear Direct Formatting"


2011-01-26  An Leenders  <an@Fluffy.(none)>  [91efc279ab46267e89212afc55fc2a6c1a6350be]

cpp cleanliness: check for assignment to self


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [f3bd7b6163127c7db353515932f7891f6d9384dc]

WaE: gcc 4.6.0 various warnings


2011-01-26  Miklos Vajna  <vmiklos@frugalware.org>  [9c6c75080b1f9d5956160adfb06916901502a191]

MSWordExportBase::SupportsUnicode(): renamed from HackIsWW8OrHigher

That mathod is basically used to determine if unicode is allowed to be
used during the export, but the old names wasn't that meaningful.

Suggested-by: Caolán McNamara <caolanm@redhat.com>

2011-01-26  Miklos Vajna  <vmiklos@frugalware.org>  [a37fae128b4badc8f9f2201e28dca3e08948ddec]

RtfExport::HackIsWW8OrHigher(): return true (closes fdo#33478)

This makes the exporter use unicode unconditionally when exporting
accents. This is needed because in case we don't do unicode, we need
special fonts (see SwWW8AttrIter::OutAttr()), while in RTF we need to
output the font table before exporting the docuent.

Agreed-by: Caolán McNamara <caolanm@redhat.com>

2011-01-26  Mathias Bauer  <mba@openoffice.org>  [0eec5aab4e052c8fdf096f6207a958c750cac5f2]

CWS gnumake3: several clean ups and fixes in makefiles


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [aaa142512395d5d792013deb73bf9eef0b4cc19e]

WaE: gcc 4.6.0 various warnings


2011-01-26  Thomas Arnhold  <thomas@arnhold.org>  [e84849a735ee0e8e51f5da5561f5dfa550bbf81f]

Cleanup for ww1.


2011-01-26  Thomas Arnhold  <thomas@arnhold.org>  [6d53bc5190a7eed3c2aa0c737f1eec030d514722]

Remove unused DEBUG_KA.


2011-01-26  Miklos Vajna  <vmiklos@frugalware.org>  [1482475880c2902d8e041bdc211fc52afd4a7efb]

RTF: escape special characters in style names (partially closes fdo#33478)


2011-01-26  Andras Timar  <timar@fsf.hu>  [60fc5e3665587389888e83c8970f1f216a72efbc]

translations need more space on word count dialog


2011-01-25  Andy Holder  <andy.m.holder@gmail.com>  [c545e900d1eb0094a81b1f79693bb1ce51923454]

cppcheck: unused variables


2011-01-25  Andras Timar  <timar@fsf.hu>  [b76bd43ff0addfa0c2e30dd210096687094850f2]

translations need more space on word count dialog


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5c942d07eeda072a9c1050bcc10b308fb185f3c5]

gridsort: pulled and merged DEV300m98


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [d9624d523c6496084660af904fe8556a043ccd0a]

Use correct libxml2


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [b18e14581bfbccb7f7493cdc9f0a986149c30aa9]

CWS gnumake3: resync to m98


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [6dc70b43831cd4882275d7b3943f22422a3e4060]

CWS gnumake3: fix license headers


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [271285f023d88f5e269b6b40ab1a2ca3aca42ef5]

WaE: gcc 4.6.0 various warnings


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [836c838aa8e2d4948d30fe468e6c3f80b2348b66]

#i83806# these methods don't change anything and we don't use their results


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [d80becc720ae2254f6668fdebdea60410a7a084e]

WaE: gcc 4.6.0 various warnings


2011-01-25  Vladimir Glazunov  <vg@openoffice.org>  [210570ec2a0b88cef1b9109dc9e8e5c449b4dbcc]

#i10000# #i10000# changes from OOO330 m20


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [78997144d5ac3df84728e560351135b0938bce9d]

gridsort: pulled CWS dba34b


2011-01-25  Christoph Herzog  <rhogez@googlemail.com>  [d080a8f64256ef90d39e31fa12cf2801c7f5c717]

Translations of comments is sw/inc.


2011-01-25  Christoph Herzog  <rhogez@googlemail.com>  [4ffa01544d48fba530623863d069fc300a00ca48]

Translations of comments in writer/sw/inc


2011-01-24  Carsten Driesner  <cd@openoffice.org>  [db123cfd04e85d61abdb8062686f47ceaa89d08f]

removetooltypes01: adjust rebase for Linux


2011-01-24  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [cd9ba23cac2ed72ffd663b6e3192a9b3855d8d80]

Update from master repository (DEV300_m98).


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [61d214749ff4eca6d60721cedce482a542e7b57e]

Include the wntmscx build directories


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [5d3d1213714e28ce2501654978668cabd1c682a2]

WaE: gcc 4.6.0 various warnings


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [949c578bdfe6bea9fa1f784d337d6ad39164ef20]

Remove TEST_DELAYED_RESIZE and FIX41370.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [7d225cf0826751d94c848cfd659aceafe380b0a8]

Remove FUTURE directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [ed0eaa20ffcb271fbfd078bcb26cbcb823feda38]

Remove OLD_INDEX directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [5864fa253ad22a9b920e1eaccecc4af324c6ec8b]

Remove LINGU_STATISTIK (forgot this one).


2011-01-24  Carsten Driesner  <cd@openoffice.org>  [5c9120bcf035c120423c7743e7accf993d049a17]

removetooltypes01: Remove tool types from vcl and starmath


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [d250909b981d9b6e28bbd9c21030b888aa80ce88]

Remove DVO_TEST directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [41b46e9f4ca241fe6e2a5857dc9a0b6b8b7bb5ec]

Remove JP_TEST directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [35538451c767ad6a43969665864ca8bbcef801c0]

Remove JP_DEBUG directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [cfee4e39ced77dc3b634d8428497264dc14f330c]

Remove TL_NOT_YET_USED directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [a81ace2dbc49778cf71d278199483c2503c380ad]

Remove some more dead code.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [c25c67e60c0a184be69b2e7e408106921eef210a]

Remove FONT_TEST_DEBUG, COMING_SOON and some more dead code.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [5649bc22fa9beae5dd4a4af83e2c73f544e0bf39]

Remove NIE directive. 'Nie' means 'never' in German.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [892485296da172ab3507bd4f3db3edb630dc7e20]

Remove CUTNOEXPAND directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [87423e371b9953657a1db1e8832f5a21b4c3d277]

Remove MYDEBUG directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [2d0b31d2a7ceb58e4f0567fe0c255d16c8f502ff]

Remove FORMAT_PAINTBRUSH_ALSO_COPY_NUMBERFORMAT_FOR_TABLES directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [092bf0c4eedb52987cd2efde4f87e64fe645e290]

Remove LINGU_STATISTIK directive. Used to display stats for linguistics.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [e03c5afd97c0c32e369887ac3ee7c1851a032f95]

Remove TEST_FOR_BUG91313 directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [f31e6e1cf4cf89b7d31e14d4a464cecb1502f501]

Remove AMA_LAYOUT directive. Methods to display layout structure.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [08e8fa7fa1cbe2cccba4f807de1f785dd2c7ad1d]

Remove DEBUGGY directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [c799bd8f10af83b3f4549925a8d053a8a0c3b2af]

Remove MA_DEBUG directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [22e16c6ebe751e19fd051c72dbcc3d6734f45041]

Remove FINDSTARTENDOFROWSPANCACHE directive and some more dead code.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [e681a23d6ba27a0aa2c20c1be0920a5494cd91e3]

Remove FRANK_TEST directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [f7fea40326cfe143f39af80f5a1634138e0f4e6c]

Remove unused FIELDPATCH and TOMORROW directive.


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [2e8745382fd7b067f2907d914492d91e5f68d97e]

Remove some dead code.


2011-01-22  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [741eb0972658fd5cdc32f2b175bd3976ed39b385]

accfixes: global resources need id greater 256, moved global resources to access.hrc


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [3b3b5fddf1c0710db2a3c4ec30cc60646dd89892]

removetooltypes01: Rebase to DEV300m98


2011-01-21  Michael Stahl  <mst@openoffice.org>  [52fee9a139e5b8a1d17ffb552f2f70cf9500bd1e]

undoapi: #i116552#: SwAutoCorrDoc: match StartUndo()/EndUndo() calls


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [968bcd8deabd4a83207af3c3666c21d0784896cc]

fix build breakage


2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [060687a01230c1c9ca3f602c42b937cc1fa6c1cd]

accfixes: added more accessibility information and fixed tab orders in multiple dialogs (sw module)


2011-01-21  Christoph Herzog  <rhogez@googlemail.com>  [4bc094c374ee7fdef71ed2f6c8330ee24b954b2d]

Some translations of comments in /sw/in notably editsh.hxx


2011-01-21  Noel Power  <noel.power@novell.com>  [8b28483538dc426475d651687b5505cf94149d22]

bnc#660816 improve formfield checkbox binary export ( and import )


2011-01-21  Michael Stahl  <mst@openoffice.org>  [8d78900bff9df720a102412baff5cd64fed7ed7f]

sw34bf03: #i115495#: patch by cmc: fix 64-bit problem in WW8 RTL table import


2011-01-20  Michael Stahl  <mst@openoffice.org>  [4cddf202ba6c2a735b24680bf9302526e60f01be]

undoapi: fix regression: undo comments with un-rewritten arguments:  various EndUndo() calls undo SwRewriter applications done at StartUndo().  EndUndo() should only be called with a real ID if a comment should   be generated from the ID that should become the list action comment.


2011-01-20  Michael Stahl  <mst@openoffice.org>  [41695a54042297749ddb17792709ec19df050ad6]

undoapi: fix regression: SwUndoInsLayFmt::GetComment() broken


2011-01-19  Thomas Arnhold  <thomas@arnhold.org>  [77759ceb233ddd23ceb0f5062178f89474ccb8a6]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-19  Thomas Arnhold  <thomas@arnhold.org>  [bd90607962033d3ae4fbf4dd247acc32190f2507]

cellatr.hxx is included anyway. Sorry for previous inconveniences.


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [7904947b372c9c84a0d2924c11daa6044e6293bc]

gnumake3: merging minibranches


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [7bcca2f79b16669c92966c3b9b9e5318fa939210]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-19  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [4f907a5477ed209a5c91a2fd7d2d1a86839d7277]

vcl118: #i115048# revert brochure printing in writer to old behavior taking the paper size form the printer driver, add paper name to print preview


2011-01-19  Mathias Bauer  <mba@openoffice.org>  [ffb8790a6b0959b337221f5443dbe742b49bee7d]

CWS gnumake3: merge minibranches


2011-01-19  Mathias Bauer  <mba@openoffice.org>  [4481b2a2202070e6cd11dccdce2902e24c75dbc7]

CWS gnumake3: some more fixes for windows and svx; remove superfluous code in starmath that still used old _DLL_ define


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [5c599c392af7746c1dba20095673c8b5a01744e7]

gnumake3: #i116390# finishing support for Junittests in gbuild


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [d0e975c37f80f242dd345d02570b23a0367caf84]

CWS-TOOLING: integrate CWS sb135


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [933c1232949f63829b4c2104637e55d0348e34fc]

CWS-TOOLING: integrate CWS mingwport33


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [fb79e0453c6d40a98d9051b1fde1424bec6a1e00]

fix incomplete types build error


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [b1ccee13029c3ee1ce132747bc32a20c1d79bdc4]

when there are duplicate includes we'll typically need at least one of them


2011-01-18  Andy Hearn  <cuvierster@gmail.com>  [092e1494c1d7d68873f50a0da7699b0fdd15c439]

Removed suspect hack. Cursor on post-it now scrolls out of view.

Previously, when the user scrolls when the cursor is within a
post-it note, the main view judders, refusing to let the cursor
 go out of view.  The removed lines appears to have been a hack
to retain focus of a post-it note containing the cursor.

2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [6f774c46e912f81b9632a773e82013f951290ee2]

CWS-TOOLING: integrate CWS fwk162


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [ad174a0e14ec00cbce313fa177aec10bf815817c]

CWS-TOOLING: integrate CWS chartextensibility


2011-01-18  Michael Stahl  <mst@openoffice.org>  [eb61aa2b4beeabbc6ad504b0a6cb7e66721557e5]

undoapi: fix 0-pointer in SwNodes::ChgNode that did not crash before by luck


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [e935e7ea003a34c6f9fa36bf4ff1c53d7cfc453b]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/writer

Conflicts:
	sw/source/core/layout/ssfrm.cxx

2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [188d1d9df57c9a18754f8ea4a1ba25c681748101]

Remove duplicated includes and defines. Identified with "cat $i | grep '^#include' | sort | uniq -d".


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [2dbe9e73bfce57f7841c34d285f913ff13f7a3ea]

restore SwFrm::~SwFrm


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [7ac39f8d93dff3dd7c4940a558e225c75aed1d93]

we can pass this by reference instead


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [c799663b634fdde05f60d4679e6a0f2fa633dc1d]

Remove some more dates..


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [1b4a74e45e2e4a8545ca0f417eaab1f3f3e0a970]

Remove obsolete RCS lines.


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [eb65aae10c0649da4ad20348657a5394caa4ede6]

Remove dates and two unused code segments.


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [f0a90ee30740660b3965e85d3fad0d3a5c28c229]

Remove dates and two sections of old code.


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [cd3faa27a53ddf00be8dd889723d357061ab6fd2]

Remove #refactorlists# comments.


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [4e339eb7f132373ed03c733242cd5ab234a13939]

Forgot this at #newlistlevelattrs# removal.


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [08515a291af176bc78eaeafeb22d3b63a662b404]

Remove #newlistlevelattrs# comments.


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [40bde31577c34ccbdb958e80a3c8dc26f11ab2e3]

Remove some more dates..


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [3b1cf02f990ab30c1e3b215f0c6b7c7785c6aa51]

Remove obsolete RCS lines.


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [6e7f074be7440b70261ccdc668095cc21942838d]

Remove dates and two unused code segments.


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [6c8e52bf1c165620cd89c943200732673e02e71e]

Remove dates and two sections of old code.


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [60b40c38121d45bad3ca7b72e735b5fba9d8324a]

Remove #refactorlists# comments.


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [cc15266e686b8a481233ebc832c901e81655222b]

Forgot this at #newlistlevelattrs# removal.


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [afb5a4d9823d06e9df5959e196a9e3e455f6b1ca]

Remove #newlistlevelattrs# comments.


2011-01-17  Carsten Driesner  <cd@openoffice.org>  [a0495fb8cd5a320fc2ffc983c2e9e80ac27eb8e2]

removetooltypes01: #i112600# Fix some @retval comments with old TRUE/FALSE text


2011-01-17  Carsten Driesner  <cd@openoffice.org>  [9e38a5abcc96c0452a299d28c66c2dc25cb234a8]

removetooltypes01: #i112600# Remove tools types from sw


2011-01-17  Mathias Bauer  <mba@openoffice.org>  [74370f80b4f13363fe60561b830bcd9b5ca62637]

cws mongolianlayout: resync to m97


2011-01-16  David Tardon  <dtardon@redhat.com>  [63e6d351de7d70a057ded052e4e584e0c60b9957]

dbglevel=2 build uses libxml2


2011-01-16  David Tardon  <dtardon@redhat.com>  [0efaac2a1cc834059c50b7161f33f2bce2b2b15e]

make public

Breaks build with debug libstdc++ because linker cannot find typeinfo
for SwCharFmt when linking libmsword.

2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [794a523c2112a6f99344f2dad13e50d638b95fc1]

reduce the amount of __cxa_atexit activity


2011-01-14  Kohei Yoshida  <kyoshida@novell.com>  [866e4b44f7d5ea75ba31ad78b6c8b58067627788]

Remove pesky on-line registration menu entry. (fdo#33112)


2011-01-14  Carsten Driesner  <cd@openoffice.org>  [7302c3fd6cc445f83da7182e3211db9befa58842]

removetooltypes01: #i112600# Remove tool types from binfilter, starmath, svx, toolkit and xmloff


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [5fbd9243458846208e4a36417872d8caeb3dcb82]

WaE: C4244 conversion from int to USHORT


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [0bc34a89434f97f5c25fae9d3529c292aba8e9e6]

Resolves: fdo#32633 use standard Edit button width of 50 (cherry picked from commit a3c9ea96b2deee09060fae80d673e262b27872bb)


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [a3c9ea96b2deee09060fae80d673e262b27872bb]

Resolves: fdo#32633 use standard Edit button width of 50


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [6d54edb9fa96fd915a90b06886781827acd2fcde]

fix this to build


2011-01-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [8d9cf3fdfda0bf4b2ae2464edc0397b0e296f015]

n#657135: Enhanced fields fixes (key inputs, and 0-length fields import)


2011-01-14  David Tardon  <dtardon@redhat.com>  [5afefa1880415251b01d8b35d13f511c81ef4dc2]

remove duplicated test


2011-01-13  Luboš Luňák  <l.lunak@suse.cz>  [b9f3c7b481236d2443e2baa41e8e5ef84378cb00]

do not write w:docGrid to styles.xml


2011-01-13  Luboš Luňák  <l.lunak@suse.cz>  [d9c32b83ba507c91b6f2a6283bbdeac9ee38e129]

fix incorrect indentation level


2011-01-13  os  <os@openoffice.org>  [bfc21d640099cbea442806e8514861a9ef5e40a7]

m97 merged


2011-01-13  Miklos Vajna  <vmiklos@frugalware.org>  [581a6bb6cfd1940d69bf22bdee574b80c9daaaad]

Fix debug build with system-libxml

Fixes:

$ build debug=t dbglevel=2
...
In file included from /home/vmiklos/git/libreoffice/master/clone/writer/sw/source/core/layout/dbg_lay.cxx:125:0:
../inc/frame.hxx:37:29: fatal error: libxml/encoding.h: No such file or directory
compilation terminated.

and similar errors in several subdirs.

2011-01-13  Miklos Vajna  <vmiklos@frugalware.org>  [c27e4668b18248322be699fc9fc6bf01e4d6a7ea]

RTF: fix height of wrapped pictures on export (partial fix for fdo#32613)


2011-01-12  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [fc637db4ec06b487dc1987d6d725c83da37b594e]

rebase to DEV300_m97


2011-01-12  Christoph Herzog  <rhogez@googlemail.com>  [3339512a2a4c12a66d4edf552eef8c31fb782c13]

Translations of comments in writer/sw/inc


2011-01-12  Mathias Bauer  <mba@openoffice.org>  [4c9d9e7d3af58a97b64a44515b976ca57793577e]

CWS gnumake3: #i116422#: convert svx to new build system


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [bc6fea9e91ce63236322a1725a725f7fb98aab47]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [a6d2bb18dd88894c92080214ff7a5c6178ad92cc]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [44e4c69ed3f1c22b4716f98d14ee5d492fb59339]

add missing modelines


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [a334642709d2bff1f556ad0cd56b1be2efb0a0cc]

use a better way to detect failure in this test-case


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [9b20c2fe47735ae7d5340b59b3bd47164fb6f59b]

fix this to build


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [ac9e3e3f1207fceb18f70c9ff7bc44ded1426187]

WaE: remove pesky warning


2011-01-11  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [e39f31d89a9e31bee9d31a68c671345fd7fd9bd2]

gnumake3: more work on junit subsequenttest migration


2011-01-11  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [0921bd5dc88dfd212fc5a332e0902347377be119]

n#657135: Enhanced fields fixes (key inputs, and 0-length fields import)


2011-01-11  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3b627b964c0877d72fdd24d2303810647aaebd76]

Fixed one DBG_UTIL fantom in sw


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [dcebc4d7ab1ef092e2a4b0a089c4123a75528692]

fix warning


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [cea02c7c016995d58825c3e812649ec5eb142df5]

silence bogus cppcheck warning


2011-01-11  Andras Timar  <timar@fsf.hu>  [e99f7ac3788d0c93fc8b3b4d86bf60198bb3713d]

s/KAPITAELCHENPROP/SMALL_CAPS_PERCENT/ and define it in a header


2011-01-11  Christoph Herzog  <rhogez@googlemail.com>  [08637410a364c3ea8a7ea7f4d162fd7794c719fc]

Translations in sw/inc/doc.hxx


2011-01-11  Christoph Herzog  <rhogez@googlemail.com>  [d93a00aa1fdc142b9e70c74ba784f2502319316b]

Translations sw/inc: crsrsh.hxx, cshtyp.hxx


2011-01-11  Christoph Herzog  <rhogez@googlemail.com>  [1b34c10368c6539101b74207430dfd702567c81d]

3 more translations in writer/sw/inc


2011-01-11  Christoph Herzog  <rhogez@googlemail.com>  [769d551ef175e105d05bea95dfcdef940bde5cb8]

Minor translations of comments for 3 files in writer/sw/inc


2011-01-11  Kayo Hamid  <kayo.hamid@gekkolinux.com.br>  [978f24bafdcfc13548128f9665946c1102f4e230]

some cppcheck warnings


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [6824fd06ee8b6d4b1f783e82d61d453a5fd72ef7]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  Noel Power  <noel.power@novell.com>  [af4d6062b7e676ed56dc84927fb99b79aa03a7b5]

bnc#660816 improve formfield checkbox binary export ( and import )


2011-01-10  os  <os@openoffice.org>  [24d4797edfffde83b5cea92c77e7857f8506d433]

m96 merged


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e33fd795991e21bf4e40dd7673932ae5345bcc71]

undoapi: merge


2011-01-10  David Tardon  <dtardon@redhat.com>  [3fa68cfff2f435a449371165800dc117f04c5ed5]

fix debug build breakage


2011-01-10  Caolán McNamara  <caolanm@redhat.com>  [3e150cf04e41f44a3f8fdf429ef03444c37a571d]

cppcheck: enable basic cppunit tests now


2011-01-10  Caolán McNamara  <caolanm@redhat.com>  [63f620ad2edab76f55fef4613d2c73e94d1b160f]

fix build error, and tidy this horror


2011-01-10  David Tardon  <dtardon@redhat.com>  [249bbbb3309357e51ca6a41f71a7190d4ad50057]

remove all mentions of cfront. Oh, my!


2011-01-09  Julien Nabet  <serval2412@yahoo.fr>  [ec2ced0b8df2fe9f289b9be1ce9bd43bb83cd64e]

Some cppcheck cleaning


2011-01-09  Christoph Herzog  <rhogez@googlemail.com>  [11c2e4566a1d81258e442d718fe51d948875d9d1]

Translations of comments in writer/sw/inc


2011-01-09  Christoph Herzog  <rhogez@googlemail.com>  [117199acf0442b3467a1784c370284380432633a]

Transl. German comments in sw/inc/IDocumentFieldsAccess.hxx


2011-01-09  Caolán McNamara  <caolanm@redhat.com>  [36a30a57619a8fd6be95d132ed8a2e5159ed4745]

get these tests buildable on windows


2011-01-09  Kohei Yoshida  <kyoshida@novell.com>  [6bd559789d5867b9a5adf56ec33660539c589a04]

We need to move to the next record during mail merge. (fdo#32790)

I believe this code change was unintentional.  We shouldn't be
skipping MoveResultSet call or else all the emails would be sent to
the first person unintentionally. ;-)
(cherry picked from commit 20b3b54b246159baeac941fe0acdeb61cc5cd112)

2011-01-09  Kohei Yoshida  <kyoshida@novell.com>  [20b3b54b246159baeac941fe0acdeb61cc5cd112]

We need to move to the next record during mail merge. (fdo#32790)

I believe this code change was unintentional.  We shouldn't be
skipping MoveResultSet call or else all the emails would be sent to
the first person unintentionally. ;-)

2011-01-08  Kayo Hamid  <kayo.hamid@gekkolinux.com.br>  [c710c01c7245afddd63c9c2e1c135212a501c1b3]

cppcheck: reduce variables scope


2011-01-07  Petr Mladek  <pmladek@suse.cz>  [b44161cba1b34f9513034561a206768c029bde5b]

remove commented code


2011-01-07  Petr Mladek  <pmladek@suse.cz>  [04a1bae024326f04cbcd0698eb81c0f4adb3a4ba]

Merge commit 'ooo/OOO330_m19' into libreoffice-3-3


2011-01-07  Mikhail Voytenko  <mav@openoffice.org>  [20cabde93128783710651fd86c2acad65d37f0e0]

fwk162: #i115902# review usage of SfxObjectShellRef, SfxObjecShellLock


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [15d90e7bbfdba6e641f08599ce8180dff964a46e]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/undoapi


2011-01-07  Christoph Herzog  <christoph.herzog@uni-bamberg.de>  [6184f22c31df853d19e43f673c5ae4f23ff103db]

translate german comments


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [c96651f17eb2bbdf54f9dd453cb2fbda343f6fe5]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [97c9dc815396773f01ffed8f707fc74f3e0c882c]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [6f8cbb85a472f2b2f802944cebf03aa2eb037d14]

cppunit: prefer prefix variant


2011-01-06  Mikhail Voytenko  <mav@openoffice.org>  [33a41e6fbb03d46470c4fcbd88baef836421d514]

removetooltypes01: rebase to DEV300_m96


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [918d4322d8cedadcebaa3b5f57dd465cd15856a8]

CWS-TOOLING: integrate CWS ooo33gsl13


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [bf84fd275c5a8e7ef775a40ff4b9c22ea522e1c6]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [02d6c4590dc0854ef676662750fb09e8aa3dd725]

add a bit of documentation about confusion around word 2 and word 5


2011-01-06  Maja Djordjevic  <ovcica@gmail.com>  [6101a8f5f579023e52732603661a39b535e0ef0b]

fdo#32869: Added navigation buttons to writer


2011-01-06  Vladimir Glazunov  <vg@openoffice.org>  [f62183c87bf998efb02b7b02a89ae39846e4cca5]

CWS-TOOLING: integrate CWS vcl117


2011-01-06  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [a397923f4010c528d9295bcdf55c21bd1ef3d574]

rebase to DEV300_m96


2011-01-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d587260b7d733c2681ebeebbbd101c325651e465]

undoapi: don't let sw's UndoManager call into SfxUndoManager::Clear when in a list action - introdce a dedicated method (ClearAllLelves) for the pattern needed by sw


2011-01-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [0d7ebc5961709376e859d86b1ccafb24e0622766]

undoapi: merge after pulling CWS sb135


2011-01-06  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [46cfbf716597038cb24747745ddeed03fc67673b]

SwCallLink: Removed unnecesarry Invalidate() call.

In commit 47472e8 the author intended to fix some repainting
issues with nested tables. This made the cursor flicker and
disappear everytime it moved inside the table.

The problem was tracked down to an Invalidate() call inside
SwCallLink::~SwCallLink(). The lines are removed. Neither of
both problems reproduce on tests so far.

See discussion "Annoying cursor behavior on sw tables"
http://www.mail-archive.com/libreoffice@lists.freedesktop.org/msg04197.html

2011-01-05  tono  <tono@openoffice.org>  [e17baf5d3eb0b2ede5c55fae302a0d7832bbd872]

mingwport33: i#116264: gbuild for MinGW


2011-01-05  tono  <tono@openoffice.org>  [52c4925ac3a39698f4444eb1a39e93f047b580ef]

Backed out changeset: e84942bd0aca


2011-01-05  sb  <sb@openoffice.org>  [0272be5b8b8c3f38336d6032c7301d79a78694d5]

sb135: recreated tests that had erroneously been deleted by CWS gnumake2


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [30543245e3984b591d948d8acdd06794d963d242]

dba34b: merged DEV300m96


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [a28ee58ddcdfb2155813c2e4386d609a2be47a6f]

Related: fdo#32463 add cppunit test for SwFileNameFieldType


2011-01-04  Dan Corneanu  <cdan@savatech.ro>  [17143361d48c62cb5ca152e9ed2834b849f4888d]

See Bug Id 32463


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [41c99bcc16944b10469a8f8a2813ae77752807da]

use RTL_CONSTASCII_USTRINGPARAM


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [d45b32b52f21c6078b2a945bf84864b046dd3a0b]

Resolves: fdo#32633 stretch title dialog to get translations to fix (cherry picked from commit c75a9e280e3f1282c25d7c1f572cfa4bad3f8ba8)


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [3748bdef44c7e1649a5db723fad762d314b84646]

Resolves: fdo#32633 rearrange title dialog to get translations to fix (cherry picked from commit 049b8e51b06f64fa8b353d65589b55d60ce5b83e)


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [c75a9e280e3f1282c25d7c1f572cfa4bad3f8ba8]

Resolves: fdo#32633 stretch title dialog to get translations to fix


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [578f283b499de1330135a910b395e3fdc7523cf0]

detangle some BOOL/sal_Bool/bools nastiness


2011-01-03  Kayo Hamid  <kayo.hamid@gekkolinux.com.br>  [51c04abacdd11ff34bf22397d717ff85c05098fb]

cppcheck: prefer prefix increment on iterators.


2011-01-03  Mikhail Voytenko  <mav@openoffice.org>  [692b0fa65db69cd0ada40a982a96a8a222b62899]

fwk162: merge to DEV300_m96


2011-01-03  Mikhail Voytenko  <mav@openoffice.org>  [8eee204f23c6e984f73c8989f762481f83d8b95e]

fwk162: #i115902# review usage of SfxObjectShellRef, SfxObjecShellLock; remove unused some methods


2011-01-03  sb  <sb@openoffice.org>  [ee4b2c0a72e34f0dbeabf579f33390201a72b784]

sb135: merged in DEV300_m96


2011-01-02  Joseph Powers  <jpowers27@cox.net>  [a85054cc8aabfccf8632b9f476ee10ad9ef48df9]

Additional cleanup of my git mistake.


2011-01-02  Joseph Powers  <jpowers27@cox.net>  [73673812f3b950bb9e83173c08362fd817cbc515]

Fix issues cause my my lack of GIT foo


2011-01-02  Joseph Powers  <jpowers27@cox.net>  [c5d5a507e80f0c38674b23f286ee3838abd65d1b]

Code cleanup


2011-01-02  Joseph Powers  <jpowers27@cox.net>  [c395f47eab69330de42989ff3ce7408f224b6c60]

Remove DECLARE_LIST()


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [c888fed95cf1f2cfc2664723fefe3e1971d45bfd]

WaE: fix new shadow warning post DECLARE_LIST removal


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [40cd03afad3faa40d9f7fab03c55ba376f7a1e60]

cppcheck: the scope of these variables can be reduced


2011-01-02  Joseph Powers  <jpowers27@cox.net>  [5599f282ce50852630b8cc78b03a749bd6b2567b]

Remove DECLARE_LIST(SfxStyleFilter, SfxFilterTupel*)


2011-01-02  Rene Engelhard  <rene@debian.org>  [c57f69de8b0f777465149cf25594bb760226c68a]

Merge remote branch 'origin/libreoffice-3-3'


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [3bf2855f8030aae8bc2cbd448d7d86a0853679d3]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [caa6bc7661ac247493d9d572ade48a4884a2be6d]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [d1db9d85e93c1fed0b6f8a8e322564d5d2536074]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [dc8348da5c4559fcfc16379416fed2eb3ff3770b]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [f9742f4ea5fa8ed3012f5c3553c757ac60f8d810]

cppcheck: prefer prefix variant


2011-01-01  Joseph Powers  <jpowers27@cox.net>  [fc848fc4be7db733f95aeb54e1fce2a8bb08c1f7]

Remove DECLARE_LIST( TargetList, String* )


2010-12-31  Joseph Powers  <jpowers27@cox.net>  [6c844dfb82ef15f334acb469289a44f1819f5d73]

Remove DECLARE_LIST( SfxMediumList, SfxMedium* )


2010-12-31  tono  <tono@openoffice.org>  [7e6e7fdfcd3e64cbfd588f9a6ac9b06d4e5de17e]

i#116264: gbuild for MinGW


2010-12-30  os  <os@openoffice.org>  [ac4fb30691046fef1846ad03c7e9a48992ecde3b]

#i116258# auto delete temporary SwCursor*


2010-12-30  os  <os@openoffice.org>  [8695e699dd694204afeef2bfece4b91d387c8dc5]

#i114411# enable 'from top' distance also in frame styles


2010-12-29  Miklos Vajna  <vmiklos@frugalware.org>  [807f50daa517e549a5844dc520da410be1751261]

use ext_std inside CppUnit::assertion_traits struct


2010-12-29  Caolán McNamara  <caolanm@redhat.com>  [161164b2c1a70c0bf6bd8e507393f7ce330caee4]

cppcheck: prefer prefix variants


2010-12-29  Caolán McNamara  <caolanm@redhat.com>  [448e63a4835da293910e6c4844d43f5fcca964d8]

cppcheck: prefer prefix variants


2010-12-29  Caolán McNamara  <caolanm@redhat.com>  [049b8e51b06f64fa8b353d65589b55d60ce5b83e]

Resolves: fdo#32633 rearrange title dialog to get translations to fix


2010-12-29  os  <os@openoffice.org>  [3f6f1185036de8a501a46d722d0735971a6e2660]

#i113790# timer activation of page field bound to up and down, only


2010-12-29  Pascal Ullrich  <tentlexs@web.de>  [ba4da93413e1c30d6e0ea4907dc41a3e73d961e5]

German comments translated to English. Corrected some typos.


2010-12-29  Pascal Ullrich  <tentlexs@web.de>  [70a5ac7ac859bbe8fc178ce562c944940e5325ea]

German comments translated to English.


2010-12-28  os  <os@openoffice.org>  [946b6ef0b42fe23b73e6a9151001ea43f21bdb51]

#i116193# loop in iteration over bookmarks and attriubtes fixed


2010-12-28  os  <os@openoffice.org>  [d13d09ef5f3cd47a010387832fdc758b57b0dd10]

#i115916# replacements of one character to multiple characters fixed


2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [13871cc725c830c55f6fe61ae7570b474a5ff390]

dr77: rebase to DEV300m96


2010-12-27  Julien Nabet  <serval2412@yahoo.fr>  [b0fc537b448f0472d5171b421d28dfe01aa3076a]

RTL_CONSTASCII_USTRINGPARAM


2010-12-27  Julien Nabet  <serval2412@yahoo.fr>  [7b6b01c257b57dc63a35974c13b34ef9ea2226c8]

cppcheck cleaning in writer


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [6cfa9f44501a2ed6f19f60d672367ac6c297003c]

relocate this header inside guards


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [f79f45d25af89a1be487a509f6c689fd303189aa]

cppcheck: prefer prefix variant


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [1df75f9f00e1b69beadd1d5d1d67e21d0c66e20f]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [82ed68267a4686d7a137d0a9ae597dd9e18f115d]

fix typo


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [59e030d17f132cbe2706954df9727ea672d6b67e]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [72fae3dd74c9b53fcec503d5801b4ec278aae533]

add mode-lines in here


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [0876092e7930e00763c71f55193e85206687f213]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [84b0c5cdab86db46faf97c6ed3e2dd9c1cfb20b7]

cppcheck: the scope of this variable can be reduced


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [9dcb11cc29e6243a8348c6672d7bdd7434e73ad4]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [df5b0fe6567fcfd763add472278ce970b98bfbb2]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [417dc9311229c6a3c069b3ca6e46a5d99c5b3e04]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [6a738db72970487d55c5da83b4fa3bf8fd1e7562]

cppcheck: the scope of this variable can be reduced


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [4cab3f5985179126132da3418c1590b4dc9e4e3c]

cppcheck: uninit member variable


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [95f9b5c92e4dc29352ee880aad0c964b5e650b7c]

undoapi: make compile with GCC


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f9ae939e721b71147e0082945b9340d53fe88110]

undoapi: merged after pulling DEV300_m96. Most probably still not buildable:A number of changes which happened in the CWS need to be redone due to the new build system


2010-12-22  Guillaume Poussel  <g.poussel@wanadoo.fr>  [83eee47d12c4d606d2b3fc368c1dde950effc284]

Removed __READONLY_DATA (replaced by const)


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [c5baafaf096b3e6eb738cae978378deb87625826]

Resolves: #i113655# rhbz#621277 crash with missing DocShell


2010-12-22  Michael Stahl  <mst@openoffice.org>  [0957d9524dd8ff905e8ea701b020576d06b4b0d6]

sw34bf03: #i113655#: patch by cmc: fix possible null pointer in ApplyUsrPref


2010-12-22  Michael Stahl  <mst@openoffice.org>  [a8f49fa1c16bde04c44a94806127ee46775a10ac]

sw34bf03: #i115174#: XMLRedlineImportHelper:  do not crash if there is a XTextRange that is not a SwXTextRange.


2010-12-22  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [fe7a0796054d21c166be4622c96b8286278ac888]

ww8/dump was never built and rotted code: removed it


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [77db4e7e28cd861c07c442bc0c0cf5d2f0346fb3]

Resolves: rhbz#660342 Undo/Redo crash with postits (cherry picked from commit 1b58066892daa9365d23b39d7439fbbe7d562b13)


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [1b58066892daa9365d23b39d7439fbbe7d562b13]

Resolves: rhbz#660342 Undo/Redo crash with postits


2010-12-22  Mathias Bauer  <mba@openoffice.org>  [b2fd62ed23dbca199482bc068290f9c1735ff6ed]

CWS swlayoutrefactoring: conflict resolution after resync to DEV300_m96


2010-12-22  Michael Stahl  <mst@openoffice.org>  [6e27c37eeb5be9316531adcf3758bfba8cfcb90b]

sw34bf03: #i116192#: fix regression:  SwDoc::SetFixFields must be called when creating document from template.  apparently the SFX_EVENT_DOCCREATED event is not sent in this case.  so use SFX_EVENT_LOADFINISHED and check whether the medium has a template.


2010-12-21  Caolán McNamara  <caolanm@redhat.com>  [e0ef3b420203dd6a07b6240f5751cc653f23776d]

disable the tests that may vary, depending on the systems printer


2010-12-21  Mathias Bauer  <mba@openoffice.org>  [3275b3cb9871b62354de77531b5f2826acec9388]

CWS swlayoutrefactoring: resync to m96, no conflict resolution


2010-12-21  Luboš Luňák  <l.lunak@suse.cz>  [92e71f8834ea3ff71066d8708ddbd000a7430df3]

proper order of items inside w:tcPr


2010-12-21  Luboš Luňák  <l.lunak@suse.cz>  [15768f07caa5eab4be08c68b9da0e5254aee5696]

proper position of w:jc inside of w:tblPr


2010-12-21  Mathias Bauer  <mba@openoffice.org>  [b6678b3510a7dca0dec5588e1c5dbdbf8e85d303]

CWS swlayoutrefactoring: #i115510#: use boost::noncopyable for SwClient; move some code from client iterations into SwClientNotify calls


2010-12-21  mb93783  <mb93783@x2270-so1>  [8ff9a52c8c8cd9e200686646b918c69fb10e6975]

CWS swlayoutrefactoring: #i115510#: fix for gcc3.4 re-added


2010-12-21  Mathias Bauer  <mba@openoffice.org>  [ad5cd568f15d3c00032428d58b476f5f98febf25]

CWS swlayoutrefactoring: #i115510#: some minor fixes


2010-12-21  Michael Stahl  <mst@openoffice.org>  [14a32149d5e079171517215ef5ba75fd9b08f7db]

sw34bf03: #i115315#: refactor the copying of meta/meta-field:  no longer delay the call to DoCopy() until after the new hint is inserted,  but do it before; this fixes a crash on drag&drop in the same text node.  this is also quite a bit less ugly, but there are still some hacks required:  DoCopy() is now called by a new factory CreateTxtMeta().  DoCopy() needs to know the text node where the hint will be inserted.  so the MakeTxtAttr() function needs to know whether it should insert a copy,  and the target text node.  this requires a new bit in the SetAttrMode enum: SETATTR_IS_COPY.  also, sw::Meta can no longer get the text node from SwTxtMeta, because it is  copied before the SwTxtMeta is inserted, so it now has a SwTxtNode* member.  furthermore the notification stuff is refactored a bit.


2010-12-21  Michael Stahl  <mst@openoffice.org>  [56717ff6478e057b4997a192e9377947facdf6cc]

sw34bf03: #i115315#: make SwTxt{Ref,TOX}Mark parameters const


2010-12-21  Michael Stahl  <mst@openoffice.org>  [87515a4217534836b2c65d92b090567ab7660bf7]

sw34bf03: #i116192#: SwDoc::SetFixFields must not be called by timer:  call it when receiving SFX_EVENT_DOCCREATED, which is synchronously  dispatched much earlier, before API clients can access the document.


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [3449053e9b1e2411d284e1f1ecef6064cd4947fd]

Ensure that only the three valid options are possible to use

Originally four cryptic possibilties, only three of which would
correctly give unique values. So refactor into three possibilties,
make self-documenting and lock it down with a cppunit test

2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [5f53398040f6648d967eb1d3da8ff5578efc8d85]

cppcheck: port thb's test over and get it to work again


2010-12-20  Luboš Luňák  <l.lunak@suse.cz>  [1f5706cee09be87281943d27fe4797a4a98b13a2]

work around tables with many columns for msoffice (fdo#30860)

Theoretically the .docx spec doesn't seem to have any limit
on the number of table columns, but in practice msoffice seems
to have a hardcoded limit of 63 columns and fails to open such
documents. Since the expected use case with .docx is that
somebody with msoffice will try to open it, keep the limit
and merge exceeding items into the last column.

2010-12-20  Luboš Luňák  <l.lunak@suse.cz>  [e847df0b0901b575d567563cd8bfc443380eb12c]

remove non-functional column count limit (part of fdo#30860)

This limitation alone is a) wrong, since the limit is actually 63,
b) incomplete, since mso2k7 fails to open such document anyway.

2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [37a96fbc64859fd69ffbfa479b1389b82b145100]

set licence text


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [85a2853b681f34eb79652213bf2ca7100eb38d1e]

cppcheck: make this test buildable again


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [30ee501c485f53fe80edaf9cd356a0a5e03abae3]

cppcheck: always build these tests now


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [0f9d135678cc53c8c274a5edbe306736e4a19ab0]

cppunit: make sure to regenerate .rdb if makefile changes


2010-12-20  Mathias Bauer  <mba@openoffice.org>  [88460534b067c67515b795ffcec50eefbbb469e5]

CWS swlayoutrefactoring: #i81480#: some bug fixes found in testing


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [7abda5fc9b7be383f09f8572ded2a9ac50be845a]

make buildable under windows


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [b2fcd8cd7ed0cda7c60efa3188dc12994f874e15]

The change from List to vector changes order of error messages

Which IMO is probably a good thing as the first error is now
at the start, and the last at the end. Which is way more sane,
so change test rather than change code.

2010-12-20  os  <os@openoffice.org>  [952e44cbf04c688ac1f8153011e35e62c6cb7c69]

#i102247# re-introduce export of outline


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [677651990cf86d931b1f43fdb746387748d43bb6]

Merge commit 'libreoffice-3.3.0.2'

Conflicts:
	starmath/source/parse.cxx
	sw/source/core/text/makefile.mk
	sw/source/filter/rtf/swparrtf.cxx
	sw/source/filter/ww8/rtfattributeoutput.cxx

2010-12-19  Luke Dixon  <6b8b4567@gmail.com>  [5133de6004bf7cee19d1e30a07a839fab6c9746c]

Put brackets around binoms in SmNodeToTextVisitor, with test


2010-12-19  David Tardon  <dtardon@redhat.com>  [89b48917f831f7a5c63f7eedd9bb0fadbd7eb5f1]

fix assertion


2010-12-18  Joseph Powers  <jpowers27@cox.net>  [e7f4cc5fe2b4d610d6956dc86bd8683e183964d5]

Remove DECLARE_LIST( SwXMLTableLinesCache_Impl, SwXMLTableLinesPtr )

The list is only used in SwXMLExport. ExportTableLinesAutoStyles() adds
entries; while ExportTableLines(). It might be posiable to destroy the
object with ot deleting the entries; so, I added a call to the destructor
to make sure pTableLines is clean before leaving.

2010-12-18  Petr Mladek  <pmladek@suse.cz>  [3f54712412e94dc8ecf5c04ca52dbca89aa3fb49]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-17  Caolán McNamara  <caolanm@redhat.com>  [0e7b22a4218a579da85d6036c73a4b680531f10d]

WaE: C4805: Unsafe mix of bool and BOOL


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [e41098c7b4b08da66511301d834782effa50915d]

CWS-TOOLING: integrate CWS sb131


2010-12-17  Anders Jonsson  <anders.jonsson@norsjonet.se>  [215f173a9edfc755ed9eec94c6a8cddfd84d4de5]

Remove blocks of commented code


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [81fbd009f814af644a999b3cd22abbff77703d08]

CWS-TOOLING: integrate CWS mib19


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [da24d40f089da67f54658f341fc685fc9065ed79]

CWS-TOOLING: integrate CWS gnumake2


2010-12-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [258dd46e7b629219abd73747c5073fc449337237]

undoapi: (I|Sfx)UndoManager now working with size_t instead of USHORT


2010-12-17  Michael Stahl  <mst@openoffice.org>  [7a240a685daa120c9a397b0886ed5b8c157de73d]

sw34bf03: #i93908#: ODF: fix bogus style:num-suffix on bullet lists:  Svx{Bullet,Num}PickTabPage, SwAutoFormat, SwWrtShell::NumOrBulletOn():   clear suffix when bullet lists are created.  xmlnumi.cxx: ignore style:num-suffix written by defective OOo versions.


2010-12-17  Michael Stahl  <mst@openoffice.org>  [cfd7eb36ff735f8aea1efb019ba2dabe55d5cdf9]

sw34bf03: SwXText::copyText(): lock solarmutex


2010-12-17  Caolán McNamara  <caolanm@redhat.com>  [915570532d8d0e21ffa576130255d2925773dcf1]

valgrind: set this to a simple bool


2010-12-17  Mathias Bauer  <mba@openoffice.org>  [bee0ab39bd38fc866e4e7149b9ac59b6a0209b63]

CWS swlayoutrefactoring: #i115510#: first step to clean up the SwClient mess


2010-12-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2c4fa5d13dc271cc593a5e526d2ab4dc0dfcba19]

undoapi: MSVC WaE


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [ac94ca8cd8efda7ba462eaad58d502981cc1b118]

what is it with the pointer fetishism, just use references


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [a5162875edbe9db58524de25a31d7b00a556b757]

Related: rhbz#661544 Duplicate page style names being used!

Which means they won't export correctly. This happened because someone
changed the condition for generating first page styles to be unconditional
but missed that the names were still generated conditionally

2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [61607212749b04c80ae309aaa168780448a1afad]

WaE, fix debug=t warning


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [e5a4cbbcedb57fcb048b01ecfeafe28efb5c98b2]

WaE, fix debug=t warning


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [3488272f64048ee19d3405460cbeb2698c356336]

WaE, fix debug=t warning


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [99aebc31dbaa2857466bd06554a96a769f3c67bd]

cppcheck: prefer prefix variant


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [57e9e4e5d9ed2f5f2a3056662b2960b117d96754]

cppcheck: unused variable


2010-12-16  Luboš Luňák  <l.lunak@suse.cz>  [2fd807f2d1221836c24e139b14efc8d72182d0b0]

do not mix contents of w:spacing and w:pgMar (part of fdo#31410)


2010-12-16  Mathias Bauer  <mba@openoffice.org>  [7741a4a9fbcf7df47839d43081e0318e47fe63a6]

CWS swlayoutrefactoring: #i81480#: some minor cleanups


2010-12-16  Thomas Lange [tl]  <tl@openoffice.org>  [90d3c4fa5eff48886683ebfc5a2f3f3d83746117]

cws tl84: #i78149# if statement fixed


2010-12-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c90609be0ac0fa0fd04873eea67f3504cf4f85cb]

undoapi: merged DEV300m95


2010-12-16  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [96e25876f58a385cf82b39d132a347e726959abe]

sw: reset num level on SplitNode if parent is outline i#93970

Fixes the following scenario:
1. Create a paragraph style "S" bound to a list style.
2. Set the Heading 2 next style to "S".
3. Pressing ENTER at the end of a Heading 2 will create the new
   paragraph, but its numbering level will be set to 2.

If this test is repeated for "Heading 3", the resulting paragraph
will end up with numbering level == 3.

It fixes i#93970

2010-12-15  os  <os@openoffice.org>  [3c703a627697aa5f302af2e4890568371e5fa2f9]

#i115956# token translation fixed


2010-12-15  Joseph Powers  <jpowers27@cox.net>  [e6def92fb2a578bbfc162585985c5454576cb921]

Revert DECLARE_LIST(TOXControlList, Control*)

This will remove the segfault I caused in:
Writer -> Insert -> Indexes and Tables -> Indexes and Tables -> Entries

2010-12-15  Mathias Bauer  <mba@openoffice.org>  [4ae9ff4411133dad1b196a778de3abe5e31439cf]

CWS swlayoutrefactoring: #i81480#: sometimes there is no ViewShell


2010-12-15  Caolán McNamara  <caolanm@redhat.com>  [5a507a965ba8ad17386aacc8775d2804fdba049e]

Handle 0 length entries gracefully


2010-12-15  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [4c8a903f074a3230f78ea0a829a0bdb9ecf18b47]

ooo33gsl13: #i116085# adjust PageRange handling in writer PDF export


2010-12-15  Caolán McNamara  <caolanm@redhat.com>  [be99cfc3054cc2b60c9f45497391708cbb68adb8]

only read SttbfAssoc if its length is > 0


2010-12-15  Michael Stahl  <mst@openoffice.org>  [c81a42a1013905de8b84ea79e9ea60e26be03722]

undoapi: UndoCore.hxx: split out UndoSection.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [adb40c7573e24847571e5b74f6c523a1a3f18d9b]

undoapi: UndoCore.hxx: split out UndoSplitMove.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [a2f842b02edb1ed6085d867aa2dfd656a3c72835]

undoapi: UndoCore.hxx: split out UndoDelete.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [563b0af5e6f5a5009d630849126abb8f254b0ae2]

undoapi: UndoCore.hxx: split out UndoInsert.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [9a56bf89fae195fe4264fddb4f89415c5fde6048]

undoapi: UndoCore.hxx: split out UndoOverwrite.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [0429d4f9befa9ea2250bb3719df480c6af2d4aff]

undoapi: UndoCore.hxx: split out UndoSort.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [b9175d26ac7ed78305eb725c6fb89c5048cfba02]

undoapi: UndoCore.hxx: split out UndoBookmark.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [253a5dfd1c34a71995ee415bb4e35b1084550778]

undoapi: UndoCore.hxx: split out UndoAttribute.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [9d6e487f230e5dd2908e830dc78da2885bc80ba8]

undoapi: UndoCore.hxx: split out UndoRedline.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [1c749ef0361e648c0170037cba0d6d62115564f0]

undoapi: UndoCore.hxx: split out UndoNumbering.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [c1f61dfc681b34103a3cfa042fbf736b8665c14c]

undoapi: UndoCore.hxx: split out UndoDraw.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [776e60eebb8a3fd12428caee6c2a9c39605dd1cd]

undoapi: UndoCore.hxx: split out UndoTable.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [047cd334bcfd0602d795d99c7e031562755ccc9d]

undoapi: move most of inc/undobj.hxx to source/core/inc/UndoCore.hxx


2010-12-15  Michael Stahl  <mst@openoffice.org>  [69e3029c30c7814cec5f1d2a546ea1fa6ba562d4]

undoapi: #i115383#: replace SwUndos with STL vector


2010-12-15  Michael Stahl  <mst@openoffice.org>  [6193b7ab7d72db98a8ddcce9891a80d50ddd5c3d]

undoapi: #i115383#: SwDoc calls SfxObjectShell::SetUndoManager()


2010-12-15  Michael Stahl  <mst@openoffice.org>  [53b32e860753efefe714161e10968bd85beeef67]

undoapi: #i115383#: derive sw::UndoManager from SfxUndoManager:  derive SwUndo from SfxUndoAction.  throw away most of docundo.cxx.  throw away SwUndoStart and SwUndoEnd.  replace SwUndoIter with sw::UndoRedoContext and sw::RepeatContext.  SwUndo::GetId() no longer public to prevent abuse.  add SwEditShell::HandleUndoRedoContext().


2010-12-15  Michael Stahl  <mst@openoffice.org>  [59b7e58d1bdad80732fff3cb8ef48fc7860ef489]

undoapi: #i115383#: Undo should be disabled at beginning of ~SwDoc


2010-12-15  Michael Stahl  <mst@openoffice.org>  [d777922a33a15519230a25ae1f10ef9f11891971]

undoapi: #i115383#: inserting string via API should disable group Undo


2010-12-15  Michael Stahl  <mst@openoffice.org>  [6388d65c60a4c129ff0e21b0e90b5dc0b92205c8]

undoapi: #i115383#: remove IDocumentUndoRedo::HasTooManyUndos():  it would be much better to handle this problem by using a STL container...


2010-12-15  Michael Stahl  <mst@openoffice.org>  [ffee9cd36575060436a2e6b74d381e01ec5bd8e2]

undoapi: #i115383#: remove RemoveLastUndo() from IDocumentUndoRedo


2010-12-15  Michael Stahl  <mst@openoffice.org>  [0521770f6df17bf3b52b57c4ba206641fe31e64c]

undoapi: #i115383#: change return type of GetLastUndoInfo() to bool:  unfortunately several places need the ID, so add the ID as an out parameter.  a bool return is necessary in case the Undo action is not a writer action,   but created via the undo API.


2010-12-15  Michael Stahl  <mst@openoffice.org>  [14e2eaec48875b995ef62588e441991aa842ae19]

undoapi: #i115383#: change return type of GetFirstRedoInfo() to bool:  nobody needs the ID, and SfxUndoManager currently does not provide it.


2010-12-15  Michael Stahl  <mst@openoffice.org>  [ac009921026e620f8f7f580643c6251b17da333b]

undoapi: #i115383#: remove SwUndo::SetId(), make SwUndo::m_nId const


2010-12-15  Michael Stahl  <mst@openoffice.org>  [08e3db66eee8dc5f32950c28f11c3835431094c9]

undoapi: #i115383#: remove duplicative SwUndoSort::RemoveIdx()


2010-12-15  Michael Stahl  <mst@openoffice.org>  [c51b57c34bc18231801329d13d36de4f598b22ec]

undoapi: #i115383#: replace SwUndo->GetId() + static_cast with dynamic_cast:  the static_cast would become dangerous with SfxUndoManager.  also fix bogus cast in SwUndoTblCpyTbl::Undo(): happened to work by accident.


2010-12-15  Michael Stahl  <mst@openoffice.org>  [7726f49b8b22a1cdc63bad391cb1cbaab15d41f4]

undoapi: #i115383#: ensure that AppendUndo is only called when Undo is enabled:  SfxUndoManager differs from current AppendUndo() implementation here.


2010-12-15  Michael Stahl  <mst@openoffice.org>  [b0934782f37c5e7df89da00ec60b21f322f9a304]

undoapi: #i115383#: remove unnecessary UndoGuards:  implementations of Undo() and Redo() on SwUndo subclasses are always   called with Undo disabled from UndoManager::Undo()/Redo().


2010-12-15  Michael Stahl  <mst@openoffice.org>  [d69a043f9fa7081b828ab5621ac16baacf8b10a4]

undoapi: #i115383#: move sw::UndoGuard in SwDoc::SetFlyFrmAnchor():  create a static helper function and do undo stuff in the wrapper.


2010-12-15  Michael Stahl  <mst@openoffice.org>  [b283cdab7cda1ec6560f6f9907246841660cc064]

undoapi: #i115383#: move sw::UndoGuard in SwDoc::InsertDrawLabel():  create a static helper function and do undo stuff in the wrapper.


